import { AlgmChannelJCT } from './models/AlgmChannelJCT.entity';
import { ChannelMatching } from './models/ChannelMatching.entity';
import { ProductMatching } from './models/ProductMatching.entity';
import { AlgmProductJCT } from './models/AlgmProductJCT.entity';
export declare class AlgorithmService {
    private readonly sequelizeInstance;
    private readonly productMatchingRepository;
    private readonly channelMatchingRepository;
    private readonly channelJctRepository;
    private readonly productJctRepository;
    constructor(sequelizeInstance: any, productMatchingRepository: typeof ProductMatching, channelMatchingRepository: typeof ChannelMatching, channelJctRepository: typeof AlgmChannelJCT, productJctRepository: typeof AlgmProductJCT);
    profile(ctype: any, btype: any, chlist: any, channelId: any, profileTypeId: any): Promise<any[]>;
    location(ctype: any, btype: any, contactId: any, channelId: any, chlist: any): Promise<any>;
    product(contactId: any, channelId: any, chlist: any): Promise<any[]>;
    channelAlgm1(user: any): Promise<void>;
    channelAlgm(user: any): Promise<AlgmChannelJCT[]>;
    productAlgm(user: any): Promise<AlgmProductJCT[]>;
    channelSuggestionAlgm(user: any): Promise<{
        channels: any[];
    }>;
    createSuggestions(user: any): Promise<void>;
    ranking(contactData: any): Promise<any[]>;
}
