'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComplainModule = void 0;
const common_1 = require("@nestjs/common");
const complain_service_1 = require("./service/complain.service");
const complain_providers_1 = require("./provider/complain.providers");
const complain_admin_controller_1 = require("./controller/complain.admin.controller");
const complain_controller_1 = require("./controller/complain.controller");
const database_module_1 = require("../core/database/database.module");
const user_module_1 = require("../modules/user/user.module");
const media_module_1 = require("../modules/media/media.module");
const channel_module_1 = require("../modules/channel/channel.module");
let ComplainModule = class ComplainModule {
    constructor() {
    }
};
ComplainModule = __decorate([
    common_1.Module({
        controllers: [
            complain_admin_controller_1.ComplainAdminController,
            complain_controller_1.ComplainController
        ],
        providers: [
            complain_service_1.ComplainService,
            ...complain_providers_1.ComplainProvider,
            ...complain_providers_1.ComplaintAttachmentProvider,
            ...complain_providers_1.ComplaintCategoryProvider,
            ...complain_providers_1.ComplaintReplyContentProvider
        ],
        imports: [
            database_module_1.DatabaseModule,
            user_module_1.UserModule,
            media_module_1.MediaModule,
            channel_module_1.ChannelModule,
        ],
        exports: [],
    }),
    __metadata("design:paramtypes", [])
], ComplainModule);
exports.ComplainModule = ComplainModule;
//# sourceMappingURL=complain.module.js.map