import { CompalainDocumentDto } from './compalainDocument.dto';
export declare enum ComplainType {
    ContactType = 0,
    Complaint = 1,
    IPR = 2
}
export declare enum ChannelType {
    GUEST = 0,
    HUB = 1,
    VENDOR = 2,
    DISTRIBUTOR = 3,
    RETAILER = 4,
    SALESREP = 5,
    SIGNUP = 6
}
export declare class ComplainDto {
    complainttype: string;
    channelid: number;
    userid: number;
    channeltype: string;
    firstname: string;
    lastname: string;
    email: string;
    phoneno: string;
    mobileno: string;
    countryid: number;
    subject: string;
    detaildesc: string;
    iprurl: string;
    complaintcategoryid: number;
    readonly compalainDocument: CompalainDocumentDto[];
}
