"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComplainActionDto = exports.ComplainActions = void 0;
const class_validator_1 = require("class-validator");
const class_transformer_1 = require("class-transformer");
const complaintreply_dto_1 = require("../dto/complaintreply.dto");
var ComplainActions;
(function (ComplainActions) {
    ComplainActions[ComplainActions["pending"] = 0] = "pending";
    ComplainActions[ComplainActions["replied"] = 1] = "replied";
    ComplainActions[ComplainActions["closed"] = 2] = "closed";
})(ComplainActions = exports.ComplainActions || (exports.ComplainActions = {}));
class ComplainActionDto {
}
__decorate([
    class_validator_1.IsEnum(ComplainActions, { message: "Please choose anyone action from the list ( pending, replied, closed )" }),
    __metadata("design:type", String)
], ComplainActionDto.prototype, "action", void 0);
__decorate([
    class_validator_1.ValidateIf(o => o.action == 'replied'),
    class_validator_1.IsNotEmpty({ message: "validate:field:shouldNotEmpty" }),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => complaintreply_dto_1.CompalaintReplyDto),
    __metadata("design:type", complaintreply_dto_1.CompalaintReplyDto)
], ComplainActionDto.prototype, "compalaintreply", void 0);
exports.ComplainActionDto = ComplainActionDto;
//# sourceMappingURL=complainAction.dto.js.map