import { Model } from 'sequelize-typescript';
import { ComplaintCategory } from '../models/ComplaintCategory.entity';
import { ComplaintAttachment } from '../models/ComplaintAttachment.entity';
import { ComplaintReplyContent } from '../models/ComplaintReplyContent.entity';
import { Country } from 'src/modules/common/models/Country.entity';
import { User } from 'src/modules/user/models/User.entity';
import { Channel } from 'src/modules/channel/models/Channel.entity';
export declare class Complain extends Model<Complain> {
    complaintid: number;
    complaintnumber: string;
    complainttype: string;
    channelid: number;
    channel: Channel;
    userid: number;
    user: User;
    channeltype: string;
    firstname: string;
    lastname: string;
    email: string;
    phoneno: string;
    mobileno: string;
    countryid: number;
    country: Country;
    subject: string;
    detaildesc: string;
    iprurl: string;
    complaintcategoryid: number;
    complaintcategory: ComplaintCategory;
    status: string;
    createdat: Date;
    updatedat: Date;
    deletedat: Date;
    complaintAttachment: ComplaintAttachment;
    complaintReplyContent: ComplaintReplyContent;
}
