'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComplaintAttachment = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Media_entity_1 = require("../../modules/media/models/Media.entity");
const Complain_entity_1 = require("./Complain.entity");
const tableOptions = { timestamps: false, tableName: 'tblcomplaintattachment' };
let ComplaintAttachment = class ComplaintAttachment extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ComplaintAttachment.prototype, "complaintattachmentid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Complain_entity_1.Complain),
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ComplaintAttachment.prototype, "complaintid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Complain_entity_1.Complain),
    __metadata("design:type", Complain_entity_1.Complain)
], ComplaintAttachment.prototype, "complain", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Media_entity_1.Media),
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ComplaintAttachment.prototype, "attachmentid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Media_entity_1.Media),
    __metadata("design:type", Media_entity_1.Media)
], ComplaintAttachment.prototype, "document", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ComplaintAttachment.prototype, "createdat", void 0);
ComplaintAttachment = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], ComplaintAttachment);
exports.ComplaintAttachment = ComplaintAttachment;
//# sourceMappingURL=ComplaintAttachment.entity.js.map