export declare const appconstant: {
    ADMINAPP: string;
    CLIENTAPP: string;
    SWAGGER_TITLE: string;
    SWAGGER_DESCRIPTION: string;
    SWAGGER_VERSION: string;
    SWAGGER_TAG: string;
    PREMIUM_PLAN_SUBSCRIPTION_ID: number;
    pagination: {
        size: number;
        max: number;
        min: number;
    };
    CHANNELHUB_CURRENCY: number;
    CHANNELHUB_CURRENCY_CODE: string;
    VERIFICATION: number;
    REVERIFICATION: number;
    REVERIFICATION_MAILCHANGE: number;
    SUBSCRIPTION: number;
    PAYMENT_PENDING: number;
    PAYMENT_FAILURE: number;
    ACCOUNTSETUP: number;
    ACCOUNTSETUP_COMPANYPROFILE: number;
    ACCOUNTSETUP_TRADEINFORMATION: number;
    ACCOUNTSETUP_TRADELOCATION: number;
    REQUEST_INTRO: number;
    MAYBELATER: number;
    CLAIM: number;
    CLAIM_APPROVED: number;
    CLAIM_REJECTED: number;
    CHANNEL_APPROVAL: number;
    CHANNEL_APPROVED: number;
    REMOVE_CONFIDENTIAL: number;
    DOCUMENTTYPE_IMAGE: number;
    DOCUMENTTYPE_DOC: number;
    DOCUMENTTYPE_VIDEO: number;
    CHANNELHUB_CHANNEL_ID: number;
    CHANNEL_TYPE_HUB: number;
    CHANNEL_TYPE_VENDOR: number;
    CHANNEL_TYPE_DISTRIBUTOR: number;
    CHANNEL_TYPE_RETAILER: number;
    CHANNEL_TYPE_RESELLER: number;
    CHANNEL_TYPE_SIGNUP: number;
    CERTIFICATETYPE_REGISTRATION: number;
    CERTIFICATETYPE_TAX: number;
    SOCIAL_SITE_TYPE_LINKEDIN: number;
    SOCIAL_SITE_TYPE_GOOGLEPLUS: number;
    SOCIAL_SITE_TYPE_INSTAGRAM: number;
    SOCIAL_SITE_TYPE_TWITTER: number;
    SOCIAL_SITE_TYPE_FACEBOOK: number;
    FOLDER_PATH_PROFILE: string;
    FOLDER_PATH_BRAND: string;
    FOLDER_PATH_NEWS: string;
    FOLDER_PATH_CLAIM: string;
    FOLDER_PATH_COMPANY_LOGO: string;
    FOLDER_PATH_COMPANY_BANNER: string;
    FOLDER_PATH_COMPANY_ICON: string;
    FOLDER_PATH_CONNECTIONVIDEOS: string;
    PROFILE_TYPE_BROADLINER: number;
    FRONTEND_PROFILE_URI: string;
    FRONTEND_SUB_LANDING_URI: string;
    FRONTEND_ACCOUNT_SETUP_URI: string;
    FRONTEND_DASHBOARD_URL: string;
    FRONTEND_PROFILE_URL: string;
    FRONTEND_CHANNEL_DETAIL_VIEW_BO_URL: string;
    FRONTEND_CHANNEL_DETAIL_VIEW_FO_URL: string;
    FOLDER_PATH_PRODUCT_ARTICLE: string;
    FOLDER_PATH_PRODUCT_AWARDS: string;
    FOLDER_PATH_PRODUCT_IMAGE: string;
    FOLDER_PATH_PRODUCT_DISPLAY_IMAGE: string;
    FOLDER_PATH_PRODUCT_PACKING_IMAGE: string;
    FOLDER_PATH_PRODUCT_BROUCHER: string;
    FOLDER_PATH_CHANNEL_KEY_RETAILER_IMAGE: string;
    PRODUCT_IMAGE_TYPE: string;
    PRODUCT_DISPLAY_IMAGE_TYPE: string;
    PRODUCT_PACKING_IMAGE_TYPE: string;
    PRODUCT_BROUCHER_IMAGE_TYPE: string;
    LOCATION_TYPE_SELLING: string;
    LOCATION_TYPE_TARGET: string;
    LOCATION_TYPE_RETAIL: string;
    FOLDER_PATH_PRODUCT_RETAILER: string;
    SOCKET_NAME_SPACE: string[];
    USER_PRODUCTS_ACCESS_ID: string;
    USER_MY_PRODUCTS_ACCESS_ID: string;
    USER_PRODUCTS_IMAGE_RESTRICT_ID: string;
    USER_PRODUCTS_VIDEO_RESTRICT_ID: string;
    MYSUGGESTION: number;
    PENDINGMYPROSPECT: number;
    MYPROSPECT: number;
    PENDINGAPPROVAL: number;
    MYCHANNEL: number;
    DISMISS: number;
    DISMISS_OTHER_REASON: number;
    MY_CHANNEL_REJECTED: number;
    FREE_PLANID: number;
    FOLDER_PATH_SPOTDEAL: string;
    MESSAGE_FORMATE_CONTACTIDS: {
        MAILMESSAGE: string;
        ADDTOPROSPECTS: string;
        REQUEST_TO_MYCHANNEL: string;
        MYCHANNEL_APPROVAL: string;
        MYCHANNEL_DECLINE: string;
        DISMISS_CHANNEL: string;
        CHANGE_OF_CONTACT: string;
        RATING: string;
        MESSAGING: string;
        NOT_INTEREST_IN_THIS_PRODUCT: string;
        NOT_INTEREST_IN_THIS_PRODUCT_AF_EVA: string;
        ORDER_CHECKOUT: string;
        ORDER_APPROVAL: string;
        ORDER_PAID: string;
        ORDER_CANCEL: string;
        ORDER_PACKED: string;
        ORDER_SHIPPED: string;
        ORDER_DELIVERED: string;
        ORDER_EVALUATED: string;
        ORDER_REFUND_APPROVED: string;
        ORDER_REFUND_REJECTED: string;
        ORDER_REFUND_CANCEL: string;
        ORDER_RE_CREATION: string;
        ORDER_TRANSFER: string;
        ORDER_RE_TRANSFER: string;
        ORDER_MAIL_INVOICE: string;
        COMPLAINTS: string;
        CHANNEL_APPROVED: string;
        CHANNEL_REJECT: string;
        SUGGESTION_CHANNEL: string;
        SUGGESTION_PRODUCT: string;
        ORDER_REFUND_PENDDING: string;
        COMPLAINTS_REPLAY: string;
        CHANNEL_APPROVAL_PENDING: string;
        CLAIM_APPROVED: string;
        CLAIM_REJECTED: string;
        CHANNEL_RECOMMENDED: string;
        REQUEST_TO_MYPROSPECT: string;
        REQUEST_TO_MYPROSPECT_REMAINDER: string;
        MYPROSPECT_APPROVAL: string;
        MYPROSPECT_DECLINE: string;
        PRODUCT_READY_FOR_BUSSINESS: string;
        CHANNEL_INVITATION: string;
        CHANNEL_INVITATION_VERIFY: string;
        CHANNEL_INVITATION_REMAINDER: string;
        MAYBE_LATER: string;
        DEACTIVATE_CHANNEL: string;
    };
    MESSAGE_TYPE: {
        PROMOTION: number;
        SUGGESTION: number;
        COMMUNICATION: number;
        ACTION: number;
    };
    UNIVERSAL_CODE_TYPE: string[];
    DISCOUNT_UNIT_PERCENTAGE: number;
    CHANNEL_DISTRIBUTOR_CONNECTION_TYPE_ID: number;
    PROFILE_TYPE_DISTRIBUTOR: string;
    PROFILE_TYPE_RETAILER: string;
    ORDER_STATUS_PENDING_CONFIRMATION: number;
    ORDER_STATUS_PENDING_APPROVAL: number;
    ORDER_STATUS_PENDING_PACKING: number;
    ORDER_STATUS_PENDING_SHIPPING: number;
    ORDER_STATUS_PENDING_DELIVERY: number;
    ORDER_STATUS_PENDING_EVALUATION: number;
    ORDER_STATUS_EVALUATED: number;
    ORDER_STATUS_PENDING_REFUND: number;
    ORDER_STATUS_REFUNDED: number;
    ORDER_STATUS_CANCELED_REFUND: number;
    ORDER_STATUS_CANCELED: number;
    ORDER_DISCOUNT_PERCENTAGE: number;
    ORDER_GRAND_TOTAL_AMOUNT_LIMIT: number;
    DEFAULT_CURRENCY: number;
    PRODUCT_QUALITY_LEVEL_TYPE: string;
    AUTO_RENEWAL_TRACKING_STATUS: {
        NEW: number;
        PROCESSING: number;
        COMPLETED: number;
        FAILED: number;
    };
    AUTO_RENEWAL_REMINDER: number;
    MAX_ALLOWED_QTY_FOR_UNLIMITED: number;
    SOURCING_CONTACT: number[];
    SELLING_CONTACT: number[];
    OTHER_CONTACT: number[];
    FOLDER_PATH_LANGUAGE: string;
    FOLDER_PATH_COMPANY_DOCUMENT: string;
    VAT_PERCENTAGE: number;
    FOLDER_PATH_PRODUCT_EXISTING_RATING_LOGO: string;
    CONTACT_TYPE_SENDER: string;
    CONTACT_TYPE_RECEIVER: string;
    CONTACT_TYPE_BO: string;
    SANITIZE_HTML: {
        allowedTags: string[];
        allowedAttributes: boolean;
        allowedSchemes: string[];
    };
    VISIBILITY_SHARED: string;
    VISIBILITY_CONFIDENCIAL: string;
    VISIBILITY: {
        2: string[];
        3: string[];
        4: string[];
        5: string[];
    };
    CHANNELTYPES: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
    };
    SIGNUPSTATUS: {
        1: string;
        2: string;
        3: string;
        4: string;
        5: string;
        6: string;
        7: string;
        8: string;
        9: string;
        10: string;
        11: string;
        12: string;
        13: string;
        14: string;
        15: string;
    };
    SEARCH_ALLOWED_TYPES: {
        2: number[];
        3: number[];
        4: number[];
    };
    INVITATION_REMAINDER: {
        INTERVAL: number;
        NO_OF_TIMES: number;
    };
    CONNECTION_REMAINDER: {
        INTERVAL: number;
        NO_OF_TIMES: number;
    };
    EMAIL_LOG: string;
    EMAIL_BCC: string[];
    PAYMENT_METHOD: {
        ONLINE_CREDIT_DEBIT_CART: number;
        OFFLINE_WIRE_TRANSFER: number;
        PAYPAL_TRANSFER: number;
        STRIPE_ALIPAY: number;
    };
    shareTypeId: {
        2: number;
        3: number;
        4: number;
    };
    SubscriptionCharcteristicFeature: {
        PROFILE_PUBLIC_VIEW: number;
        PRODUCT_CH_HOMEPAGE: number;
        COMPANY_FEATURE_BRAND_HOMEPAGE: number;
        PRODUCT_ON_CATLOG_LISTING: number;
        PRODUCT_ON_SOCIALMEDIA: number;
        PRODUCT_IN_SUGGESTION_TO_BUYER: number;
        SOCIAL_SHARING: number;
        NO_OF_PRODUCT: number;
        BUYING_SEND_CONNECTION_REQUEST: number;
        ACCESS_TO_DATABASE: number;
        SUGGESTION_BUYER: number;
        SAVE_PROFILE_TO_FAVOURITE: number;
        FAVOURITE_BUYER_INVITE_FOR_EVENT: number;
        FAVOURITE_BUYER_NOTIFY_WHEN_CONNECT_TO_ACCOUNT: number;
        DASHBOARD_PROFILE_PRODUCT: number;
        FOLLOW_THIS_BRAND: number;
        ADD_USER: number;
        DEDICATE_ACCOUNT_MANAGER: number;
    };
};
