"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorController = void 0;
const common_1 = require("@nestjs/common");
const passport_1 = require("@nestjs/passport");
const errordto_dto_1 = require("./dto/errordto.dto");
const error_service_1 = require("./error.service");
let ErrorController = class ErrorController {
    constructor(errorService) {
        this.errorService = errorService;
    }
    async error(errorData, res, req) {
        Object.assign(errorData, { userId: req.user.userId });
        this.errorService.saveError(errorData);
        return res.status(common_1.HttpStatus.OK).send({ status: true });
    }
};
__decorate([
    common_1.Post(),
    __param(0, common_1.Body(new common_1.ValidationPipe())), __param(1, common_1.Res()), __param(2, common_1.Req()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [errordto_dto_1.ErrorDto, Object, Object]),
    __metadata("design:returntype", Promise)
], ErrorController.prototype, "error", null);
ErrorController = __decorate([
    common_1.UseGuards(passport_1.AuthGuard('jwt')),
    common_1.Controller('error'),
    __metadata("design:paramtypes", [error_service_1.ErrorService])
], ErrorController);
exports.ErrorController = ErrorController;
//# sourceMappingURL=error.controller.js.map