'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaymentException = void 0;
const common_1 = require("@nestjs/common");
class PaymentException extends common_1.HttpException {
    constructor(errors) {
        super(errors, common_1.HttpStatus.BAD_REQUEST);
        this.errors = [];
        this.errors.push({
            property: false,
            errors: [
                {
                    'code': 0,
                    'message': errors.message
                }
            ]
        });
    }
}
exports.PaymentException = PaymentException;
//# sourceMappingURL=Payment.exception.js.map