'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProcessException = void 0;
const common_1 = require("@nestjs/common");
const MessageCodeError_1 = require("./MessageCodeError");
class ProcessException extends common_1.HttpException {
    constructor(errors) {
        super(errors, common_1.HttpStatus.BAD_REQUEST);
        this.errors = new Array();
        this.errors.push({
            property: false,
            errors: [
                new MessageCodeError_1.MessageCodeError(errors, common_1.HttpStatus.BAD_REQUEST)
            ]
        });
    }
}
exports.ProcessException = ProcessException;
//# sourceMappingURL=Process.exception.js.map