import { ValidationError } from 'class-validator';
import { IErrorMessages } from './errorMessages/interface/IErrorMessages';
export declare class ValidationException extends Error {
    messages: any[];
    constructor(errors: any, lang?: string);
    protected formatErrors(formErrors: ValidationError[]): Array<IErrorMessages>;
    protected GroupConstraints(params: any): Array<IErrorMessages>;
    protected getMessageFromMessageCode(messageCode: string): any;
}
