import { AccountService } from '../service/account.service';
import { SignupDto } from '../dto/signup.dto';
import { ForgotPasswordDto } from '../dto/forgotPassword.dto';
import { ResetPasswordDto } from '../dto/resetPassword.dto';
import { ResetPasswordBoDto } from '../dto/resetPasswordBo.dto';
export declare class AccountController {
    private readonly accountService;
    constructor(accountService: AccountService);
    signUp(signUpData: SignupDto, res: any): Promise<void>;
    checkmail(email: any, res: any): Promise<void>;
    checkCompanyName(data: any, res: any): Promise<void>;
    getCompanyData(data: any, res: any): Promise<void>;
    forgotPassword(res: any, forgotPasswordDto: ForgotPasswordDto): Promise<any>;
    resetPassword(token: any, res: any): Promise<any>;
    resetPasswordUpdate(token: any, res: any, resetPasswordDto: ResetPasswordDto): Promise<any>;
    resetPasswordUpdateBO(res: any, resetPasswordDto: ResetPasswordBoDto): Promise<any>;
    getEventRegister(data: any, res: any): Promise<void>;
    postEventRegister(data: any, res: any): Promise<void>;
    eventcatalystToken(data: any, res: any): Promise<void>;
    getPublicToken(id: any, res: any): Promise<any>;
    checkPublicAuth(token: any, res: any): Promise<any>;
    setEventContact(id: any, res: any): Promise<any>;
}
