"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Utility = void 0;
const crypto = require("crypto");
const securePin = require("secure-pin");
class Utility {
    constructor() {
    }
    async encrypt(key, data) {
        var cipher = crypto.createCipher('aes-256-cbc', key);
        var crypted = cipher.update(data, 'utf8', 'hex');
        crypted += cipher.final('hex');
        return crypted;
    }
    async decrypt(key, data) {
        var decipher = crypto.createDecipher('aes-256-cbc', key);
        var decrypted = decipher.update(data, 'hex', 'utf8');
        decrypted += decipher.final('utf8');
        return decrypted;
    }
    async generatePin() {
        let charSet = new securePin.CharSet();
        charSet.addLowerCaseAlpha().addUpperCaseAlpha().randomize();
        return securePin.generateStringSync(4, charSet);
    }
}
exports.Utility = Utility;
//# sourceMappingURL=utility.js.map