import { User } from '../../../user/models/User.entity';
export interface IAccountOutBound {
    setLoginResponse(user: User, token: string): Promise<ILoginResponse>;
}
export interface ILoginResponse {
    token: string;
    channelId: number;
    contactId: number;
    channelStatusId: number;
    profile: object;
    role: object;
    permissions: object;
    currency: number;
    oldChannel: boolean;
    sourcingProfile: any;
    sellingProfile: any;
    otherProfile: any;
    isAnyInbound: boolean;
    productCount: number;
}
export interface ICheckMailResponse {
    isavialble: boolean;
}
