import { User } from '../../user/models/User.entity';
import { SignupDto } from '../dto/signup.dto';
import { IAccountSerivceInBound, IMailObject, IUserToken } from './Interface/IAccountSerivceInBound';
export declare class AccountSerivceInBound implements IAccountSerivceInBound {
    setPayload(user: User): Promise<IUserToken>;
    setDataSession(user: User): Promise<any>;
    setSignUpObject(user: SignupDto, pin: string, signUpStatus: number): Promise<User>;
    setMailObject(email: string, pin: string): Promise<IMailObject>;
}
