"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityModule = void 0;
const common_1 = require("@nestjs/common");
const activity_provider_1 = require("./providers/activity.provider");
const activity_service_1 = require("./services/activity.service");
const activity_controller_1 = require("./controller/activity.controller");
let ActivityModule = class ActivityModule {
};
ActivityModule = __decorate([
    common_1.Module({
        providers: [...activity_provider_1.UserActivityProvider, activity_service_1.ActivityService],
        controllers: [activity_controller_1.ActivityController],
    })
], ActivityModule);
exports.ActivityModule = ActivityModule;
//# sourceMappingURL=activity.module.js.map