"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ActivityController = void 0;
const common_1 = require("@nestjs/common");
const context_service_1 = require("../../../context/context.service");
const activity_service_1 = require("../services/activity.service");
let ActivityController = class ActivityController {
    constructor(context, activityService) {
        this.context = context;
        this.activityService = activityService;
    }
    async UserActivityLog(req, res) {
        let user = req.user;
        this.activityService.UserLogActivity("LOGIN", "TOKEN", req);
        res.status(common_1.HttpStatus.OK);
    }
    async NonUserActivityLog(req, res, body) {
        let user = req.user;
        this.activityService.NonUserLogActivity("LOGIN", body.email, req, body.step);
        res.status(common_1.HttpStatus.OK);
    }
};
__decorate([
    common_1.Post('useractivity'),
    __param(0, common_1.Request()), __param(1, common_1.Response()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", Promise)
], ActivityController.prototype, "UserActivityLog", null);
__decorate([
    common_1.Post('nonuseractivity'),
    __param(0, common_1.Request()), __param(1, common_1.Response()), __param(2, common_1.Body()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object, Object]),
    __metadata("design:returntype", Promise)
], ActivityController.prototype, "NonUserActivityLog", null);
ActivityController = __decorate([
    common_1.Controller('activity'),
    __metadata("design:paramtypes", [context_service_1.ContextService, activity_service_1.ActivityService])
], ActivityController);
exports.ActivityController = ActivityController;
//# sourceMappingURL=activity.controller.js.map