import { UserActivity } from '../models/UserActivity.entity';
import { NonUserActivity } from '../models/NonUserActivity.entity';
import { ContextService } from '../../../context/context.service';
export declare class ActivityService {
    private context;
    private readonly userActivityRepository;
    private readonly nonUserActivityRepository;
    constructor(context: ContextService, userActivityRepository: typeof UserActivity, nonUserActivityRepository: typeof NonUserActivity);
    UserLogActivity(action: string, token: string, req: any, otherInfo?: any): Promise<void>;
    NonUserLogActivity(action: string, userId: string, req: any, otherInfo?: any): Promise<void>;
}
