"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminModule = void 0;
const common_1 = require("@nestjs/common");
const admin_controller_1 = require("./controller/admin.controller");
const admin_provider_1 = require("./provider/admin.provider");
const admin_service_1 = require("./service/admin.service");
const database_providers_1 = require("../../core/database/database.providers");
let AdminModule = class AdminModule {
};
AdminModule = __decorate([
    common_1.Module({
        controllers: [admin_controller_1.AdminController],
        providers: [admin_service_1.AdminService, ...admin_provider_1.AdminProviders, ...database_providers_1.databaseProviders]
    })
], AdminModule);
exports.AdminModule = AdminModule;
//# sourceMappingURL=admin.module.js.map