'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminProviders = void 0;
const AdminUsers_entity_1 = require("../../admin/models/AdminUsers.entity");
const AdminUserCountries_entity_1 = require("../models/AdminUserCountries.entity");
const AdminUserChanneltype_entity_1 = require("../models/AdminUserChanneltype.entity");
const AdminUserNotification_entity_1 = require("../models/AdminUserNotification.entity");
exports.AdminProviders = [
    {
        provide: 'AdminUserRepository',
        useValue: AdminUsers_entity_1.AdminUsers,
    },
    {
        provide: 'AdminUserCountryRepository',
        useValue: AdminUserCountries_entity_1.AdminUserCountries,
    },
    {
        provide: 'AdminUserChannelRepository',
        useValue: AdminUserChanneltype_entity_1.AdminUserChanneltype,
    },
    {
        provide: 'AdminUserNotificationRepository',
        useValue: AdminUserNotification_entity_1.AdminUserNotification,
    },
];
//# sourceMappingURL=admin.provider.js.map