import { AdminUsers } from '../models/AdminUsers.entity';
import { AdminUserCountries } from '../models/AdminUserCountries.entity';
import { AdminUserChanneltype } from '../models/AdminUserChanneltype.entity';
import { AdminUserNotification } from '../models/AdminUserNotification.entity';
export declare class AdminService {
    private readonly sequelizeInstance;
    private readonly adminUserRepository;
    private readonly adminUserCountryRepository;
    private readonly AdminUserChannelRepository;
    private readonly adminUserNotificationRepository;
    private specialChars;
    constructor(sequelizeInstance: any, adminUserRepository: typeof AdminUsers, adminUserCountryRepository: typeof AdminUserCountries, AdminUserChannelRepository: typeof AdminUserChanneltype, adminUserNotificationRepository: typeof AdminUserNotification);
    userListing(data: any): Promise<{
        rows: AdminUsers[];
        count: number;
    }>;
    updateContact(contactId: any, data: any): Promise<any>;
    userCountries(): Promise<AdminUserCountries[]>;
    searchList(): Promise<AdminUsers[]>;
    menuListing(accessId: any): Promise<any[]>;
    getPassword(): Promise<string>;
}
