import { ContextService } from './../../../context/context.service';
import { CartService } from './../service/cart.service';
import { AddToCartProductDto } from './../dto/addCartProduct.dto';
import { BaseController } from 'src/core/controller/base.controller';
export declare class IndexController extends BaseController {
    private cart;
    private context;
    constructor(cart: CartService, context: ContextService);
    _validateCartModule(user: any): Promise<void>;
    findAllCart(req: any, res: any): Promise<void>;
    clearAllCart(req: any, res: any): Promise<void>;
    clearCart(req: any, res: any, id: number): Promise<void>;
    addToCart(req: any, res: any, product: AddToCartProductDto): Promise<void>;
    removeProduct(req: any, res: any, id: number): Promise<void>;
    getItemCount(req: any, res: any): Promise<void>;
}
