import { Model } from 'sequelize-typescript';
import { ProductQuote } from './ProductQuote.entity';
import { Channel } from './../../channel/models/Channel.entity';
export declare class Cart extends Model<Cart> {
    cartid: number;
    sellerchannelid: number;
    buyerchannelid: number;
    userid: number;
    currencyid: number;
    subtotal: number;
    taxcost: number;
    discount: number;
    grandtotal: number;
    request_free: string;
    deletedat: Date;
    createdat: Date;
    updatedat: Date;
    items: ProductQuote[];
    seller: Channel;
    static dateUpdate(cart: Cart, options: any): Promise<void>;
}
