'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Cart = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const ProductQuote_entity_1 = require("./ProductQuote.entity");
const Channel_entity_1 = require("./../../channel/models/Channel.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamps: false, tableName: 'tblcart' };
let Cart = class Cart extends sequelize_typescript_1.Model {
    static async dateUpdate(cart, options) {
        cart.updatedat = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], Cart.prototype, "cartid", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], Cart.prototype, "sellerchannelid", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], Cart.prototype, "buyerchannelid", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], Cart.prototype, "userid", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], Cart.prototype, "currencyid", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DECIMAL(15, 2)),
    __metadata("design:type", Number)
], Cart.prototype, "subtotal", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DECIMAL(15, 2)),
    __metadata("design:type", Number)
], Cart.prototype, "taxcost", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DECIMAL(15, 2)),
    __metadata("design:type", Number)
], Cart.prototype, "discount", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DECIMAL(15, 2)),
    __metadata("design:type", Number)
], Cart.prototype, "grandtotal", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], Cart.prototype, "request_free", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], Cart.prototype, "deletedat", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], Cart.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], Cart.prototype, "updatedat", void 0);
__decorate([
    sequelize_typescript_1.HasMany(() => ProductQuote_entity_1.ProductQuote, 'cartid'),
    __metadata("design:type", Array)
], Cart.prototype, "items", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel, 'sellerchannelid'),
    __metadata("design:type", Channel_entity_1.Channel)
], Cart.prototype, "seller", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Cart, Object]),
    __metadata("design:returntype", Promise)
], Cart, "dateUpdate", null);
Cart = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], Cart);
exports.Cart = Cart;
//# sourceMappingURL=Cart.entity.js.map