'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductQuote = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Cart_entity_1 = require("./Cart.entity");
const Product_entity_1 = require("./../../product/models/Product.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamps: false, tableName: 'tblproductquote' };
let ProductQuote = class ProductQuote extends sequelize_typescript_1.Model {
    static async dateUpdate(productQuote, options) {
        productQuote.updatedat = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductQuote.prototype, "productquoteid", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductQuote.prototype, "cartid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Cart_entity_1.Cart, 'cartid'),
    __metadata("design:type", Cart_entity_1.Cart)
], ProductQuote.prototype, "cart", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductQuote.prototype, "productid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Product_entity_1.Product, 'productid'),
    __metadata("design:type", Product_entity_1.Product)
], ProductQuote.prototype, "product", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductQuote.prototype, "quantity", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DECIMAL(15, 2)),
    __metadata("design:type", Number)
], ProductQuote.prototype, "unitprice", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProductQuote.prototype, "deletedat", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProductQuote.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProductQuote.prototype, "updatedat", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [ProductQuote, Object]),
    __metadata("design:returntype", Promise)
], ProductQuote, "dateUpdate", null);
ProductQuote = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], ProductQuote);
exports.ProductQuote = ProductQuote;
//# sourceMappingURL=ProductQuote.entity.js.map