"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminCouponAddDto = void 0;
const class_validator_1 = require("class-validator");
class AdminCouponAddDto {
}
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:addChannelCoupons:channelCouponsDescNotFound" }),
    __metadata("design:type", String)
], AdminCouponAddDto.prototype, "couponDesc", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:addChannelCoupons:channelCouponsCodeNotFound" }),
    __metadata("design:type", String)
], AdminCouponAddDto.prototype, "couponCode", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:addChannelCoupons:channelCouponsOfferValueNotFound" }),
    class_validator_1.IsPositive({ message: "channel:addChannelCoupons:channelCouponsOfferValueIsNumber" }),
    __metadata("design:type", Number)
], AdminCouponAddDto.prototype, "couponOfferValue", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:addChannelCoupons:channelCouponsIsActiveNotFound" }),
    __metadata("design:type", Number)
], AdminCouponAddDto.prototype, "isActive", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:addChannelCoupons:channelCouponsFromDateNotFound" }),
    __metadata("design:type", String)
], AdminCouponAddDto.prototype, "fromDate", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:addChannelCoupons:channelCouponsToDateNotFound" }),
    __metadata("design:type", String)
], AdminCouponAddDto.prototype, "toDate", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:addChannelCoupons:channelCouponsSubscriptionTypeId" }),
    class_validator_1.IsPositive({ message: "channel:addChannelCoupons:channelCouponsSubscriptionTypeIdIsNumber" }),
    __metadata("design:type", Number)
], AdminCouponAddDto.prototype, "subscriptionTypeId", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:addChannelCoupons:channelCouponsChannelTypeId" }),
    class_validator_1.IsPositive({ message: "channel:addChannelCoupons:channelCouponsChannelTypeIdIsNumber" }),
    __metadata("design:type", Number)
], AdminCouponAddDto.prototype, "channelTypeId", void 0);
__decorate([
    class_validator_1.ValidateIf(o => o.subscriptionPlans === undefined),
    class_validator_1.IsNotEmpty({ message: "channel:addChannelCoupons:channelCouponsSubscriptionPlanId" }),
    class_validator_1.IsPositive({ message: "channel:addChannelCoupons:channelCouponsSubscriptionPlanIdIsNumber" }),
    __metadata("design:type", Number)
], AdminCouponAddDto.prototype, "subscriptionPlanId", void 0);
__decorate([
    class_validator_1.ValidateIf(o => o.subscriptionPlanId === undefined),
    class_validator_1.IsArray({ message: "validate:field:shouldBeArray" }),
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeEmptyArray" }),
    __metadata("design:type", Array)
], AdminCouponAddDto.prototype, "subscriptionPlans", void 0);
__decorate([
    class_validator_1.ValidateIf(o => o.subscriptionPeriods === undefined),
    class_validator_1.IsNotEmpty({ message: "channel:addChannelCoupons:channelCouponsSubscriptionPeriodId" }),
    class_validator_1.IsPositive({ message: "channel:addChannelCoupons:channelCouponsSubscriptionPeriodIdIsNumber" }),
    __metadata("design:type", Number)
], AdminCouponAddDto.prototype, "subscriptionPeriodId", void 0);
__decorate([
    class_validator_1.ValidateIf(o => o.subscriptionPeriodId === undefined),
    class_validator_1.IsArray({ message: "validate:field:shouldBeArray" }),
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeEmptyArray" }),
    __metadata("design:type", Array)
], AdminCouponAddDto.prototype, "subscriptionPeriods", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:addChannelCoupons:channelCouponsDiscountUnitNotFound" }),
    class_validator_1.IsPositive({ message: "channel:addChannelCoupons:channelCouponsDiscountUnitIsNumber" }),
    __metadata("design:type", Number)
], AdminCouponAddDto.prototype, "discountUnit", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:addChannelCoupons:channelCouponsuserThresholdNotFound" }),
    class_validator_1.IsNumber({}, { message: "channel:addChannelCoupons:channelCouponsuserThresholdIsNumber" }),
    __metadata("design:type", Number)
], AdminCouponAddDto.prototype, "userThreshold", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:addChannelCoupons:channelCouponsusageThresholdNotFound" }),
    class_validator_1.IsNumber({}, { message: "channel:addChannelCoupons:channelCouponsusageThresholdIsNumber" }),
    __metadata("design:type", Number)
], AdminCouponAddDto.prototype, "usageThreshold", void 0);
exports.AdminCouponAddDto = AdminCouponAddDto;
//# sourceMappingURL=adminCoupon.dto.js.map