"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CertificateTagDto = void 0;
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class CertificateTagDto {
}
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:certificatetagidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:certificatetagidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], CertificateTagDto.prototype, "certificatetagid", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:product:tagIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:tagIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], CertificateTagDto.prototype, "tag", void 0);
__decorate([
    class_validator_1.IsOptional(),
    __metadata("design:type", Number)
], CertificateTagDto.prototype, "channelId", void 0);
__decorate([
    class_validator_1.IsOptional(),
    __metadata("design:type", Date)
], CertificateTagDto.prototype, "createdat", void 0);
__decorate([
    class_validator_1.IsOptional(),
    __metadata("design:type", Date)
], CertificateTagDto.prototype, "deletedat", void 0);
exports.CertificateTagDto = CertificateTagDto;
//# sourceMappingURL=certificateTag.dto.js.map