"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscribeDto = void 0;
const class_validator_1 = require("class-validator");
const app_constant_1 = require("../../../config/app.constant");
class SubscribeDto {
}
__decorate([
    class_validator_1.IsNumber(),
    class_validator_1.IsNotEmpty(),
    __metadata("design:type", Number)
], SubscribeDto.prototype, "subscriptionId", void 0);
__decorate([
    class_validator_1.IsNumber(),
    class_validator_1.IsOptional(),
    class_validator_1.IsEnum([
        app_constant_1.appconstant.PAYMENT_METHOD.OFFLINE_WIRE_TRANSFER,
        app_constant_1.appconstant.PAYMENT_METHOD.ONLINE_CREDIT_DEBIT_CART,
        app_constant_1.appconstant.PAYMENT_METHOD.PAYPAL_TRANSFER,
        app_constant_1.appconstant.PAYMENT_METHOD.STRIPE_ALIPAY
    ], { message: "Payment method should be any one from 'Wire transfer' and 'Credit / Debit cart' and PAYPAL" }),
    __metadata("design:type", Number)
], SubscribeDto.prototype, "paymentMethodId", void 0);
__decorate([
    class_validator_1.IsNumber(),
    class_validator_1.IsOptional(),
    __metadata("design:type", Number)
], SubscribeDto.prototype, "transactionId", void 0);
__decorate([
    class_validator_1.IsOptional(),
    __metadata("design:type", String)
], SubscribeDto.prototype, "paymentIntent", void 0);
__decorate([
    class_validator_1.IsOptional(),
    __metadata("design:type", String)
], SubscribeDto.prototype, "couponCode", void 0);
__decorate([
    class_validator_1.IsOptional(),
    __metadata("design:type", Number)
], SubscribeDto.prototype, "paymentStatus", void 0);
exports.SubscribeDto = SubscribeDto;
//# sourceMappingURL=subscribe.dto.js.map