"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateChannelDto = exports.leadmanagementtagtype = void 0;
const class_validator_1 = require("class-validator");
const app_constant_1 = require("../../../config/app.constant");
var leadmanagementtagtype;
(function (leadmanagementtagtype) {
    leadmanagementtagtype[leadmanagementtagtype["High"] = 0] = "High";
    leadmanagementtagtype[leadmanagementtagtype["Medium"] = 1] = "Medium";
    leadmanagementtagtype[leadmanagementtagtype["Low"] = 2] = "Low";
})(leadmanagementtagtype = exports.leadmanagementtagtype || (exports.leadmanagementtagtype = {}));
class UpdateChannelDto {
}
__decorate([
    class_validator_1.IsNotEmpty({ message: "channelHub:channleHubFilter:connectionStatusTypeIdIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channelHub:channleHubFilter:connectionStatusTypeIdIsNumber" }),
    __metadata("design:type", Number)
], UpdateChannelDto.prototype, "connectionStatusTypeId", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channelHub:updateChannelDefaultContact:channelJCTIdIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channelHub:updateChannelDefaultContact:channelJCTIdIsNumber" }),
    __metadata("design:type", Number)
], UpdateChannelDto.prototype, "channelJCTId", void 0);
__decorate([
    class_validator_1.ValidateIf(o => o.connectionStatusTypeId === app_constant_1.appconstant.DISMISS),
    class_validator_1.IsNotEmpty({ message: "channelHub:channleHubFilter:dismissreasonidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channelHub:channleHubFilter:dismissreasonidIsNumber" }),
    __metadata("design:type", Number)
], UpdateChannelDto.prototype, "dismissreasonid", void 0);
__decorate([
    class_validator_1.ValidateIf(o => o.dismissreasonid === app_constant_1.appconstant.DISMISS_OTHER_REASON),
    class_validator_1.IsNotEmpty({ message: "channelHub:channleHubFilter:otherreasonsIsNotEmpty" }),
    __metadata("design:type", String)
], UpdateChannelDto.prototype, "otherreasons", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "validate:field:shouldNotEmpty" }),
    class_validator_1.IsEnum(leadmanagementtagtype, { message: "channelHub:channleHubFilter:leadmanagementtagtype" }),
    __metadata("design:type", String)
], UpdateChannelDto.prototype, "leadManagementTag", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsString({ message: "validate:field:shouldBeString" }),
    __metadata("design:type", String)
], UpdateChannelDto.prototype, "note", void 0);
__decorate([
    class_validator_1.IsOptional(),
    __metadata("design:type", Number)
], UpdateChannelDto.prototype, "contactid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    __metadata("design:type", Number)
], UpdateChannelDto.prototype, "introVideo", void 0);
exports.UpdateChannelDto = UpdateChannelDto;
//# sourceMappingURL=updateChannel.dto.js.map