"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserSettingDto = void 0;
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class UserSettingDto {
}
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeArray" }),
    class_validator_1.IsNumber({}, {
        each: true,
        message: "validate:field:shouldBeInt"
    }),
    swagger_1.ApiProperty({ type: 'number', isArray: true }),
    __metadata("design:type", Array)
], UserSettingDto.prototype, "sellingRegion", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeArray" }),
    class_validator_1.IsNumber({}, {
        each: true,
        message: "validate:field:shouldBeInt"
    }),
    swagger_1.ApiProperty({ type: 'number', isArray: true }),
    __metadata("design:type", Array)
], UserSettingDto.prototype, "targetRegion", void 0);
__decorate([
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeArray" }),
    class_validator_1.IsNumber({}, {
        each: true,
        message: "validate:field:shouldBeInt"
    }),
    swagger_1.ApiProperty({ type: 'number', isArray: true }),
    __metadata("design:type", Array)
], UserSettingDto.prototype, "productGroup", void 0);
__decorate([
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeArray" }),
    class_validator_1.IsNumber({}, {
        each: true,
        message: "validate:field:shouldBeInt"
    }),
    swagger_1.ApiProperty({ type: 'number', isArray: true }),
    __metadata("design:type", Array)
], UserSettingDto.prototype, "productCat", void 0);
__decorate([
    class_validator_1.IsNumber({}, {
        each: true,
        message: "validate:field:shouldBeInt"
    }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], UserSettingDto.prototype, "suggestions", void 0);
__decorate([
    class_validator_1.IsNumber({}, {
        each: true,
        message: "validate:field:shouldBeInt"
    }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], UserSettingDto.prototype, "networkInvitation", void 0);
exports.UserSettingDto = UserSettingDto;
//# sourceMappingURL=usersetting.dto.js.map