import { Model } from 'sequelize-typescript';
import { Channel } from './Channel.entity';
import { PaymentTransaction } from './PaymentTransaction.entity';
import { ChannelSubscription } from './ChannelSubscription.entity';
export declare class AutoRenewalTracking extends Model<AutoRenewalTracking> {
    autorenewaltrackingid: number;
    channelid: number;
    channel: Channel;
    channelsubscriptionid: number;
    channelSubscription: ChannelSubscription;
    statusid: number;
    remindercount: number;
    paymenttransactionid: number;
    endat: number;
    paymentTransaction: PaymentTransaction;
    createdat: Date;
    updatedat: Date;
    deletedat: Date;
    static dateUpdate(autoRenewalTracking: AutoRenewalTracking, options: any): Promise<void>;
}
