"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.BuyerReqCategory = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const BuyerNeed_entity_1 = require("./BuyerNeed.entity");
const tableOptions = { timestamps: false, tableName: 'buyerreqcategory' };
let BuyerReqCategory = class BuyerReqCategory extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], BuyerReqCategory.prototype, "reqid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => BuyerNeed_entity_1.BuyerNeed),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], BuyerReqCategory.prototype, "buyerreqid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => BuyerNeed_entity_1.BuyerNeed),
    __metadata("design:type", Array)
], BuyerReqCategory.prototype, "buyer", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], BuyerReqCategory.prototype, "categoryid", void 0);
BuyerReqCategory = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], BuyerReqCategory);
exports.BuyerReqCategory = BuyerReqCategory;
//# sourceMappingURL=BuyerReqCategory.entity.js.map