"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelBrand = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Channel_entity_1 = require("./Channel.entity");
const Brand_entity_1 = require("../../product/models/Brand.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamp: true, tableName: 'tblChannelBrand' };
let ChannelBrand = class ChannelBrand extends sequelize_typescript_1.Model {
    static async dateUpdate(channelBrand, options) {
        channelBrand.updatedAt = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelBrand.prototype, "channelBrandId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channel_entity_1.Channel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelBrand.prototype, "channelId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel),
    __metadata("design:type", Array)
], ChannelBrand.prototype, "channel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Brand_entity_1.Brand),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelBrand.prototype, "brandId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Brand_entity_1.Brand),
    __metadata("design:type", Brand_entity_1.Brand)
], ChannelBrand.prototype, "brand", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelBrand.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelBrand.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelBrand.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [ChannelBrand, Object]),
    __metadata("design:returntype", Promise)
], ChannelBrand, "dateUpdate", null);
ChannelBrand = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes(() => ({
        channelDetail: {
            attributes: ['channelId', 'brandId', 'deletedAt']
        },
        tradeinfo: {
            attributes: {
                exclude: ['deletedAt', 'createdAt', 'updatedAt']
            }
        }
    }))
], ChannelBrand);
exports.ChannelBrand = ChannelBrand;
//# sourceMappingURL=ChannelBrand.entity.js.map