"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelContactSuggestion = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Channel_entity_1 = require("./Channel.entity");
const Contact_entity_1 = require("../../user/models/Contact.entity");
const ShareType_entity_1 = require("./ShareType.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamps: false, tableName: 'tblchannelcontactsuggestion' };
let ChannelContactSuggestion = class ChannelContactSuggestion extends sequelize_typescript_1.Model {
    static async dateUpdate(channelContactSuggestion, options) {
        channelContactSuggestion.updatedat = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelContactSuggestion.prototype, "channelcontactsuggestion", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channel_entity_1.Channel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelContactSuggestion.prototype, "channelid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel),
    __metadata("design:type", Array)
], ChannelContactSuggestion.prototype, "channel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Contact_entity_1.Contact),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelContactSuggestion.prototype, "contactid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Contact_entity_1.Contact),
    __metadata("design:type", Array)
], ChannelContactSuggestion.prototype, "contact", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ShareType_entity_1.ShareType),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelContactSuggestion.prototype, "sharetypeid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ShareType_entity_1.ShareType),
    __metadata("design:type", Array)
], ChannelContactSuggestion.prototype, "sharetype", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelContactSuggestion.prototype, "updatedby", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelContactSuggestion.prototype, "deletedat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelContactSuggestion.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelContactSuggestion.prototype, "updatedat", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [ChannelContactSuggestion, Object]),
    __metadata("design:returntype", Promise)
], ChannelContactSuggestion, "dateUpdate", null);
ChannelContactSuggestion = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes(() => ({
        contactSuggestionInfo: {
            attributes: ['channelcontactsuggestion', 'channelid', 'contactid', 'sharetypeid', 'updatedby']
        }
    }))
], ChannelContactSuggestion);
exports.ChannelContactSuggestion = ChannelContactSuggestion;
//# sourceMappingURL=ChannelContactSuggestion.entity.js.map