import { Model } from 'sequelize-typescript';
import { Channel } from './Channel.entity';
import { ProfileType } from './ProfileType.entity';
import { ProfileTypeClassification } from './ProfileTypeClassification.entity';
export declare class ChannelCustomerProfile extends Model<ChannelCustomerProfile> {
    customerProfileId: number;
    channelId: number;
    channel: Channel[];
    profileTypeId: number;
    profileType: ProfileType;
    profileTypeClassificationId: number;
    pTClas: ProfileTypeClassification;
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
    static dateUpdate(channelCustomerProfile: ChannelCustomerProfile, options: any): Promise<void>;
}
