import { Model } from 'sequelize-typescript';
import { Channel } from './Channel.entity';
import { Media } from '../../media/models/Media.entity';
import { Currency } from './Currency.entity';
export declare class ChannelDetail extends Model<ChannelDetail> {
    channelDetailId: number;
    channelId: number;
    channel: Channel[];
    channelLogoId: number;
    channelLogo: Media;
    channelIconId: number;
    channelIcon: Media;
    channelBannerId: number;
    channelBanner: Media;
    phone1: string;
    phone2: string;
    mobileNo: string;
    webSiteUrl: string;
    estYear: number;
    regYear: number;
    detailDesc: string;
    keyretailers: string;
    keydistributors: string;
    expectations: string;
    companyDesc: string;
    empCntRange: string;
    empCnt: number;
    empCntDSale: number;
    empCntISale: number;
    empCntDMar: number;
    empCntIMar: number;
    turnoverRange: string;
    turnover: number;
    revD: number;
    revI: number;
    turnoverPhyStore: number;
    turnoverOnStore: number;
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
    stripeConnectId: string;
    paymentoptionothers: string;
    currencyid: number;
    currency: Currency[];
    ownerFirstName: string;
    ownerLastName: string;
    startup: string;
    maturitylevel: string[];
    storeCount: number;
    no_of_skus: number;
    no_of_vendors: number;
    no_of_distributors: number;
    no_of_retailers: number;
    introvideoId: number;
    introvideo: Media;
    isPhysicalSales: string;
    physicalSales: number;
    keyresellers: string;
    no_of_resellers: number;
    shareStatus: boolean;
    bannerURL: string;
}
