"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelDismissReason = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const ChannelJCT_entity_1 = require("./ChannelJCT.entity");
const User_entity_1 = require("./../../user/models/User.entity");
const DismissReason_entity_1 = require("./DismissReason.entity");
const tableOptions = { tableName: 'tblchanneldismissreason', timestamps: false };
let ChannelDismissReason = class ChannelDismissReason extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelDismissReason.prototype, "channeldismissreasonid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ChannelJCT_entity_1.ChannelJCT),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelDismissReason.prototype, "channelJCTId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ChannelJCT_entity_1.ChannelJCT),
    __metadata("design:type", ChannelJCT_entity_1.ChannelJCT)
], ChannelDismissReason.prototype, "channelJCT", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => DismissReason_entity_1.DismissReason),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelDismissReason.prototype, "dismissreasonid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => DismissReason_entity_1.DismissReason),
    __metadata("design:type", DismissReason_entity_1.DismissReason)
], ChannelDismissReason.prototype, "dismissreason", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(10000)),
    __metadata("design:type", String)
], ChannelDismissReason.prototype, "otherreasons", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => User_entity_1.User),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelDismissReason.prototype, "updatedby", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => User_entity_1.User, 'userId'),
    __metadata("design:type", User_entity_1.User)
], ChannelDismissReason.prototype, "User", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelDismissReason.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelDismissReason.prototype, "updatedat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelDismissReason.prototype, "dismissedChId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelDismissReason.prototype, "dismissedBy", void 0);
ChannelDismissReason = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], ChannelDismissReason);
exports.ChannelDismissReason = ChannelDismissReason;
//# sourceMappingURL=ChannelDismissReason.entity.js.map