import { Model } from 'sequelize-typescript';
import { Channel } from './Channel.entity';
import { RegionCountryJCT } from '../../common/models/RegionCountryJCT.entity';
import { User } from './../../user/models/User.entity';
export declare class ChannelLocation extends Model<ChannelLocation> {
    channelLocationId: number;
    channelId: number;
    Channel: Channel[];
    locationType: string;
    regionCountryJCTId: number;
    RegionCountryJCT: RegionCountryJCT[];
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
    updatedBy: number;
    User: User;
    static dateUpdate(channelLocation: ChannelLocation, options: any): Promise<void>;
}
