import { Model } from 'sequelize-typescript';
import { Channel } from './Channel.entity';
import { Country } from '../../common/models/Country.entity';
import { Address } from './Address.entity';
export declare class ChannelRecommended extends Model<ChannelRecommended> {
    static CHANNEL_TAG_NEW: string;
    static CHANNEL_TAG_ACTIVE: string;
    static CHANNEL_TAG_EXISTING: string;
    channelrecommendid: number;
    existchannelid: number;
    existchannel: Channel;
    oldchannelid: number;
    tag: string;
    companyname: string;
    contactname: string;
    countryid: number;
    country: Country;
    city: string;
    mail: string;
    mobileno: string;
    addressid: number;
    address: Address;
    websiteurl: string;
    updatedby: number;
    createdat: Date;
    updatedat: Date;
    deletedat: Date;
    suggestedto: number;
    suggestedtochannel: Channel;
    suggestedto_type: number;
    suggestedby: number;
    suggestedby_channelid: number;
    suggestedbychannel: Channel;
    suggestedby_type: number;
    suggested_type: number;
    active_id: number;
    active_channel: Channel;
    last_remainder_sent_at: Date;
    no_of_remainders_sent: number;
    partner_request: string;
    child_invitation: number;
    occasion: string;
    note: string;
}
