"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelSharePreference = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Channel_entity_1 = require("./Channel.entity");
const ShareType_entity_1 = require("./ShareType.entity");
const User_entity_1 = require("./../../user/models/User.entity");
const tableOptions = { tableName: 'tblchannelsharepreference', timestamps: false };
let ChannelSharePreference = class ChannelSharePreference extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelSharePreference.prototype, "channelsharepreferenceid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channel_entity_1.Channel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelSharePreference.prototype, "channelid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel),
    __metadata("design:type", Array)
], ChannelSharePreference.prototype, "channel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ShareType_entity_1.ShareType),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelSharePreference.prototype, "sharetypeid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ShareType_entity_1.ShareType),
    __metadata("design:type", Array)
], ChannelSharePreference.prototype, "sharetype", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => User_entity_1.User),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelSharePreference.prototype, "updatedby", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => User_entity_1.User, 'updatedby'),
    __metadata("design:type", User_entity_1.User)
], ChannelSharePreference.prototype, "User", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelSharePreference.prototype, "deletedat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelSharePreference.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelSharePreference.prototype, "updatedat", void 0);
ChannelSharePreference = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes(() => ({
        settings: {
            attributes: ['sharetypeid']
        }
    }))
], ChannelSharePreference);
exports.ChannelSharePreference = ChannelSharePreference;
//# sourceMappingURL=ChannelSharePreference.entity.js.map