"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelSocialLink = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Channel_entity_1 = require("./Channel.entity");
const SocialSite_entity_1 = require("./SocialSite.entity");
const tableOptions = { timestamp: true, tableName: 'tblChannelSocialLink' };
let ChannelSocialLink = class ChannelSocialLink extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelSocialLink.prototype, "channelSocialLinkId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => SocialSite_entity_1.SocialSite),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelSocialLink.prototype, "socialSiteId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => SocialSite_entity_1.SocialSite),
    __metadata("design:type", Array)
], ChannelSocialLink.prototype, "socialSite", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channel_entity_1.Channel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelSocialLink.prototype, "channelId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel),
    __metadata("design:type", Array)
], ChannelSocialLink.prototype, "channel", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], ChannelSocialLink.prototype, "channelSocialLink", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelSocialLink.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelSocialLink.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelSocialLink.prototype, "updatedAt", void 0);
ChannelSocialLink = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes(() => ({
        channelDetail: {
            attributes: ['channelSocialLinkId', 'socialSiteId', 'channelSocialLink', 'channelId', 'deletedAt']
        }
    }))
], ChannelSocialLink);
exports.ChannelSocialLink = ChannelSocialLink;
//# sourceMappingURL=ChannelSocialLink.entity.js.map