import { Model } from 'sequelize-typescript';
import { Channel } from './Channel.entity';
import { ClaimDocument } from './ClaimDocument.entity';
import { SignUpStatus } from '../../user/models/SignUpStatus.entity';
export declare class Claim extends Model<Claim> {
    claimId: number;
    channelId: number;
    channel: Channel;
    claimChannelId: number;
    claimChannel: Channel;
    claimDocument: ClaimDocument[];
    claimDesc: string;
    claimStatusId: number;
    claimStatus: SignUpStatus;
    dismissReason: string;
}
