"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompanyMedia = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const models_1 = require("../../media/models");
const tableOptions = { tableName: 'tblCompanyMedia', timestamps: false };
let CompanyMedia = class CompanyMedia extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], CompanyMedia.prototype, "companyMediaId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], CompanyMedia.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], CompanyMedia.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => models_1.Media),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], CompanyMedia.prototype, "documentId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => models_1.Media, 'documentId'),
    __metadata("design:type", models_1.Media)
], CompanyMedia.prototype, "document", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], CompanyMedia.prototype, "channelId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], CompanyMedia.prototype, "oldChannelId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], CompanyMedia.prototype, "contactId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => models_1.Media),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], CompanyMedia.prototype, "snapId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => models_1.Media, 'snapId'),
    __metadata("design:type", models_1.Media)
], CompanyMedia.prototype, "snap", void 0);
CompanyMedia = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], CompanyMedia);
exports.CompanyMedia = CompanyMedia;
//# sourceMappingURL=CompanyMedia.entity.js.map