import { Model } from 'sequelize-typescript';
import { ChannelType } from './ChannelType.entity';
import { SubscriptionPlan } from './SubscriptionPlan.entity';
import { SubscriptionType } from '../models/SubscriptionType.entity';
import { SubscriptionPeriod } from './SubscriptionPeriod.entity';
export declare class Coupon extends Model<Coupon> {
    static DISCOUNT_UNIT_AMT: number;
    static DISCOUNT_UNIT_PER: number;
    couponId: number;
    couponDesc: string;
    couponCode: string;
    couponOfferValue: number;
    isActive: number;
    fromDate: any;
    toDate: any;
    subscriptionTypeId: number;
    subscriptionType: SubscriptionType;
    channelTypeId: number;
    channelType: ChannelType;
    subscriptionPlanId: number;
    subscriptionPlan: SubscriptionPlan;
    subscriptionPeriodId: number;
    subscriptionPeriod: SubscriptionPeriod;
    discountUnit: number;
    userThreshold: number;
    usageThreshold: number;
    deletedAt: Date;
    updatedAt: Date;
    getDiscountedAmount(amount: any): Promise<number>;
    getOfferAmount(amount: any): Promise<number>;
    static dateUpdate(coupon: Coupon, options: any): Promise<void>;
}
