"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DashboardReport = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Dashboard_entity_1 = require("./Dashboard.entity");
const tableOptions = { timestamps: false, tableName: 'dashboardReport' };
let DashboardReport = class DashboardReport extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], DashboardReport.prototype, "reportId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], DashboardReport.prototype, "userId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], DashboardReport.prototype, "dashboardId", void 0);
__decorate([
    sequelize_typescript_1.HasMany(() => Dashboard_entity_1.Dashboard, 'id'),
    __metadata("design:type", Array)
], DashboardReport.prototype, "dashboard", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], DashboardReport.prototype, "yearId", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], DashboardReport.prototype, "month1", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], DashboardReport.prototype, "month2", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], DashboardReport.prototype, "month3", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], DashboardReport.prototype, "month4", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], DashboardReport.prototype, "month5", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], DashboardReport.prototype, "month6", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], DashboardReport.prototype, "month7", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], DashboardReport.prototype, "month8", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], DashboardReport.prototype, "month9", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], DashboardReport.prototype, "month10", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], DashboardReport.prototype, "month11", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], DashboardReport.prototype, "month12", void 0);
DashboardReport = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], DashboardReport);
exports.DashboardReport = DashboardReport;
//# sourceMappingURL=DashboardReport.entity.js.map