"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DismissReason = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const ConnectionStatusType_entity_1 = require("./ConnectionStatusType.entity");
const tableOptions = { tableName: 'tbldismissreasons', timestamps: false, };
let DismissReason = class DismissReason extends sequelize_typescript_1.Model {
};
DismissReason.REDIS_KEY = 'dismissreason';
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], DismissReason.prototype, "dismissreasonid", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(500)),
    __metadata("design:type", String)
], DismissReason.prototype, "dismissreason", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ConnectionStatusType_entity_1.ConnectionStatusType),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], DismissReason.prototype, "relationId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], DismissReason.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], DismissReason.prototype, "updatedat", void 0);
DismissReason = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes(() => ({
        dismissReason: {
            attributes: {
                exclude: ['createdat', 'updatedat']
            }
        }
    }))
], DismissReason);
exports.DismissReason = DismissReason;
//# sourceMappingURL=DismissReason.entity.js.map