import { Model } from 'sequelize-typescript';
import { Channel } from './Channel.entity';
import { EventBo } from './EventBo.entity';
import { EventPackage } from './EventPackage.entity';
import { EventParticipants } from './EventParticipants.entity';
export declare class EventChannel extends Model<EventChannel> {
    id: number;
    channelId: number;
    channel: Channel[];
    eventId: number;
    packageId: number;
    package: EventPackage;
    event: EventBo;
    isNew: string;
    createdAt: Date;
    deletedAt: Date;
    updatedAt: Date;
    participants: EventParticipants[];
    additionalMembers: number;
    paymenttransactionId: number;
    paymentstatus: string;
    paymentMethod: number;
}
