"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EventPackage = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const EventBo_entity_1 = require("./EventBo.entity");
const tableOptions = { timestamp: true, tableName: 'tblEventPackage' };
let EventPackage = class EventPackage extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], EventPackage.prototype, "packageId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], EventPackage.prototype, "packageName", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => EventBo_entity_1.EventBo),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], EventPackage.prototype, "eventId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(500)),
    __metadata("design:type", String)
], EventPackage.prototype, "description", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.FLOAT(15, 2)),
    __metadata("design:type", Number)
], EventPackage.prototype, "price", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], EventPackage.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], EventPackage.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], EventPackage.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.FLOAT(15, 2)),
    __metadata("design:type", Number)
], EventPackage.prototype, "boothSize", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], EventPackage.prototype, "no_of_meeting_allowed", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], EventPackage.prototype, "no_of_access_badge", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], EventPackage.prototype, "no_of_private_webinar", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], EventPackage.prototype, "no_of_fireside_chat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], EventPackage.prototype, "membersAllowed", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.FLOAT(15, 2)),
    __metadata("design:type", Number)
], EventPackage.prototype, "additionalMembersCosting", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], EventPackage.prototype, "emailMarketing", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], EventPackage.prototype, "subs_to_chPlatform", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], EventPackage.prototype, "channelType", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], EventPackage.prototype, "isBuyer", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], EventPackage.prototype, "isSeller", void 0);
EventPackage = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], EventPackage);
exports.EventPackage = EventPackage;
//# sourceMappingURL=EventPackage.entity.js.map