import { Model } from 'sequelize-typescript';
import { PaymentTransaction } from './PaymentTransaction.entity';
import { Channel } from './Channel.entity';
export declare class FailureTransaction extends Model<FailureTransaction> {
    static PAYMENT_TYPE_SUBSCRIPTION: number;
    static PAYMENT_TYPE_TRADESHOW: number;
    static PAYMENT_TYPE_SAMPLES: number;
    static PAYMENT_TYPE_SALESREPPAY: number;
    failureTransactionId: number;
    paymentMethodId: number;
    paymentTransactionId: number;
    channelId: number;
    response: string;
    createdAt: string;
    paymentTransaction: PaymentTransaction[];
    channel: Channel[];
}
