"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.KeyPartnerJCT = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const ChannelKeyPartner_entity_1 = require("./ChannelKeyPartner.entity");
const Channel_entity_1 = require("./Channel.entity");
const OldChannel_entity_1 = require("./OldChannel.entity");
const ChannelType_entity_1 = require("./ChannelType.entity");
const tableOptions = { timestamps: false, tableName: 'tblKeyPartnerJCT' };
let KeyPartnerJCT = class KeyPartnerJCT extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], KeyPartnerJCT.prototype, "keypartnerid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channel_entity_1.Channel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], KeyPartnerJCT.prototype, "channelid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel),
    __metadata("design:type", Channel_entity_1.Channel)
], KeyPartnerJCT.prototype, "channel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channel_entity_1.Channel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], KeyPartnerJCT.prototype, "existchannelid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel),
    __metadata("design:type", Channel_entity_1.Channel)
], KeyPartnerJCT.prototype, "existchannel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => OldChannel_entity_1.OldChannel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], KeyPartnerJCT.prototype, "oldchannelid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => OldChannel_entity_1.OldChannel),
    __metadata("design:type", OldChannel_entity_1.OldChannel)
], KeyPartnerJCT.prototype, "oldchannel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ChannelKeyPartner_entity_1.ChannelKeyPartner),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], KeyPartnerJCT.prototype, "channelkeypartnerid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ChannelKeyPartner_entity_1.ChannelKeyPartner),
    __metadata("design:type", ChannelKeyPartner_entity_1.ChannelKeyPartner)
], KeyPartnerJCT.prototype, "channelkeypartner", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], KeyPartnerJCT.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], KeyPartnerJCT.prototype, "updatedat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], KeyPartnerJCT.prototype, "deletedat", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ChannelType_entity_1.ChannelType),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], KeyPartnerJCT.prototype, "partner_type", void 0);
KeyPartnerJCT = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], KeyPartnerJCT);
exports.KeyPartnerJCT = KeyPartnerJCT;
//# sourceMappingURL=KeyPartnerJCT.entity.js.map