import { Model } from 'sequelize-typescript';
import { OldAddress } from './OldAddress.entity';
import { Channel } from './Channel.entity';
import { OldContact } from './OldContact.entity';
import { OldChannelDetail } from './OldChannelDetail.entity';
import { Country } from '../../common/models/Country.entity';
import { OldChannelCustomerProfile } from './OldChannelCustomerProfile.entity';
import { ProfileType } from './ProfileType.entity';
import { OldChannelSpeciality } from './OldChannelSpeciality.entity';
import { ProductGroup } from 'src/modules/product/models/ProductGroup.entity';
export declare class OldChannel extends Model<OldChannel> {
    oldChannelId: number;
    companyName: string;
    companyMail: string;
    countryId: string;
    country: Country;
    channelTypeId: number;
    regAddressId: number;
    billAddressId: number;
    regAddress: OldAddress[];
    billAddress: OldAddress[];
    channel: Channel;
    oldContacts: OldContact[];
    oldChannelDetail: OldChannelDetail;
    isActive: string;
    deletedAt: Date;
    profileTypeId: number;
    channelCustomerProfile: OldChannelCustomerProfile[];
    customerProfile: ProfileType[];
    channelSpeciality: OldChannelSpeciality[];
    speciality: ProductGroup[];
}
