import { Model } from 'sequelize-typescript';
import { OldChannel } from './OldChannel.entity';
import { ProfileType } from './ProfileType.entity';
import { ProfileTypeClassification } from './ProfileTypeClassification.entity';
export declare class OldChannelCustomerProfile extends Model<OldChannelCustomerProfile> {
    oldCustomerProfileId: number;
    oldChannelId: number;
    channel: OldChannel[];
    profileTypeId: number;
    profileType: ProfileType;
    profileTypeClassificationId: number;
    pTClas: ProfileTypeClassification;
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
    static dateUpdate(oldChannelCustomerProfile: OldChannelCustomerProfile, options: any): Promise<void>;
}
