"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OldChannelDetail = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Media_entity_1 = require("../../media/models/Media.entity");
const Currency_entity_1 = require("./Currency.entity");
const OldChannel_entity_1 = require("./OldChannel.entity");
const tableOptions = { timestamp: true, tableName: 'tblOldChannelDetail' };
let OldChannelDetail = class OldChannelDetail extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "OldChannelDetailId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => OldChannel_entity_1.OldChannel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "oldChannelId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => OldChannel_entity_1.OldChannel),
    __metadata("design:type", OldChannel_entity_1.OldChannel)
], OldChannelDetail.prototype, "oldChannel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Media_entity_1.Media),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "channelLogoId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Media_entity_1.Media, 'channelLogoId'),
    __metadata("design:type", Media_entity_1.Media)
], OldChannelDetail.prototype, "channelLogo", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Media_entity_1.Media),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "channelIconId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Media_entity_1.Media, 'channelIconId'),
    __metadata("design:type", Media_entity_1.Media)
], OldChannelDetail.prototype, "channelIcon", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], OldChannelDetail.prototype, "phone1", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], OldChannelDetail.prototype, "phone2", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], OldChannelDetail.prototype, "mobileNo", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], OldChannelDetail.prototype, "webSiteUrl", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "estYear", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "regYear", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(80000)),
    __metadata("design:type", String)
], OldChannelDetail.prototype, "detailDesc", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(100)),
    __metadata("design:type", String)
], OldChannelDetail.prototype, "empCntRange", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "empCnt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "empCntDSale", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "empCntISale", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "empCntDMar", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "empCntIMar", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(100)),
    __metadata("design:type", String)
], OldChannelDetail.prototype, "turnoverRange", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "turnover", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "revD", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "revI", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "turnoverPhyStore", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "turnoverOnStore", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], OldChannelDetail.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], OldChannelDetail.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], OldChannelDetail.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], OldChannelDetail.prototype, "stripeConnectId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], OldChannelDetail.prototype, "paymentoptionothers", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Currency_entity_1.Currency),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "currencyid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Currency_entity_1.Currency),
    __metadata("design:type", Array)
], OldChannelDetail.prototype, "currency", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], OldChannelDetail.prototype, "ownerFirstName", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], OldChannelDetail.prototype, "ownerLastName", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], OldChannelDetail.prototype, "startup", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.ARRAY({
            type: sequelize_typescript_1.DataType.ENUM('PROTOTYPE', 'S_BACKER', 'S_VOLUME')
        })
    }),
    __metadata("design:type", Array)
], OldChannelDetail.prototype, "maturitylevel", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "storeCount", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "no_of_skus", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "introvideoId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], OldChannelDetail.prototype, "channelBannerId", void 0);
OldChannelDetail = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], OldChannelDetail);
exports.OldChannelDetail = OldChannelDetail;
//# sourceMappingURL=OldChannelDetail.entity.js.map