"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OldChannelSpeciality = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const OldChannel_entity_1 = require("./OldChannel.entity");
const ProductGroup_entity_1 = require("../../product/models/ProductGroup.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamp: true, tableName: 'tblOldChannelSpeciality' };
let OldChannelSpeciality = class OldChannelSpeciality extends sequelize_typescript_1.Model {
    static async dateUpdate(channelSpeciality, options) {
        channelSpeciality.updatedAt = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], OldChannelSpeciality.prototype, "oldChannelSpecialityId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => OldChannel_entity_1.OldChannel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], OldChannelSpeciality.prototype, "oldChannelId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => OldChannel_entity_1.OldChannel),
    __metadata("design:type", Array)
], OldChannelSpeciality.prototype, "channel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ProductGroup_entity_1.ProductGroup),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], OldChannelSpeciality.prototype, "productGroupId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ProductGroup_entity_1.ProductGroup),
    __metadata("design:type", ProductGroup_entity_1.ProductGroup)
], OldChannelSpeciality.prototype, "productGroup", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], OldChannelSpeciality.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], OldChannelSpeciality.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], OldChannelSpeciality.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [OldChannelSpeciality, Object]),
    __metadata("design:returntype", Promise)
], OldChannelSpeciality, "dateUpdate", null);
OldChannelSpeciality = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes(() => ({
        channelDetail: {
            attributes: ['oldChannelSpecialityId', 'productGroupId', 'deletedAt']
        },
        tradeinfo: {
            attributes: {
                exclude: ['deletedAt', 'createdAt', 'updatedAt']
            }
        }
    }))
], OldChannelSpeciality);
exports.OldChannelSpeciality = OldChannelSpeciality;
//# sourceMappingURL=OldChannelSpeciality.entity.js.map