"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PaymentType = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const swagger_1 = require("@nestjs/swagger");
const PaymentTransaction_entity_1 = require("./PaymentTransaction.entity");
let PaymentType = class PaymentType extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.INTEGER,
        allowNull: false,
        unique: true,
        primaryKey: true,
    }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], PaymentType.prototype, "paymentTypeId", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.CHAR(100),
        allowNull: false,
        unique: { name: 'paymentType', msg: 'channel:subscription:paymentType:shouldBeUnique' }
    }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], PaymentType.prototype, "paymentType", void 0);
__decorate([
    sequelize_typescript_1.HasMany(() => PaymentTransaction_entity_1.PaymentTransaction),
    __metadata("design:type", Array)
], PaymentType.prototype, "payments", void 0);
PaymentType = __decorate([
    sequelize_typescript_1.Table({ timestamps: false, tableName: 'tblPaymentType' })
], PaymentType);
exports.PaymentType = PaymentType;
//# sourceMappingURL=PaymentType.entity.js.map