import { Model } from 'sequelize-typescript';
import { ProfileType } from './ProfileType.entity';
import { ChannelType } from './ChannelType.entity';
export declare class ProfileTypeClassification extends Model<ProfileTypeClassification> {
    profileTypeClassificationId: number;
    profileTypeId: string;
    profileType: ProfileType;
    channelTypeId: number;
    channelType: ChannelType;
    isDefault: string;
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
    static dateUpdate(instance: ProfileTypeClassification, options: any): Promise<void>;
}
