"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SocialSite = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const swagger_1 = require("@nestjs/swagger");
let SocialSite = class SocialSite extends sequelize_typescript_1.Model {
};
SocialSite.SOCIALSITE_LINKEDIN = 1;
SocialSite.SOCIALSITE_GOOGLEPLUS = 2;
SocialSite.SOCIALSITE_INSTAGRAM = 3;
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.INTEGER,
        allowNull: false,
        unique: true,
        primaryKey: true,
    }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], SocialSite.prototype, "socialSiteId", void 0);
__decorate([
    sequelize_typescript_1.Column({ type: sequelize_typescript_1.DataType.CHAR(255) }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], SocialSite.prototype, "socialSite", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SocialSite.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SocialSite.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SocialSite.prototype, "updatedAt", void 0);
SocialSite = __decorate([
    sequelize_typescript_1.Table({
        tableName: "tblSocialSite"
    }),
    sequelize_typescript_1.Scopes(() => ({
        channelDetail: {
            attributes: ['socialSiteId', 'socialSite']
        }
    }))
], SocialSite);
exports.SocialSite = SocialSite;
//# sourceMappingURL=SocialSite.entity.js.map