"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionExtraFeature = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Subscription_entity_1 = require("./Subscription.entity");
const SubscriptionExtraFeatureCategories_entity_1 = require("./SubscriptionExtraFeatureCategories.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamp: true, tableName: 'tblSubscriptionExtraFeature' };
let SubscriptionExtraFeature = class SubscriptionExtraFeature extends sequelize_typescript_1.Model {
    static async dateUpdate(SubscriptionExtraFeature, options) {
        SubscriptionExtraFeature.updatedAt = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.BIGINT,
        allowNull: false,
        unique: true,
        primaryKey: true,
    }),
    __metadata("design:type", Number)
], SubscriptionExtraFeature.prototype, "subscriptionExtraFeatureId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Subscription_entity_1.Subscription),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SubscriptionExtraFeature.prototype, "subscriptionId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => SubscriptionExtraFeatureCategories_entity_1.SubscriptionExtraFeatureCategory),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SubscriptionExtraFeature.prototype, "subscriptionExtraFeatureCategoryId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => SubscriptionExtraFeatureCategories_entity_1.SubscriptionExtraFeatureCategory),
    __metadata("design:type", SubscriptionExtraFeatureCategories_entity_1.SubscriptionExtraFeatureCategory)
], SubscriptionExtraFeature.prototype, "subscriptionExtraFeatureCategory", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], SubscriptionExtraFeature.prototype, "feature_value", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], SubscriptionExtraFeature.prototype, "feature_label", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], SubscriptionExtraFeature.prototype, "isActive", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SubscriptionExtraFeature.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SubscriptionExtraFeature.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SubscriptionExtraFeature.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [SubscriptionExtraFeature, Object]),
    __metadata("design:returntype", Promise)
], SubscriptionExtraFeature, "dateUpdate", null);
SubscriptionExtraFeature = __decorate([
    sequelize_typescript_1.Table({
        tableName: "tblSubscriptionExtraFeature"
    })
], SubscriptionExtraFeature);
exports.SubscriptionExtraFeature = SubscriptionExtraFeature;
//# sourceMappingURL=SubscriptionExtraFeature.entity.js.map