"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionFeatures = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const SubscriptionFeatureCategory_entity_1 = require("./SubscriptionFeatureCategory.entity");
const SubscriptionDetail_entity_1 = require("./SubscriptionDetail.entity");
const Subscription_entity_1 = require(".//Subscription.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamp: true, tableName: 'tblSubscriptionFeatures' };
let SubscriptionFeatures = class SubscriptionFeatures extends sequelize_typescript_1.Model {
    static async dateUpdate(subscriptionFeatures, options) {
        subscriptionFeatures.updatedAt = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SubscriptionFeatures.prototype, "subscriptionFeatureId", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.CHAR(255),
        allowNull: false,
        unique: { name: 'subscriptionFeature', msg: 'validate:field:shouldBeUnique' }
    }),
    __metadata("design:type", String)
], SubscriptionFeatures.prototype, "subscriptionFeature", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => SubscriptionFeatureCategory_entity_1.SubscriptionFeatureCategory),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.BIGINT,
        allowNull: false,
        unique: { name: 'subscriptionFeature', msg: 'validate:field:shouldBeUnique' }
    }),
    __metadata("design:type", Number)
], SubscriptionFeatures.prototype, "subscriptionFeatureCategoryId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => SubscriptionFeatureCategory_entity_1.SubscriptionFeatureCategory),
    __metadata("design:type", SubscriptionFeatureCategory_entity_1.SubscriptionFeatureCategory)
], SubscriptionFeatures.prototype, "subscriptionFeatureCategory", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BOOLEAN),
    __metadata("design:type", Boolean)
], SubscriptionFeatures.prototype, "isActive", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SubscriptionFeatures.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SubscriptionFeatures.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SubscriptionFeatures.prototype, "updatedBy", void 0);
__decorate([
    sequelize_typescript_1.BelongsToMany(() => Subscription_entity_1.Subscription, {
        through: {
            model: () => SubscriptionDetail_entity_1.SubscriptionDetail,
            scope: {
                deletedAt: null
            }
        }
    }),
    __metadata("design:type", Array)
], SubscriptionFeatures.prototype, "subscription", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [SubscriptionFeatures, Object]),
    __metadata("design:returntype", Promise)
], SubscriptionFeatures, "dateUpdate", null);
SubscriptionFeatures = __decorate([
    sequelize_typescript_1.Table({
        tableName: "tblSubscriptionFeatures"
    })
], SubscriptionFeatures);
exports.SubscriptionFeatures = SubscriptionFeatures;
//# sourceMappingURL=SubscriptionFeatures.entity.js.map