"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserVisibilityType = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const ChannelType_entity_1 = require("./ChannelType.entity");
const tableOptions = { tableName: 'tbluservisibilitytype' };
let UserVisibilityType = class UserVisibilityType extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], UserVisibilityType.prototype, "uservisibilitytypeid", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], UserVisibilityType.prototype, "uservisibilitytype", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ChannelType_entity_1.ChannelType),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], UserVisibilityType.prototype, "channeltypeid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ChannelType_entity_1.ChannelType),
    __metadata("design:type", Array)
], UserVisibilityType.prototype, "channelType", void 0);
UserVisibilityType = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], UserVisibilityType);
exports.UserVisibilityType = UserVisibilityType;
//# sourceMappingURL=UserVisibilityType.entity.js.map