"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.algorithmProvider = void 0;
const config_1 = require("@nestjs/config");
const microservices_1 = require("@nestjs/microservices");
exports.algorithmProvider = [
    {
        provide: 'ALGORITHM_SERVICE',
        useFactory: (configService) => (microservices_1.ClientProxyFactory.create({
            transport: microservices_1.Transport.TCP,
            options: {
                host: configService.get('localhost'),
                port: configService.get('4000'),
            }
        })),
        inject: [config_1.ConfigService],
    }
];
//# sourceMappingURL=algorithm.provider.js.map