import { Channel } from '../models/Channel.entity';
import { OldChannel } from '../models/OldChannel.entity';
import { ChannelType } from '../models/ChannelType.entity';
import { ChannelSubscription } from '../models/ChannelSubscription.entity';
import { ChannelDetail } from '../models/ChannelDetail.entity';
import { ProfileType } from "../models/ProfileType.entity";
import { ProfileTypeClassification } from '../models/ProfileTypeClassification.entity';
import { ChannelCertificate } from '../models/ChannelCertificate.entity';
import { ChannelSocialLink } from '../models/ChannelSocialLink.entity';
import { ChannelB2B } from '../models/ChannelB2B.entity';
import { ChannelAward } from '../models/ChannelAward.entity';
import { ChannelLocation } from '../models/ChannelLocation.entity';
import { ChannelServiceList } from '../models/ChannelServiceList.entity';
import { ChannelProductCategorie } from '../models/ChannelProductCategorie.entity';
import { ChannelProductGroup } from '../models/ChannelProductGroup.entity';
import { ChannelCustomerProfile } from '../models/ChannelCustomerProfile.entity';
import { ChannelSpeciality } from '../models/ChannelSpeciality.entity';
import { ChannelBrand } from '../models/ChannelBrand.entity';
import { CertificateType } from '../models/CertificateType.entity';
import { WorkNature } from '../models/WorkNature.entity';
import { ShareType } from '../models/ShareType.entity';
import { ChannelContactSuggestion } from '../models/ChannelContactSuggestion.entity';
import { ChannelSuggestion } from '../models/ChannelSuggestion.entity';
import { SocialSite } from '../models/SocialSite.entity';
import { ChannelPaymentOptionType } from '../models/ChannelPaymentOptionType.entity';
import { ChannelPaymentTerm } from '../models/ChannelPaymentTerm.entity';
import { ChannelSamplePreferenceType } from '../models/ChannelSamplePreferenceType.entity';
import { ChannelSharePreference } from '../models/ChannelSharePreference.entity';
import { ChannelUserVisibility } from '../models/ChannelUserVisibility.entity';
import { PaymentOptionType } from '../models/PaymentOptionType.entity';
import { PaymentTerm } from '../models/PaymentTerm.entity';
import { ChannelDocument } from '../models/ChannelDocument.entity';
import { ChannelRecommended } from '../models/ChannelRecommended.entity';
import { KeyPartnerJCT } from '../models/KeyPartnerJCT.entity';
import { PaypalTransction } from '../models/PaypalTransction.entity';
import { BuyerNeed } from '../models/BuyerNeed.entity';
import { BuyerReqCategory } from '../models/BuyerReqCategory.entity';
import { CompanyMedia } from '../models/CompanyMedia.entity';
import { CompanyMediaImages } from '../models/CompanyMediaImages';
import { GuestRequirement } from '../models/GuestRequirement.entity';
export declare const channelProvider: {
    provide: string;
    useValue: typeof Channel;
}[];
export declare const oldChannelProvider: {
    provide: string;
    useValue: typeof OldChannel;
}[];
export declare const ChannelTypeProviders: {
    provide: string;
    useValue: typeof ChannelType;
}[];
export declare const ChannelSubscriptionProviders: {
    provide: string;
    useValue: typeof ChannelSubscription;
}[];
export declare const channelDetailProvider: {
    provide: string;
    useValue: typeof ChannelDetail;
}[];
export declare const profileTypeProvider: {
    provide: string;
    useValue: typeof ProfileType;
}[];
export declare const profileTypeClassificationProvider: {
    provide: string;
    useValue: typeof ProfileTypeClassification;
}[];
export declare const channelCertificateProvider: {
    provide: string;
    useValue: typeof ChannelCertificate;
}[];
export declare const channelCertificateTypeProvider: {
    provide: string;
    useValue: typeof CertificateType;
}[];
export declare const channelSocialLinkProvider: {
    provide: string;
    useValue: typeof ChannelSocialLink;
}[];
export declare const channelB2BProvider: {
    provide: string;
    useValue: typeof ChannelB2B;
}[];
export declare const channelAwardProvider: {
    provide: string;
    useValue: typeof ChannelAward;
}[];
export declare const channelServiceListProvider: {
    provide: string;
    useValue: typeof ChannelServiceList;
}[];
export declare const channelProductCategorieProvider: {
    provide: string;
    useValue: typeof ChannelProductCategorie;
}[];
export declare const channelProductGroupProvider: {
    provide: string;
    useValue: typeof ChannelProductGroup;
}[];
export declare const channelProductCatProvider: {
    provide: string;
    useValue: typeof ChannelProductCategorie;
}[];
export declare const channelCustomerProfileProvider: {
    provide: string;
    useValue: typeof ChannelCustomerProfile;
}[];
export declare const ChannelLocationProvider: {
    provide: string;
    useValue: typeof ChannelLocation;
}[];
export declare const channelSpecialityProvider: {
    provide: string;
    useValue: typeof ChannelSpeciality;
}[];
export declare const channelBrandProvider: {
    provide: string;
    useValue: typeof ChannelBrand;
}[];
export declare const workNatureProvider: {
    provide: string;
    useValue: typeof WorkNature;
}[];
export declare const sharetypeProvider: {
    provide: string;
    useValue: typeof ShareType;
}[];
export declare const channelContactSuggestionProvider: {
    provide: string;
    useValue: typeof ChannelContactSuggestion;
}[];
export declare const channelSuggestionProvider: {
    provide: string;
    useValue: typeof ChannelSuggestion;
}[];
export declare const socialSiteProvider: {
    provide: string;
    useValue: typeof SocialSite;
}[];
export declare const ChannelPaymentOptionTypeProvider: {
    provide: string;
    useValue: typeof ChannelPaymentOptionType;
}[];
export declare const PaymentOptionTypeProvider: {
    provide: string;
    useValue: typeof PaymentOptionType;
}[];
export declare const ChannelPaymentTermProvider: {
    provide: string;
    useValue: typeof ChannelPaymentTerm;
}[];
export declare const PaymentTermProvider: {
    provide: string;
    useValue: typeof PaymentTerm;
}[];
export declare const ChannelSamplePreferenceTypeProvider: {
    provide: string;
    useValue: typeof ChannelSamplePreferenceType;
}[];
export declare const ChannelSharePreferenceProvider: {
    provide: string;
    useValue: typeof ChannelSharePreference;
}[];
export declare const ChannelUserVisibilityProvider: {
    provide: string;
    useValue: typeof ChannelUserVisibility;
}[];
export declare const ChannelDocumentProvider: {
    provide: string;
    useValue: typeof ChannelDocument;
}[];
export declare const ChannelRecommendedProvider: {
    provide: string;
    useValue: typeof ChannelRecommended;
}[];
export declare const KeyPartnerJCTProvider: {
    provide: string;
    useValue: typeof KeyPartnerJCT;
}[];
export declare const PaypalTransctionProvider: {
    provide: string;
    useValue: typeof PaypalTransction;
}[];
export declare const buyerNeedProvider: {
    provide: string;
    useValue: typeof BuyerNeed;
}[];
export declare const buyerReqCategoryProvider: {
    provide: string;
    useValue: typeof BuyerReqCategory;
}[];
export declare const CompanyMediaProvider: {
    provide: string;
    useValue: typeof CompanyMedia;
}[];
export declare const CompanyMediaImagesProvider: {
    provide: string;
    useValue: typeof CompanyMediaImages;
}[];
export declare const GuestRequirementProvider: {
    provide: string;
    useValue: typeof GuestRequirement;
}[];
