'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.eventProvider = void 0;
const EventBo_entity_1 = require("../models/EventBo.entity");
const EventChannel_entity_1 = require("../models/EventChannel.entity");
const EventPackage_entity_1 = require("../models/EventPackage.entity");
const EventParticipants_entity_1 = require("../models/EventParticipants.entity");
exports.eventProvider = [
    {
        provide: 'EventRepository',
        useValue: EventBo_entity_1.EventBo,
    },
    {
        provide: 'EventPackageRepository',
        useValue: EventPackage_entity_1.EventPackage
    },
    {
        provide: 'EventParticipantRepository',
        useValue: EventParticipants_entity_1.EventParticipants
    },
    {
        provide: 'EventChannelRepository',
        useValue: EventChannel_entity_1.EventChannel
    },
];
//# sourceMappingURL=event.provider.js.map