'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.settingProvider = void 0;
const Region_entity_1 = require("../../common/models/Region.entity");
const RegionCountryJCT_entity_1 = require("../../common/models/RegionCountryJCT.entity");
const Brand_entity_1 = require("../../product/models/Brand.entity");
const ProductCategory_entity_1 = require("../../product/models/ProductCategory.entity");
const ProductGroup_entity_1 = require("../../product/models/ProductGroup.entity");
const Contact_entity_1 = require("../../user/models/Contact.entity");
const ContactInterestedProductCategory_entity_1 = require("../../user/models/ContactInterestedProductCategory.entity");
const ContactInterestedProductGroup_entity_1 = require("../../user/models/ContactInterestedProductGroup.entity");
const User_entity_1 = require("../../user/models/User.entity");
const ChannelBrand_entity_1 = require("../models/ChannelBrand.entity");
const ChannelCertificate_entity_1 = require("../models/ChannelCertificate.entity");
const ChannelCustomerProfile_entity_1 = require("../models/ChannelCustomerProfile.entity");
const ChannelDetail_entity_1 = require("../models/ChannelDetail.entity");
const ChannelLocation_entity_1 = require("../models/ChannelLocation.entity");
const ChannelProductCategorie_entity_1 = require("../models/ChannelProductCategorie.entity");
const ChannelProductGroup_entity_1 = require("../models/ChannelProductGroup.entity");
const ProfileCreationRating_entity_1 = require("../models/ProfileCreationRating.entity");
const ProfileList_entity_1 = require("../models/ProfileList.entity");
const ProfileType_entity_1 = require("../models/ProfileType.entity");
const ProfileTypeClassification_entity_1 = require("../models/ProfileTypeClassification.entity");
exports.settingProvider = [
    {
        provide: 'SettingRepository',
        useValue: ProfileCreationRating_entity_1.ProfileRatings,
    },
    {
        provide: 'ProfileRepository',
        useValue: ProfileList_entity_1.ProfileList,
    },
    {
        provide: 'ChannelDetailRepository',
        useValue: ChannelDetail_entity_1.ChannelDetail,
    },
    {
        provide: 'ChannelCertiRepository',
        useValue: ChannelCertificate_entity_1.ChannelCertificate,
    },
    {
        provide: 'ChannelBrandRepository',
        useValue: ChannelBrand_entity_1.ChannelBrand,
    },
    {
        provide: 'ChannelCustomerProfileRepository',
        useValue: ChannelCustomerProfile_entity_1.ChannelCustomerProfile,
    },
    {
        provide: 'ProductGroupRepository',
        useValue: ProductGroup_entity_1.ProductGroup,
    },
    {
        provide: 'ProfileTypeRepository',
        useValue: ProfileType_entity_1.ProfileType,
    },
    {
        provide: 'ProfileTypeClassiRepository',
        useValue: ProfileTypeClassification_entity_1.ProfileTypeClassification,
    },
    {
        provide: 'ProductCategoryRepository',
        useValue: ProductCategory_entity_1.ProductCategory,
    },
    {
        provide: 'RegionRepository',
        useValue: Region_entity_1.Region,
    },
    {
        provide: 'RegionCtyJctRepository',
        useValue: RegionCountryJCT_entity_1.RegionCountryJCT,
    },
    {
        provide: 'ChannelLocationRepository',
        useValue: ChannelLocation_entity_1.ChannelLocation,
    },
    {
        provide: 'ChannelProductGroupRepository',
        useValue: ChannelProductGroup_entity_1.ChannelProductGroup,
    },
    {
        provide: 'ChannelProductCategoryRepository',
        useValue: ChannelProductCategorie_entity_1.ChannelProductCategorie,
    },
    {
        provide: 'ContactProductGroupRepository',
        useValue: ContactInterestedProductGroup_entity_1.ContactInterestedProductGroup,
    },
    {
        provide: 'ContactProductCategoryRepository',
        useValue: ContactInterestedProductCategory_entity_1.ContactInterestedProductCategory,
    },
    {
        provide: 'UserRepository',
        useValue: User_entity_1.User,
    },
    {
        provide: 'ContactRepository',
        useValue: Contact_entity_1.Contact,
    },
];
//# sourceMappingURL=settting.provider.js.map