import { Subscription } from '../models/Subscription.entity';
import { SubscriptionType } from '../models/SubscriptionType.entity';
import { SubscriptionDetail } from '../models/SubscriptionDetail.entity';
import { SubscriptionFeatures } from '../models/SubscriptionFeatures.entity';
import { SubscriptionPlan } from '../models/SubscriptionPlan.entity';
import { SubscriptionPeriod } from '../models/SubscriptionPeriod.entity';
import { Coupon } from '../models/Coupon.entity';
import { AutoRenewalTracking } from '../models/AutoRenewalTracking.entity';
import { AutoRenewalTrackingStatus } from '../models/AutoRenewalTrackingStatus.entity';
import { SubscriptionFeatureCategory } from '../models/SubscriptionFeatureCategory.entity';
import { SubscriptionExtraFeature } from '../models/SubscriptionExtraFeature.entity';
import { SubscriptionExtraFeatureCategory } from '../models/SubscriptionExtraFeatureCategories.entity';
export declare const SubscriptionProviders: {
    provide: string;
    useValue: typeof Subscription;
}[];
export declare const SubscriptionTypeProviders: {
    provide: string;
    useValue: typeof SubscriptionType;
}[];
export declare const SubscriptionDetailProviders: {
    provide: string;
    useValue: typeof SubscriptionDetail;
}[];
export declare const SubscriptionFeatureCategoryProviders: {
    provide: string;
    useValue: typeof SubscriptionFeatureCategory;
}[];
export declare const SubscriptionFeaturesProviders: {
    provide: string;
    useValue: typeof SubscriptionFeatures;
}[];
export declare const SubscriptionPlanProviders: {
    provide: string;
    useValue: typeof SubscriptionPlan;
}[];
export declare const SubscriptionPeriodProviders: {
    provide: string;
    useValue: typeof SubscriptionPeriod;
}[];
export declare const CouponProviders: {
    provide: string;
    useValue: typeof Coupon;
}[];
export declare const AutoRenewalTrackingStatusProviders: {
    provide: string;
    useValue: typeof AutoRenewalTrackingStatus;
}[];
export declare const AutoRenewalTrackingProviders: {
    provide: string;
    useValue: typeof AutoRenewalTracking;
}[];
export declare const SubscriptionExtraFeatureProviders: {
    provide: string;
    useValue: typeof SubscriptionExtraFeature;
}[];
export declare const SubscriptionExtraFeatureCategoryProviders: {
    provide: string;
    useValue: typeof SubscriptionExtraFeatureCategory;
}[];
