import { Channel } from "../models/Channel.entity";
import { ChannelJCT } from "../models/ChannelJCT.entity";
import { ChannelDismissReason } from "../models/ChannelDismissReason.entity";
import { DismissReason } from "../models/DismissReason.entity";
import { Brand } from "src/modules/product/models/Brand.entity";
import { ChannelBrand } from "../models/ChannelBrand.entity";
import { Media } from "src/modules/media/models/Media.entity";
import { BuyerNeed } from "../models/BuyerNeed.entity";
import { BuyerReqCategory } from "../models/BuyerReqCategory.entity";
export declare class ChannelHubService {
    private readonly sequelizeInstance;
    private readonly channelRepository;
    private readonly channelJCTRepository;
    private readonly channelDismissReasonRepository;
    private readonly dismissReasonRepository;
    private readonly brandRepository;
    private readonly channelBrandRepository;
    private readonly mediaRepository;
    private readonly buyerRepository;
    private readonly BuyerCategoryRepository;
    constructor(sequelizeInstance: any, channelRepository: typeof Channel, channelJCTRepository: typeof ChannelJCT, channelDismissReasonRepository: typeof ChannelDismissReason, dismissReasonRepository: typeof DismissReason, brandRepository: typeof Brand, channelBrandRepository: typeof ChannelBrand, mediaRepository: typeof Media, buyerRepository: typeof BuyerNeed, BuyerCategoryRepository: typeof BuyerReqCategory);
    connectChannel(channel: any, user: any, skipCreate?: any): Promise<any>;
    verifyChannelSuggestion(user: any, updateChannelDto: any): Promise<any>;
    updateChannelConnect(channelId: any, updateChannelDto: any, user: any, suggest_Channel: any): Promise<any>;
    profileScore(channelId: any, channelTypeId: any, score?: any): Promise<boolean>;
    incrementSuggestionCnt(user: any, updateChannelDto: any): Promise<any>;
    checkLimit(contactId: any): Promise<any>;
    dimissReasons(): Promise<any>;
    channelBrands(channelId: number, user: any): Promise<any>;
    saveBuyerNeed(requirements: any): Promise<void>;
    eventRegister(contactId: any): Promise<any>;
}
