"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonModule = void 0;
const common_1 = require("@nestjs/common");
const common_controller_1 = require("./controller/common.controller");
const common_service_1 = require("./service/common.service");
const database_providers_1 = require("../../core/database/database.providers");
const common_provider_1 = require("./provider/common.provider");
const location_provider_1 = require("./provider/location.provider");
let CommonModule = class CommonModule {
};
CommonModule = __decorate([
    common_1.Module({
        controllers: [common_controller_1.CommonController],
        providers: [common_service_1.CommonService, ...common_provider_1.CommonProviders, ...database_providers_1.databaseProviders, ...common_provider_1.CountryProviders, ...location_provider_1.RegionCountryJCTProvider, ...location_provider_1.ZoneProvider]
    })
], CommonModule);
exports.CommonModule = CommonModule;
//# sourceMappingURL=common.module.js.map