"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CountryView = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Country_entity_1 = require("./Country.entity");
const Zone_entity_1 = require("./Zone.entity");
const Region_entity_1 = require("./Region.entity");
let CountryView = class CountryView extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.ForeignKey(() => Zone_entity_1.Zone),
    sequelize_typescript_1.Column,
    __metadata("design:type", Number)
], CountryView.prototype, "ZoneId", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], CountryView.prototype, "Zone", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Region_entity_1.Region),
    sequelize_typescript_1.Column,
    __metadata("design:type", Number)
], CountryView.prototype, "regionId", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], CountryView.prototype, "region", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Country_entity_1.Country),
    sequelize_typescript_1.Column,
    __metadata("design:type", Number)
], CountryView.prototype, "countryId", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], CountryView.prototype, "country", void 0);
CountryView = __decorate([
    sequelize_typescript_1.Table({
        tableName: "vwLocation"
    })
], CountryView);
exports.CountryView = CountryView;
//# sourceMappingURL=CountryView.entity.js.map