"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZoneRegionJCT = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Zone_entity_1 = require("./Zone.entity");
const Region_entity_1 = require("./Region.entity");
const swagger_1 = require("@nestjs/swagger");
let ZoneRegionJCT = class ZoneRegionJCT extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.Column,
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ZoneRegionJCT.prototype, "zoneRegionJCTId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Zone_entity_1.Zone),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.BIGINT,
        allowNull: false,
        unique: { name: 'zoneId_regionId', msg: 'validate:field:shouldBeUnique' }
    }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ZoneRegionJCT.prototype, "zoneId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Zone_entity_1.Zone),
    __metadata("design:type", Array)
], ZoneRegionJCT.prototype, "Zone", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Region_entity_1.Region),
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.BIGINT,
        allowNull: false,
        unique: { name: 'zoneId_regionId', msg: 'validate:field:shouldBeUnique' }
    }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ZoneRegionJCT.prototype, "regionId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Region_entity_1.Region),
    __metadata("design:type", Array)
], ZoneRegionJCT.prototype, "Region", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ZoneRegionJCT.prototype, "deletedAt", void 0);
ZoneRegionJCT = __decorate([
    sequelize_typescript_1.Table({
        tableName: "tblZoneRegionJCT", timestamps: false
    })
], ZoneRegionJCT);
exports.ZoneRegionJCT = ZoneRegionJCT;
//# sourceMappingURL=ZoneRegionJCT.entity.js.map