import { ProfileType } from 'src/modules/channel/models/ProfileType.entity';
import { ProfileTypeClassification } from 'src/modules/channel/models/ProfileTypeClassification.entity';
import { Brand } from 'src/modules/product/models/Brand.entity';
import { ProductCategory } from 'src/modules/product/models/ProductCategory.entity';
import { ProductGroup } from 'src/modules/product/models/ProductGroup.entity';
import { OldChannel } from '../../channel/models/OldChannel.entity';
import { Country } from '../models/Country.entity';
export declare const CommonProviders: ({
    provide: string;
    useValue: typeof Brand;
} | {
    provide: string;
    useValue: typeof ProductGroup;
} | {
    provide: string;
    useValue: typeof ProfileType;
} | {
    provide: string;
    useValue: typeof ProfileTypeClassification;
} | {
    provide: string;
    useValue: typeof ProductCategory;
} | {
    provide: string;
    useValue: typeof OldChannel;
})[];
export declare const CountryProviders: {
    provide: string;
    useValue: typeof Country;
}[];
