'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.CountryProviders = exports.CommonProviders = void 0;
const ProfileType_entity_1 = require("../../channel/models/ProfileType.entity");
const ProfileTypeClassification_entity_1 = require("../../channel/models/ProfileTypeClassification.entity");
const Brand_entity_1 = require("../../product/models/Brand.entity");
const ProductCategory_entity_1 = require("../../product/models/ProductCategory.entity");
const ProductGroup_entity_1 = require("../../product/models/ProductGroup.entity");
const OldChannel_entity_1 = require("../../channel/models/OldChannel.entity");
const Country_entity_1 = require("../models/Country.entity");
exports.CommonProviders = [
    {
        provide: 'BrandRepository',
        useValue: Brand_entity_1.Brand,
    },
    {
        provide: 'ProductGroupRepository',
        useValue: ProductGroup_entity_1.ProductGroup,
    },
    {
        provide: 'ProfileTypeRepository',
        useValue: ProfileType_entity_1.ProfileType,
    },
    {
        provide: 'ProfileTypeClassiRepository',
        useValue: ProfileTypeClassification_entity_1.ProfileTypeClassification,
    },
    {
        provide: 'ProductCategoryRepository',
        useValue: ProductCategory_entity_1.ProductCategory,
    },
    {
        provide: 'OldChannelRepository',
        useValue: OldChannel_entity_1.OldChannel,
    }
];
exports.CountryProviders = [
    {
        provide: 'CountryRepository',
        useValue: Country_entity_1.Country,
    },
];
//# sourceMappingURL=common.provider.js.map