"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.DigitalWalletModule = void 0;
const common_1 = require("@nestjs/common");
const digitalWallet_controller_1 = require("./controller/digitalWallet.controller");
const digitalWallet_service_1 = require("./service/digitalWallet.service");
const digitalWallet_provider_1 = require("./providers/digitalWallet.provider");
let DigitalWalletModule = class DigitalWalletModule {
};
DigitalWalletModule = __decorate([
    common_1.Module({
        controllers: [digitalWallet_controller_1.DigitalWalletController],
        providers: [
            ...digitalWallet_provider_1.UserWalletAmountProviders,
            ...digitalWallet_provider_1.OtherPaymentProviders,
            ...digitalWallet_provider_1.WalletTransactionProviders,
            ...digitalWallet_provider_1.WalletUsageTypeProviders,
            digitalWallet_service_1.DigitalWalletService
        ],
        exports: [
            ...digitalWallet_provider_1.UserWalletAmountProviders,
            ...digitalWallet_provider_1.OtherPaymentProviders,
            ...digitalWallet_provider_1.WalletTransactionProviders,
            ...digitalWallet_provider_1.WalletUsageTypeProviders
        ],
    })
], DigitalWalletModule);
exports.DigitalWalletModule = DigitalWalletModule;
//# sourceMappingURL=digitalWallet.module.js.map