import { Model } from 'sequelize-typescript';
import { MediaType } from './MediaType.entity';
export declare class Media extends Model<Media> {
    updatedId: any;
    documentId: number;
    documentTypeId: number;
    documentPath: string;
    documentType: MediaType;
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
    thumbnailPath: string;
    documentUrl: string;
    thumbnailUrl: string;
    dirName: string;
    static moveFromPublicBucket(instance: Media): Promise<void>;
    static blockMediaUpdate(instance: Media): Promise<void>;
}
