'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.MediaErrorLogProviders = exports.MediaTypeProviders = void 0;
const models_1 = require("../models");
const bucketErrorLog_entity_1 = require("../models/bucketErrorLog.entity");
exports.MediaTypeProviders = [
    {
        provide: 'MediaTypeRepository',
        useValue: models_1.MediaType,
    },
];
exports.MediaErrorLogProviders = [
    {
        provide: 'BucketErrorLogRepository',
        useValue: bucketErrorLog_entity_1.BucketErrorLog,
    },
];
//# sourceMappingURL=mediatype.provider.js.map