'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MediaService = void 0;
const common_1 = require("@nestjs/common");
const Process_exception_1 = require("../../../middleware/exception/Process.exception");
let MediaService = class MediaService {
    constructor(bucketErrorLogRepository, sequelizeInstance) {
        this.bucketErrorLogRepository = bucketErrorLogRepository;
        this.sequelizeInstance = sequelizeInstance;
    }
    async errorLog(data) {
        await this.bucketErrorLogRepository.create(data)
            .then((result) => {
            return result;
        }).catch((e) => {
            console.log(e);
            throw new Process_exception_1.ProcessException(e.message);
        });
        return true;
    }
};
MediaService = __decorate([
    common_1.Injectable(),
    __param(0, common_1.Inject('BucketErrorLogRepository')),
    __param(1, common_1.Inject('SequelizeInstance')),
    __metadata("design:paramtypes", [Object, Object])
], MediaService);
exports.MediaService = MediaService;
//# sourceMappingURL=media.service.js.map