"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SendMailDto = void 0;
const class_validator_1 = require("class-validator");
class SendMailDto {
}
__decorate([
    class_validator_1.IsNotEmpty({ message: "notification:mail:subjectNotempty" }),
    class_validator_1.MaxLength(255, { message: "notification:mail:subjectMaxlength" }),
    __metadata("design:type", String)
], SendMailDto.prototype, "subject", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "notification:mail:messageNotempty" }),
    class_validator_1.MaxLength(3000, { message: "notification:mail:messageMaxlength" }),
    __metadata("design:type", String)
], SendMailDto.prototype, "message", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "notification:mail:receiverIdIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "notification:mail:receiverIdIsNumber" }),
    __metadata("design:type", Number)
], SendMailDto.prototype, "receiverId", void 0);
exports.SendMailDto = SendMailDto;
//# sourceMappingURL=sendMail.dto.js.map