import { MeetingReq } from '../models/MeetingReq.entity';
import { Contact } from '../../user/models/Contact.entity';
import { Channel } from './../../channel/models/Channel.entity';
export declare class MeetingService {
    private readonly meetingRepository;
    private readonly contactRepository;
    private readonly channelRepository;
    private readonly sequelizeInstance;
    private meetingInBound;
    constructor(meetingRepository: typeof MeetingReq, contactRepository: typeof Contact, channelRepository: typeof Channel, sequelizeInstance: any);
    addMeetingReq(meetingDto: any): Promise<boolean>;
    getMeetingList(filter: any): Promise<any>;
    updateMeeting(confirmMeeting: any): Promise<any>;
    getContactMail(contactId: any): Promise<Contact>;
    getCompanyMail(channelId: any): Promise<Channel>;
}
