"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderAddress = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Country_entity_1 = require("../../common/models/Country.entity");
const tableOptions = { timestamps: false, tableName: 'tblorderaddress' };
let OrderAddress = class OrderAddress extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.BIGINT,
        allowNull: false,
        autoIncrement: true,
        unique: true,
        primaryKey: true,
    }),
    __metadata("design:type", Number)
], OrderAddress.prototype, "addressid", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], OrderAddress.prototype, "name", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], OrderAddress.prototype, "address", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], OrderAddress.prototype, "city", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Country_entity_1.Country),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], OrderAddress.prototype, "countryid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Country_entity_1.Country),
    __metadata("design:type", Country_entity_1.Country)
], OrderAddress.prototype, "country", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], OrderAddress.prototype, "postalcode", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], OrderAddress.prototype, "contactno1", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], OrderAddress.prototype, "contactno2", void 0);
OrderAddress = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes(() => ({
        orderInfo: {
            include: [
                {
                    model: Country_entity_1.Country
                }
            ]
        }
    }))
], OrderAddress);
exports.OrderAddress = OrderAddress;
//# sourceMappingURL=OrderAddress.entity.js.map