import { Model } from 'sequelize-typescript';
import { Channel } from '../../channel/models/Channel.entity';
import { User } from '../../user/models/User.entity';
import { DiscountUnit } from '../../product/models/DiscountUnit.entity';
import { PaymentTransaction } from '../../channel/models/PaymentTransaction.entity';
import { OrderShipment } from './OrderShipment.entity';
import { OrderStatus } from './OrderStatus.entity';
import { SampleOrderDetail } from './SampleOrderDetail.entity';
import { OrderAddress } from './OrderAddress.entity';
import { Contact } from './../../user/models/Contact.entity';
import { Currency } from '../../channel/models/Currency.entity';
export declare class SampleOrder extends Model<SampleOrder> {
    sampleorderid: number;
    ordernumber: string;
    userid: number;
    user: User;
    buyer_contact: Contact;
    seller_contact: Contact;
    contact: Contact;
    sellerchannelid: number;
    sellerchannel: Channel;
    buyerchannelid: number;
    buyerchannel: Channel;
    billingaddressid: number;
    billingaddress: OrderAddress;
    shippingaddressid: number;
    shippingaddress: OrderAddress;
    statusid: number;
    status: OrderStatus;
    currencyid: number;
    currency: Currency;
    subtotalprice: number;
    shippingprice: number;
    discount: number;
    discountunitid: number;
    discountunitdetail: DiscountUnit;
    othercharge: number;
    ordertotalprice: number;
    paymenttranscationid: number;
    paymenttranscation: PaymentTransaction;
    requestfreesample: string;
    comments: string;
    orderdate: Date;
    updatedat: Date;
    orderDetails: SampleOrderDetail[];
    shipments: OrderShipment[];
    canceledby: number;
    canceled: Channel;
    transferred: string;
    transferredto: number;
    transferredChannel: number;
    transferredat: Date;
    relation_queued: string;
    subscription_queued: string;
    queueprocessedat: Date;
    invoiced: string;
    paymentDetail: string;
}
