'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.orderAddressProvider = exports.orderShipmentProvider = exports.orderDetailProvider = exports.orderProvider = exports.orderStatusProvider = void 0;
const OrderStatus_entity_1 = require("../models/OrderStatus.entity");
const SampleOrder_entity_1 = require("../models/SampleOrder.entity");
const SampleOrderDetail_entity_1 = require("../models/SampleOrderDetail.entity");
const OrderShipment_entity_1 = require("../models/OrderShipment.entity");
const OrderAddress_entity_1 = require("./../models/OrderAddress.entity");
exports.orderStatusProvider = [
    {
        provide: 'OrderStatusRepository',
        useValue: OrderStatus_entity_1.OrderStatus,
    },
];
exports.orderProvider = [
    {
        provide: 'OrderRepository',
        useValue: SampleOrder_entity_1.SampleOrder,
    },
];
exports.orderDetailProvider = [
    {
        provide: 'OrderDetailRepository',
        useValue: SampleOrderDetail_entity_1.SampleOrderDetail,
    },
];
exports.orderShipmentProvider = [
    {
        provide: 'OrderShipmentRepository',
        useValue: OrderShipment_entity_1.OrderShipment,
    },
];
exports.orderAddressProvider = [
    {
        provide: 'orderAddressRepository',
        useValue: OrderAddress_entity_1.OrderAddress,
    },
];
//# sourceMappingURL=order.providers.js.map