"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddProductCompetingDto = void 0;
const class_validator_1 = require("class-validator");
const class_transformer_1 = require("class-transformer");
const swagger_1 = require("@nestjs/swagger");
const productCompeting_dto_1 = require("./productCompeting.dto");
class AddProductCompetingDto {
}
__decorate([
    class_validator_1.IsOptional(),
    swagger_1.ApiProperty({ type: productCompeting_dto_1.ProductCompetingDto, isArray: true }),
    class_validator_1.ArrayNotEmpty({ message: "channel:product:productCompetingArrayNotEmpty" }),
    class_validator_1.IsNotEmpty({ message: "channel:product:productCompetingIsNotEmpty" }),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => productCompeting_dto_1.ProductCompetingDto),
    __metadata("design:type", Array)
], AddProductCompetingDto.prototype, "productcompeting", void 0);
exports.AddProductCompetingDto = AddProductCompetingDto;
//# sourceMappingURL=addProductCompeting.dto.js.map