"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddProductImageDto = void 0;
const class_validator_1 = require("class-validator");
const class_transformer_1 = require("class-transformer");
const swagger_1 = require("@nestjs/swagger");
const productImage_dto_1 = require("./productImage.dto");
class AddProductImageDto {
}
__decorate([
    swagger_1.ApiProperty({ type: productImage_dto_1.ProductImageDto, isArray: true }),
    class_validator_1.ArrayNotEmpty({ message: "channel:product:productImageArrayNotEmpty" }),
    class_validator_1.IsNotEmpty({ message: "channel:product:productImageIsNotEmpty" }),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => productImage_dto_1.ProductImageDto),
    __metadata("design:type", Array)
], AddProductImageDto.prototype, "productimage", void 0);
__decorate([
    class_validator_1.IsOptional(),
    swagger_1.ApiProperty({ type: productImage_dto_1.ProductImageDto, isArray: true }),
    class_validator_1.ArrayNotEmpty({ message: "channel:product:productDisplayImageArrayNotEmpty" }),
    class_validator_1.IsNotEmpty({ message: "channel:product:productDisplayImageIsNotEmpty" }),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => productImage_dto_1.ProductImageDto),
    __metadata("design:type", Array)
], AddProductImageDto.prototype, "productdisplayimage", void 0);
__decorate([
    class_validator_1.IsOptional(),
    swagger_1.ApiProperty({ type: productImage_dto_1.ProductImageDto, isArray: true }),
    class_validator_1.ArrayNotEmpty({ message: "channel:product:productPackagingImageArrayNotEmpty" }),
    class_validator_1.IsNotEmpty({ message: "channel:product:productPackagingImageIsNotEmpty" }),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => productImage_dto_1.ProductImageDto),
    __metadata("design:type", Array)
], AddProductImageDto.prototype, "productpackagingimage", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ValidateIf(o => o.videourl !== ""),
    class_validator_1.IsNotEmpty({ message: "channel:product:videoUrlIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:videoUrlIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], AddProductImageDto.prototype, "videourl", void 0);
exports.AddProductImageDto = AddProductImageDto;
//# sourceMappingURL=addProductImage.dto.js.map