"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddProductPackageInfoDto = void 0;
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class AddProductPackageInfoDto {
}
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:product:minorderquantityIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:minorderquantityIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "minorderquantity", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:product:orderunitidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:orderunitidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "orderunitid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:packagesizeIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:packagesizeIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "packagesize", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:packageunitIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:packageunitIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "packageunit", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:noofpackageinboxIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:noofpackageinboxIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "noofpackageinbox", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:noofpackageinboxunitidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:noofpackageinboxunitidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "noofpackageinboxunitid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:noofboxinpalletIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:noofboxinpalletIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "noofboxinpallet", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:noofboxinpalletunitidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:noofboxinpalletunitidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "noofboxinpalletunitid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:approximateweightofpalletIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:approximateweightofpalletIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "approximateweightofpallet", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:approximateweightofpalletunitidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:approximateweightofpalletunitidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "approximateweightofpalletunitid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:lengthIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:lengthIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "length", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:breadthIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:breadthIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "breadth", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:heightIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:heightIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "height", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:weightIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:weightIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPackageInfoDto.prototype, "weight", void 0);
exports.AddProductPackageInfoDto = AddProductPackageInfoDto;
//# sourceMappingURL=addProductPackageInfo.dto.js.map