"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddProductPriceDto = void 0;
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class AddProductPriceDto {
}
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:product:retailerpriceIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:retailerpriceIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPriceDto.prototype, "retailerprice", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:retailerpriceunitidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:retailerpriceunitidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPriceDto.prototype, "retailerpriceunitid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:samplepriceIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:samplepriceIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPriceDto.prototype, "sampleprice", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:samplepriceunitidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:samplepriceunitidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPriceDto.prototype, "samplepriceunitid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:issamplefreeIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:issamplefreeIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], AddProductPriceDto.prototype, "issamplefree", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:distributormarginpercentIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:distributormarginpercentIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPriceDto.prototype, "distributormarginpercent", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:distributormarginpercentunitidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:distributormarginpercentunitidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPriceDto.prototype, "distributormarginpercentunitid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:retailermarginpercentIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:retailermarginpercentIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPriceDto.prototype, "retailermarginpercent", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:retailermarginpercentunitidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:retailermarginpercentunitidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPriceDto.prototype, "retailermarginpercentunitid", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:product:samplethresholdIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:samplethresholdIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPriceDto.prototype, "samplethreshold", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:product:isunlimitsampleIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:isunlimitsampleIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], AddProductPriceDto.prototype, "isunlimitsample", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ValidateIf(o => o.currencyid !== undefined),
    class_validator_1.IsNotEmpty({ message: "validate:field:shouldNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "This property should be an integer" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], AddProductPriceDto.prototype, "currencyid", void 0);
exports.AddProductPriceDto = AddProductPriceDto;
//# sourceMappingURL=addProductPrice.dto.js.map