"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductCodeDto = void 0;
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class ProductCodeDto {
}
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:productuniversalcodeidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:productuniversalcodeidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ProductCodeDto.prototype, "productuniversalcodeid", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:product:productuniversalcodetypeIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:productuniversalcodetypeIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ProductCodeDto.prototype, "productuniversalcodetype", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:product:codeIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:codeIsString" }),
    class_validator_1.MinLength(3, { message: "channel:product:codeMinLength" }),
    class_validator_1.MaxLength(38, { message: "channel:product:codeMaxLength" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ProductCodeDto.prototype, "code", void 0);
exports.ProductCodeDto = ProductCodeDto;
//# sourceMappingURL=productCode.dto.js.map