"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductAwardsDto = void 0;
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class ProductAwardsDto {
}
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNumber({}, { message: "product:productAwardIdIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ProductAwardsDto.prototype, "product_award_id", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "product:productAwardDetailsIsNotEmpty" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ProductAwardsDto.prototype, "details", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "product:productAwardIssuedByIsNotEmpty" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ProductAwardsDto.prototype, "issued_by", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ValidateIf(o => o.isLifeTime == "0"),
    class_validator_1.IsNotEmpty({ message: "product:productAwardValidUptoIsNotEmpty" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ProductAwardsDto.prototype, "valid_upto", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "product:productAwardIsLifeTimeIsNotEmpty" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ProductAwardsDto.prototype, "isLifeTime", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:imageidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:imageidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ProductAwardsDto.prototype, "imageId", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:logoIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:logoIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ProductAwardsDto.prototype, "image", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:imageidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:imageidIsNumber" }),
    __metadata("design:type", Number)
], ProductAwardsDto.prototype, "documentId", void 0);
exports.ProductAwardsDto = ProductAwardsDto;
//# sourceMappingURL=productAwards.dto.js.map