"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductAward = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Product_entity_1 = require("./Product.entity");
const Media_entity_1 = require("./../../media/models/Media.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamp: true, tableName: 'tblProductAward' };
let ProductAward = class ProductAward extends sequelize_typescript_1.Model {
    static async dateUpdate(productAward, options) {
        productAward.updatedAt = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductAward.prototype, "productAwardId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Product_entity_1.Product),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductAward.prototype, "productId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Product_entity_1.Product),
    __metadata("design:type", Array)
], ProductAward.prototype, "product", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(8000)),
    __metadata("design:type", String)
], ProductAward.prototype, "awardDetail", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], ProductAward.prototype, "issuedBy", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProductAward.prototype, "validUpto", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Media_entity_1.Media),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductAward.prototype, "documentId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Media_entity_1.Media, 'documentId'),
    __metadata("design:type", Media_entity_1.Media)
], ProductAward.prototype, "document", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProductAward.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProductAward.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProductAward.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ProductAward.prototype, "isLifeTime", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [ProductAward, Object]),
    __metadata("design:returntype", Promise)
], ProductAward, "dateUpdate", null);
ProductAward = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes(() => ({
        profileInfo: {
            attributes: ['productAwardId', 'productId', 'awardDetail', 'issuedBy', 'validUpto']
        }
    }))
], ProductAward);
exports.ProductAward = ProductAward;
//# sourceMappingURL=ProductAward.entity.js.map