import { Model } from 'sequelize-typescript';
import { ProductCategory } from './ProductCategory.entity';
export declare class ProductGroup extends Model<ProductGroup> {
    productGroupId: number;
    productGroup: string;
    isActive: string;
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
    businessType: string;
    categories: ProductCategory[];
    static makeUniqueValidation(instance: ProductGroup): Promise<void>;
}
