"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductLocation = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Product_entity_1 = require("./Product.entity");
const RegionCountryJCT_entity_1 = require("../../common/models/RegionCountryJCT.entity");
const tableOptions = { timestamps: false, tableName: 'tblproductlocation' };
let ProductLocation = class ProductLocation extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductLocation.prototype, "productlocationid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Product_entity_1.Product),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductLocation.prototype, "productId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Product_entity_1.Product),
    __metadata("design:type", Array)
], ProductLocation.prototype, "product", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ProductLocation.prototype, "locationtype", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => RegionCountryJCT_entity_1.RegionCountryJCT),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductLocation.prototype, "regionCountryJCTId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => RegionCountryJCT_entity_1.RegionCountryJCT),
    __metadata("design:type", Array)
], ProductLocation.prototype, "regionCountryJCT", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductLocation.prototype, "updatedby", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProductLocation.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProductLocation.prototype, "updatedat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProductLocation.prototype, "deletedat", void 0);
ProductLocation = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes(() => ({
        productInfo: {
            attributes: ['productlocationid', 'productId', 'locationtype', 'regionCountryJCTId', 'updatedby', 'deletedat']
        }
    }))
], ProductLocation);
exports.ProductLocation = ProductLocation;
//# sourceMappingURL=ProductLocation.entity.js.map