import { Model } from 'sequelize-typescript';
import { Product } from './Product.entity';
import { Unit } from './Unit.entity';
export declare class ProductPackageInfo extends Model<ProductPackageInfo> {
    productpackageinfoid: number;
    productId: number;
    product: Product[];
    minorderquantity: number;
    orderunitid: number;
    orderunitdetail: Unit;
    packagesize: number;
    packageunit: number;
    packageunitdetail: Unit;
    noofpackageinbox: number;
    noofpackageinboxunitid: number;
    noofpackageinboxunitdetail: Unit;
    noofboxinpallet: number;
    noofboxinpalletunitid: number;
    noofboxinpalletunitdetail: Unit;
    approximateweightofpallet: number;
    approximateweightofpalletunitid: number;
    approximateweightofpalletunitdetail: Unit;
    length: number;
    breadth: number;
    height: number;
    weight: number;
    updatedby: number;
    createdat: Date;
    updatedat: Date;
    deletedat: Date;
}
