import { Model } from 'sequelize-typescript';
import { Product } from './Product.entity';
import { Currency } from '../../channel/models/Currency.entity';
import { Unit } from './Unit.entity';
import { DiscountUnit } from './DiscountUnit.entity';
export declare class ProductPriceDetail extends Model<ProductPriceDetail> {
    productpricedetailid: number;
    productId: number;
    product: Product[];
    businesscurrencyid: number;
    businesscurrency: Currency;
    retailerprice: number;
    retailerpriceunitid: number;
    retailerpriceunitdetail: Unit;
    issamplefree: string;
    sampleprice: number;
    samplepriceunitid: number;
    samplepriceunitdetail: Unit;
    distributormarginpercent: number;
    distributormarginpercentunitid: number;
    distributorunitdetail: DiscountUnit;
    retailermarginpercent: number;
    retailermarginpercentunitid: number;
    retailerunitdetail: DiscountUnit;
    samplethreshold: number;
    isunlimitsample: string;
    updatedby: number;
    createdat: Date;
    updatedat: Date;
    deletedat: Date;
}
