import { Model } from 'sequelize-typescript';
import { Channel } from '../../channel/models/Channel.entity';
import { SpotDealBrand } from './SpotDealBrand.entity';
import { SpotDealImages } from './SpotDealImages.entity';
import { Media } from './../../media/models/Media.entity';
import { Unit } from './Unit.entity';
import { Currency } from '../../channel/models/Currency.entity';
export declare class SpotDeals extends Model<SpotDeals> {
    id: number;
    product: string;
    productcategory: string;
    channelId: number;
    brand: Channel;
    keywords: string;
    spotdealdesc: string;
    quantity: number;
    samplepriceunitid: number;
    samplepriceunitdetail: Unit;
    price: number;
    businesscurrencyid: number;
    businesscurrency: Currency;
    startduration: Date;
    endduration: Date;
    shippingdetail: string;
    paymentdetail: string;
    productlocation: string;
    spotimageid: number;
    image: Media;
    spotBrand: SpotDealBrand[];
    spotImage: SpotDealImages[];
}
