import { Product } from '../models/Product.entity';
import { ProductDetail } from '../models/ProductDetail.entity';
import { ProductTag } from '../models/ProductTag.entity';
import { ProductArticleReview } from '../models/ProductArticleReview.entity';
import { ProductExistRating } from '../models/ProductExistRating.entity';
import { DiscountUnit } from '../models/DiscountUnit.entity';
import { ProductChannelCustomerProfile } from '../models/ProductChannelCustomerProfile.entity';
import { ProductCompeting } from '../models/ProductCompeting.entity';
import { ProductImage } from '../models/ProductImage.entity';
import { ProductKeyPartnerJCT } from '../models/ProductKeyPartnerJCT.entity';
import { ProductLocation } from '../models/ProductLocation.entity';
import { ProductPackageInfo } from '../models/ProductPackageInfo.entity';
import { ProductPriceDetail } from '../models/ProductPriceDetail.entity';
import { ProductSharePreference } from '../models/ProductSharePreference.entity';
import { ProductUniversalCode } from '../models/ProductUniversalCode.entity';
import { Unit } from '../models/Unit.entity';
import { ProfileType } from '../../channel/models/ProfileType.entity';
import { ProfileTypeClassification } from '../../channel/models/ProfileTypeClassification.entity';
import { ChannelType } from '../../channel/models/ChannelType.entity';
import { ChannelCustomerProfile } from '../../channel/models/ChannelCustomerProfile.entity';
import { ProductAward } from './../models/ProductAward.entity';
import { AwardResult } from './../models/AwardResult.entity';
import { SpotDeals } from './../models/SpotDeals.entity';
import { SpotDealBrand } from './../models/SpotDealBrand.entity';
import { SpotDealImages } from './../models/SpotDealImages.entity';
import { ProfileList } from 'src/modules/channel/models/ProfileList.entity';
import { ProductMediaLibrary } from '../models/ProductMediaLibrary.entity';
import { ProductJCT } from '../models/ProductJCT.entity';
export declare const productProvider: {
    provide: string;
    useValue: typeof Product;
}[];
export declare const productJctProvider: {
    provide: string;
    useValue: typeof ProductJCT;
}[];
export declare const awardResultProvider: {
    provide: string;
    useValue: typeof AwardResult;
}[];
export declare const productDetailProvider: {
    provide: string;
    useValue: typeof ProductDetail;
}[];
export declare const productTagProvider: {
    provide: string;
    useValue: typeof ProductTag;
}[];
export declare const productArticleReviewProvider: {
    provide: string;
    useValue: typeof ProductArticleReview;
}[];
export declare const productExistRatingProvider: {
    provide: string;
    useValue: typeof ProductExistRating;
}[];
export declare const discountUnitProvider: {
    provide: string;
    useValue: typeof DiscountUnit;
}[];
export declare const productChannelCustomerProfileProvider: {
    provide: string;
    useValue: typeof ProductChannelCustomerProfile;
}[];
export declare const productCompetingProvider: {
    provide: string;
    useValue: typeof ProductCompeting;
}[];
export declare const productImageProvider: {
    provide: string;
    useValue: typeof ProductImage;
}[];
export declare const productKeyPartnerJCTProvider: {
    provide: string;
    useValue: typeof ProductKeyPartnerJCT;
}[];
export declare const productLocationProvider: {
    provide: string;
    useValue: typeof ProductLocation;
}[];
export declare const productPackageInfoProvider: {
    provide: string;
    useValue: typeof ProductPackageInfo;
}[];
export declare const productPriceDetailProvider: {
    provide: string;
    useValue: typeof ProductPriceDetail;
}[];
export declare const productSharePreferenceProvider: {
    provide: string;
    useValue: typeof ProductSharePreference;
}[];
export declare const productUniversalCodeProvider: {
    provide: string;
    useValue: typeof ProductUniversalCode;
}[];
export declare const unitProvider: {
    provide: string;
    useValue: typeof Unit;
}[];
export declare const profileTypeProvider: {
    provide: string;
    useValue: typeof ProfileType;
}[];
export declare const profileTypeClassificationProvider: {
    provide: string;
    useValue: typeof ProfileTypeClassification;
}[];
export declare const channelTypeProvider: {
    provide: string;
    useValue: typeof ChannelType;
}[];
export declare const channelCustomerProfileProvider: {
    provide: string;
    useValue: typeof ChannelCustomerProfile;
}[];
export declare const productAwardProvider: {
    provide: string;
    useValue: typeof ProductAward;
}[];
export declare const spotDealsProvider: {
    provide: string;
    useValue: typeof SpotDeals;
}[];
export declare const spotDealBrandProvider: {
    provide: string;
    useValue: typeof SpotDealBrand;
}[];
export declare const spotDealImageProvider: {
    provide: string;
    useValue: typeof SpotDealImages;
}[];
export declare const ProfileProgressProvider: {
    provide: string;
    useValue: typeof ProfileList;
}[];
export declare const ProductMediaLibraryProvider: {
    provide: string;
    useValue: typeof ProductMediaLibrary;
}[];
