import { RejectReason } from '../models/RejectReason.entity';
import { ProductReject } from './../models/ProductReject.entity';
import { Product } from './../../product/models/Product.entity';
import { BaseService } from 'src/core/service/base.service';
export declare class RejectReasonService extends BaseService {
    private readonly repository;
    private readonly rejectRepository;
    private readonly sequelizeInstance;
    private readonly productRepository;
    constructor(repository: typeof RejectReason, rejectRepository: typeof ProductReject, sequelizeInstance: any, productRepository: typeof Product);
    create(data: any): Promise<any>;
    _validateProduct(productId: any): Promise<Product>;
    reject(data: any, user: any): Promise<any>;
    findAll(pagination: any): Promise<Array<RejectReason>>;
    findOne(options: Object): Promise<RejectReason | null>;
    findById(id: number): Promise<RejectReason | null>;
    update(id: number, newValue: any): Promise<RejectReason | null>;
    delete(id: number): Promise<void>;
    getCount(): Promise<number>;
    private _buildObject;
}
