'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var AccessPermission_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.AccessPermission = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
var Sequelize = require('sequelize');
const tableOptions = { timestamps: false, tableName: 'tblaccesspermission' };
let AccessPermission = AccessPermission_1 = class AccessPermission extends sequelize_typescript_1.Model {
    static async dateUpdate(accessPermission, options) {
        accessPermission.updatedat = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AccessPermission.prototype, "accesspermissionid", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.CHAR(30),
        allowNull: false,
        unique: { name: 'accesspermissionid', msg: 'validate:field:shouldBeUnique' }
    }),
    __metadata("design:type", String)
], AccessPermission.prototype, "name", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], AccessPermission.prototype, "isactive", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => AccessPermission_1),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AccessPermission.prototype, "parentaccesspermissionid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => AccessPermission_1),
    __metadata("design:type", AccessPermission)
], AccessPermission.prototype, "AccessPermission", void 0);
__decorate([
    sequelize_typescript_1.HasMany(() => AccessPermission_1),
    __metadata("design:type", Array)
], AccessPermission.prototype, "ChildAccessPermission", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], AccessPermission.prototype, "deletedat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], AccessPermission.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], AccessPermission.prototype, "updatedat", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [AccessPermission, Object]),
    __metadata("design:returntype", Promise)
], AccessPermission, "dateUpdate", null);
AccessPermission = AccessPermission_1 = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], AccessPermission);
exports.AccessPermission = AccessPermission;
//# sourceMappingURL=AccessPermission.entity.js.map