"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ReferenceContact = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Channel_entity_1 = require("../../channel/models/Channel.entity");
const ChannelType_entity_1 = require("../../channel/models/ChannelType.entity");
const Media_entity_1 = require("../../media/models/Media.entity");
const tableOptions = { timestamp: false, tableName: 'tblreferencecontact' };
let ReferenceContact = class ReferenceContact extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ReferenceContact.prototype, "referencecontactid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channel_entity_1.Channel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ReferenceContact.prototype, "channelid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel),
    __metadata("design:type", Channel_entity_1.Channel)
], ReferenceContact.prototype, "channel", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ReferenceContact.prototype, "companyname", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ChannelType_entity_1.ChannelType),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ReferenceContact.prototype, "companytypeid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ChannelType_entity_1.ChannelType),
    __metadata("design:type", ChannelType_entity_1.ChannelType)
], ReferenceContact.prototype, "channeltype", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ReferenceContact.prototype, "firstname", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ReferenceContact.prototype, "lastname", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ReferenceContact.prototype, "phone1", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ReferenceContact.prototype, "phone2", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ReferenceContact.prototype, "mobileno", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.CHAR(255),
        allowNull: false
    }),
    __metadata("design:type", String)
], ReferenceContact.prototype, "email", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ReferenceContact.prototype, "jobtitle", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ReferenceContact.prototype, "linkedin", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Media_entity_1.Media),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ReferenceContact.prototype, "avatarid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Media_entity_1.Media, 'avatarid'),
    __metadata("design:type", Media_entity_1.Media)
], ReferenceContact.prototype, "avatar", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ReferenceContact.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ReferenceContact.prototype, "updatedat", void 0);
ReferenceContact = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], ReferenceContact);
exports.ReferenceContact = ReferenceContact;
//# sourceMappingURL=ReferenceContact.entity.js.map