'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Role = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const swagger_1 = require("@nestjs/swagger");
let Role = class Role extends sequelize_typescript_1.Model {
};
Role.ROLE_ACCOUNT_USER = 1;
Role.ROLE_ADMIN_USER = 2;
Role.ROLE_PRIMARY_USER = 3;
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.BIGINT,
        allowNull: false,
        unique: true,
        primaryKey: true,
    }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], Role.prototype, "roleId", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.CHAR(30),
        allowNull: false,
        unique: { name: 'role', msg: 'user:role:shouldBeUnique' }
    }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], Role.prototype, "role", void 0);
Role = __decorate([
    sequelize_typescript_1.Table({
        tableName: "tblRole",
        timestamps: false
    })
], Role);
exports.Role = Role;
//# sourceMappingURL=Role.entity.js.map