import { Model } from 'sequelize-typescript';
import { User } from './User.entity';
import { Role } from './Role.entity';
export declare class UserRole extends Model<UserRole> {
    userRoleId: number;
    userId: number;
    user: User;
    roleId: number;
    role: Role;
    createdAt: Date;
    updatedAt: Date;
    static dateUpdate(userRole: UserRole, options: any): Promise<void>;
}
