import { User } from '../models/User.entity';
import { AdminUsers } from '../../admin/models/AdminUsers.entity';
import { Contact } from '../models/Contact.entity';
import { Channel } from '../../channel/models/Channel.entity';
import { AdminUserAccess } from 'src/modules/admin/models/AdminUserAccess.entity';
import { Media } from '../../media/models/Media.entity';
import { ContactLocation } from '../models/ContactLocation.entity';
export declare const UserProviders: ({
    provide: string;
    useValue: typeof User;
} | {
    provide: string;
    useValue: typeof AdminUsers;
} | {
    provide: string;
    useValue: typeof AdminUserAccess;
} | {
    provide: string;
    useValue: typeof Contact;
} | {
    provide: string;
    useValue: typeof Channel;
} | {
    provide: string;
    useValue: typeof Media;
} | {
    provide: string;
    useValue: typeof ContactLocation;
})[];
