'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserProviders = void 0;
const User_entity_1 = require("../models/User.entity");
const AdminUsers_entity_1 = require("../../admin/models/AdminUsers.entity");
const Contact_entity_1 = require("../models/Contact.entity");
const Channel_entity_1 = require("../../channel/models/Channel.entity");
const AdminUserAccess_entity_1 = require("../../admin/models/AdminUserAccess.entity");
const Media_entity_1 = require("../../media/models/Media.entity");
const ContactLocation_entity_1 = require("../models/ContactLocation.entity");
exports.UserProviders = [
    {
        provide: 'UserRepository',
        useValue: User_entity_1.User,
    },
    {
        provide: 'AdminUserRepository',
        useValue: AdminUsers_entity_1.AdminUsers,
    },
    {
        provide: 'AdminUserAccessRepository',
        useValue: AdminUserAccess_entity_1.AdminUserAccess,
    },
    {
        provide: 'ContactRepository',
        useValue: Contact_entity_1.Contact,
    },
    {
        provide: 'ChannelRepository',
        useValue: Channel_entity_1.Channel,
    },
    {
        provide: 'MediaRepository',
        useValue: Media_entity_1.Media,
    },
    {
        provide: 'ContactLocationRepository',
        useValue: ContactLocation_entity_1.ContactLocation,
    },
];
//# sourceMappingURL=user.provider.js.map