'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.PreferenceOutBound = void 0;
const app_constant_1 = require("../../../config/app.constant");
class PreferenceOutBound {
    async getChanneltypeaccesspermission(channeltypeaccesspermission) {
        try {
            if (channeltypeaccesspermission) {
                let returnObj = { 'vendor': [], 'distributor': [], 'retailer': [] };
                for (var i = 0; i < channeltypeaccesspermission.length; i++) {
                    let accesspermission = {
                        'accessPermissionId': channeltypeaccesspermission[i].accesspermissionid,
                        'accessPermission': channeltypeaccesspermission[i].AccessPermission.name,
                    };
                    if (channeltypeaccesspermission[i].channeltypeid == app_constant_1.appconstant.CHANNEL_TYPE_VENDOR) {
                        returnObj.vendor.push(accesspermission);
                    }
                    if (channeltypeaccesspermission[i].channeltypeid == app_constant_1.appconstant.CHANNEL_TYPE_DISTRIBUTOR) {
                        returnObj.distributor.push(accesspermission);
                    }
                    if (channeltypeaccesspermission[i].channeltypeid == app_constant_1.appconstant.CHANNEL_TYPE_DISTRIBUTOR) {
                        returnObj.retailer.push(accesspermission);
                    }
                }
                return returnObj;
            }
            return false;
        }
        catch (e) {
            console.log("Error+", e);
        }
    }
}
exports.PreferenceOutBound = PreferenceOutBound;
//# sourceMappingURL=preferenceOutBound.js.map