import { User } from '../../user/models/User.entity';
import { ContactLocation } from './../models/ContactLocation.entity';
import { ContactProductGroup } from './../models/ContactProductGroup.entity';
import { ContactProductCategory } from './../models/ContactProductCategory.entity';
import { UserAccessPermission } from './../models/UserAccessPermission.entity';
import { ContactSocialLink } from './../models/ContactSocialLink.entity';
import { ChannelContactSuggestion } from "../../channel/models/ChannelContactSuggestion.entity";
import { InterestedProductGroup } from '../models/InterestedProductGroup.entity';
import { InterestedProductCategory } from '../models/InterestedProductCategory.entity';
export declare class UserInBound {
    setAddUserObject(user: any, channelId: number, password: string, showId: string, userId: number): Promise<User>;
    setProductGroup(productFamilies: any, contactId: number, activeIds: number[]): Promise<ContactProductGroup[]>;
    setChannelContactSuggestion(channelContactSuggestion: any, contactId: number, channelId: number, userId: number, activeIds: number[]): Promise<ChannelContactSuggestion[]>;
    setInterestedProductGroup(productFamilies: any, channelId: number, contactId: number, activeIds: number[]): Promise<InterestedProductGroup[]>;
    setProductCategories(productCategories: any, contactId: number, activeIds: number[]): Promise<ContactProductCategory[]>;
    setInterestedProductCategories(productCategories: any, channelId: number, contactId: number, activeIds: number[]): Promise<InterestedProductCategory[]>;
    setAccessPermissions(accessPermissions: any, userId: number, activeIds: number[]): Promise<UserAccessPermission[]>;
    setContactLocations(locations: any, channelId: number, contactId: number): Promise<ContactLocation[]>;
    setSocialLinks(user: any, contactId: number): Promise<ContactSocialLink[]>;
}
