'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.WalletUsageTypeProviders = exports.WalletTransactionProviders = exports.UserWalletAmountProviders = exports.OtherPaymentProviders = void 0;
const UserWalletAmount_entity_1 = require("../models/UserWalletAmount.entity");
const OtherPayment_entity_1 = require("../../channel/models/OtherPayment.entity");
const WalletTransaction_entity_1 = require("../models/WalletTransaction.entity");
const WalletUsageType_entity_1 = require("../models/WalletUsageType.entity");
exports.OtherPaymentProviders = [
    {
        provide: 'OtherPaymentRepository',
        useValue: OtherPayment_entity_1.OtherPayment,
    },
];
exports.UserWalletAmountProviders = [
    {
        provide: 'UserWalletAmountRepository',
        useValue: UserWalletAmount_entity_1.UserWalletAmount,
    },
];
exports.WalletTransactionProviders = [
    {
        provide: 'WalletTransactionRepository',
        useValue: WalletTransaction_entity_1.WalletTransaction,
    },
];
exports.WalletUsageTypeProviders = [
    {
        provide: 'WalletUsageTypeRepository',
        useValue: WalletUsageType_entity_1.WalletUsageType,
    },
];
//# sourceMappingURL=walletRecharge.providers.js.map