'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MyWishlistSearchFilterDto = void 0;
const class_validator_1 = require("class-validator");
class MyWishlistSearchFilterDto {
}
__decorate([
    class_validator_1.IsNotEmpty({ message: "validate:field:shouldNotEmpty" }),
    class_validator_1.IsEnum([
        'WISHLIST',
        'BUSINESS',
        'EVALVATED'
    ], { message: "Field 'type' should be any one from this list(WISHLIST, BUSINESS, EVALVATED)" }),
    __metadata("design:type", String)
], MyWishlistSearchFilterDto.prototype, "type", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeArray" }),
    class_validator_1.IsInt({
        each: true,
        message: "validate:field:shouldBeInt"
    }),
    __metadata("design:type", Number)
], MyWishlistSearchFilterDto.prototype, "productCategoryIds", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeArray" }),
    class_validator_1.IsInt({
        each: true,
        message: "validate:field:shouldBeInt"
    }),
    __metadata("design:type", Number)
], MyWishlistSearchFilterDto.prototype, "productFamilyIds", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeArray" }),
    class_validator_1.IsInt({
        each: true,
        message: "validate:field:shouldBeInt"
    }),
    __metadata("design:type", Array)
], MyWishlistSearchFilterDto.prototype, "brandIds", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeArray" }),
    class_validator_1.IsString({
        each: true,
        message: "validate:field:shouldBeString"
    }),
    __metadata("design:type", String)
], MyWishlistSearchFilterDto.prototype, "quality", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsBoolean({ message: "validate:field:shouldBeBoolean" }),
    __metadata("design:type", Boolean)
], MyWishlistSearchFilterDto.prototype, "is_sample_free", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNumber({}, { message: "validate:field:shouldBeInt" }),
    __metadata("design:type", Number)
], MyWishlistSearchFilterDto.prototype, "retail_price_min", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNumber({}, { message: "validate:field:shouldBeInt" }),
    __metadata("design:type", Number)
], MyWishlistSearchFilterDto.prototype, "retail_price_max", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNumber({}, { message: "validate:field:shouldBeInt" }),
    __metadata("design:type", Number)
], MyWishlistSearchFilterDto.prototype, "retailer_commission_min", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNumber({}, { message: "validate:field:shouldBeInt" }),
    __metadata("design:type", Number)
], MyWishlistSearchFilterDto.prototype, "retailer_commission_max", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNumber({}, { message: "validate:field:shouldBeInt" }),
    __metadata("design:type", Number)
], MyWishlistSearchFilterDto.prototype, "distributor_commission_min", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNumber({}, { message: "validate:field:shouldBeInt" }),
    __metadata("design:type", Number)
], MyWishlistSearchFilterDto.prototype, "distributor_commission_max", void 0);
exports.MyWishlistSearchFilterDto = MyWishlistSearchFilterDto;
//# sourceMappingURL=myWishlistFilter.dto.js.map