'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Wishlist = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Product_entity_1 = require("../../product/models/Product.entity");
const Channelgroup_entity_1 = require("../models/Channelgroup.entity");
const tableOptions = { timestamps: false, tableName: 'tblproductwishlist' };
let Wishlist = class Wishlist extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], Wishlist.prototype, "productwishlistid", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.ENUM('WISHLIST', 'BUSINESS', 'EVALVATED', 'CHANNEL')),
    __metadata("design:type", String)
], Wishlist.prototype, "type", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Product_entity_1.Product),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], Wishlist.prototype, "productid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Product_entity_1.Product),
    __metadata("design:type", Product_entity_1.Product)
], Wishlist.prototype, "product", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], Wishlist.prototype, "channelid", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], Wishlist.prototype, "userid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channelgroup_entity_1.Channelgroup),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], Wishlist.prototype, "channelgroupid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channelgroup_entity_1.Channelgroup, 'channelGroupId'),
    __metadata("design:type", Channelgroup_entity_1.Channelgroup)
], Wishlist.prototype, "channelgroup", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], Wishlist.prototype, "deletedat", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], Wishlist.prototype, "createdat", void 0);
Wishlist = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], Wishlist);
exports.Wishlist = Wishlist;
//# sourceMappingURL=Wishlist.entity.js.map