'use strict'

export const profileScore = {
	RETAILER_SCORE: {
		'channel': {
			'companyName': 2,
			'regAddressId': 3,
			'countryId': 2,
			'companyMail': 1,
			'planId': 10
		},
		'detail': {
			'phone1': 2,
			'webSiteUrl': 2,
			'channelLogoId': 3,
			'channelIconId': 2,
			'estYear': 2,
			'regYear': 1,
			'detailDesc': 2,
			'empCnt': 1,
			'turnover': 1,
			'stripeConnectId': 2
		},
		'contact': {
			'firstName': 1,
			'lastName': 1,
			'mobileNo': 2,
			'email': 2,
			'jobTitle': 2,
			'documentId': 2
		},
		'taxCertificate': 3,
		'regCertificate': 2,
		'award': 1,
		'linkedin': 1,
		'googleplus': 1,
		'instagram': 1,
		'otherLink': 1,
		'brand': 0,
		'productGroup': 5,
		'productCat': 5,
		'speciality': 4,
		'channelCustomerProfile': 0,
		'selling': 0,
		'target': 0,
		'retail': 6,
		'partners': 3,
		'sampleOrder': 0,
		'receivedEvaluation': 2,
		'sampleRequest': 5,
		'myEvaluation': 5
	},
	DISTRIBUTOR_SCORE: {
		'channel': {
			'companyName': 2,
			'regAddressId': 3,
			'countryId': 2,
			'companyMail': 1,
			'planId': 10
		},
		'detail': {
			'phone1': 2,
			'webSiteUrl': 2,
			'channelLogoId': 3,
			'channelIconId': 2,
			'estYear': 2,
			'regYear': 1,
			'detailDesc': 2,
			'empCnt': 1,
			'turnover': 1,
			'stripeConnectId': 2
		},
		'contact': {
			'firstName': 1,
			'lastName': 1,
			'mobileNo': 2,
			'email': 2,
			'jobTitle': 2,
			'documentId': 2
		},
		'taxCertificate': 3,
		'regCertificate': 2,
		'award': 1,
		'linkedin': 1,
		'googleplus': 1,
		'instagram': 1,
		'otherLink': 1,
		'brand': 2,
		'productGroup': 5,
		'productCat': 5,
		'speciality': 2,
		'channelCustomerProfile': 0,
		'selling': 3,
		'target': 3,
		'retail': 0,
		'partners': 3,
		'sampleOrder': 0,
		'receivedEvaluation': 0,
		'sampleRequest': 5,
		'myEvaluation': 5
	},
	VENDOR_SCORE: {
		'channel': {
			'companyName': 2,
			'regAddressId': 3,
			'countryId': 2,
			'companyMail': 1,
			'planId': 10
		},
		'detail': {
			'phone1': 2,
			'webSiteUrl': 2,
			'channelLogoId': 3,
			'channelIconId': 2,
			'estYear': 2,
			'regYear': 2,
			'detailDesc': 2,
			'empCnt': 1,
			'turnover': 1,
			'stripeConnectId': 2
		},
		'contact': {
			'firstName': 1,
			'lastName': 1,
			'mobileNo': 2,
			'email': 2,
			'jobTitle': 2,
			'documentId': 2
		},
		'taxCertificate': 3,
		'regCertificate': 2,
		'award': 2,
		'linkedin': 1,
		'googleplus': 1,
		'instagram': 1,
		'otherLink': 2,
		'brand': 7,
		'productGroup': 5,
		'productCat': 2,
		'speciality': 0,
		'channelCustomerProfile': 0,
		'selling': 3,
		'target': 3,
		'retail': 0,
		'partners': 3,
		'sampleOrder': 3,
		'receivedEvaluation': 2,
		'sampleRequest': 0,
		'myEvaluation': 0
	}
};
