import {
    IsString,
    IsEmail,
    IsNotEmpty,
    MinLength,
    MaxLength,
    IsNumber,
    Min,
    Max,
    ValidateNested,
    IsOptional,
    IsDate,
    ValidateIf
} from 'class-validator';
import { Type } from 'class-transformer';
import { ApiProperty } from '@nestjs/swagger';

export class ErrorDto {
    
    @IsOptional()
	@ApiProperty()
    readonly userId: number;
    
    @IsOptional()
	@ApiProperty()
    readonly reqUrl: string;

    @IsOptional()
    @ApiProperty()
    readonly service: string;

    @IsOptional()
    @ApiProperty()
    readonly err: string;
    
}