import { Inject, Injectable } from '@nestjs/common';
import { Errors } from './model/Error.entity';

@Injectable()
export class ErrorService {
    constructor(		
		@Inject('ErrorLogRepository') private readonly errorRepository: typeof Errors
    ){}
    async saveError(errorData)
    {
        await this.errorRepository.create(errorData);
    }
}
