'use strict';

import { HttpStatus } from '@nestjs/common';
import { IErrorMessages } from './interface/IErrorMessages';

export const middleware: { [messageCode: string]: IErrorMessages } = {
	'middleware:token:expired': {
		code: 1001,
		message: 'Token expired.',
	},
	'middleware:token:invalid': {
		code: 1002,
		message: 'Invalid token.',
	},
	'middleware:token:NotFound': {
		code: 1003,
		message: 'Token not found.',
	}
};
