'use strict';

import { HttpStatus } from '@nestjs/common';
import { IErrorMessages } from './interface/IErrorMessages';

export const stripe: { [messageCode: string]: IErrorMessages } = {
	'stripe:minimum:amount': {
		code: 6001,
		message: 'Stripe min payment amount should be greater than 0.50',
	}
};
