import * as crypto from "crypto";
// import { BaseHelper } from '../../core/helper/BaseHelper'
import * as securePin from "secure-pin";

export class Utility  {
	constructor() {
		// super();
	}

	async  encrypt(key, data): Promise<any> {
		var cipher = crypto.createCipher('aes-256-cbc', key);
		var crypted = cipher.update(data, 'utf8', 'hex');
		crypted += cipher.final('hex');

		return crypted;
	}

	async decrypt(key, data): Promise<any> {
		var decipher = crypto.createDecipher('aes-256-cbc', key);
		var decrypted = decipher.update(data, 'hex', 'utf8');
		decrypted += decipher.final('utf8');

		return decrypted;
	}

	async generatePin(): Promise<string> {
		let charSet = new securePin.CharSet();
		charSet.addLowerCaseAlpha().addUpperCaseAlpha().randomize();

		return securePin.generateStringSync(4, charSet);
	}

}
