import { Module } from '@nestjs/common';
import { UserActivityProvider } from './providers/activity.provider';
import { ActivityService } from './services/activity.service';
import { ActivityController } from './controller/activity.controller';

@Module({
    providers: [...UserActivityProvider, ActivityService],
    controllers: [ActivityController],
})
export class ActivityModule {}
