import { Controller, Post, Request ,Response, HttpStatus, Body } from '@nestjs/common';
import { ContextService } from '../../../context/context.service';
import { ActivityService } from '../services/activity.service';

@Controller('activity')
export class ActivityController {
    constructor(private context: ContextService, private readonly activityService: ActivityService){}

    @Post('useractivity')
    public async UserActivityLog(@Request() req, @Response() res){
        let user = req.user;
        this.activityService.UserLogActivity("LOGIN", "TOKEN", req, );
        res.status(HttpStatus.OK);
    }

    @Post('nonuseractivity')
    public async NonUserActivityLog(@Request() req, @Response() res, @Body() body){
        let user = req.user;
        this.activityService.NonUserLogActivity("LOGIN", body.email, req, body.step);
        res.status(HttpStatus.OK);
    }
}
