import { Module } from '@nestjs/common';
import { AdminController } from './controller/admin.controller';
import { AdminProviders } from './provider/admin.provider';
import { AdminService } from './service/admin.service';
import { databaseProviders } from '../../core/database/database.providers';


@Module({  
  controllers: [AdminController],
  providers: [AdminService,...AdminProviders,...databaseProviders]
})
export class AdminModule {}
