import { Table, Column, PrimaryKey, Model, AutoIncrement, DataType, AllowNull, ForeignKey, HasOne, HasMany, Scopes, BelongsTo, BelongsToMany, AfterUpdate, AfterBulkUpdate } from 'sequelize-typescript';
import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';


const tableOptions: IDefineOptions = { tableName: 'tblAdminUserNotification' } as IDefineOptions;

@Table(tableOptions)

@Scopes(() => ({
    //Used

}))

export class AdminUserNotification extends Model<AdminUserNotification>{

    @PrimaryKey
    @AutoIncrement
    @AllowNull(false)
    @Column(DataType.BIGINT)
    notifyId: number

    @Column(DataType.BIGINT)
    adminUserId: number;

    @Column(DataType.BIGINT)
    notificationId: number


}
