'use strict';


import { AdminUsers } from '../../admin/models/AdminUsers.entity';
import { AdminUserCountries } from '../models/AdminUserCountries.entity';
import { AdminUserChanneltype } from '../models/AdminUserChanneltype.entity';
import { AdminUserNotification } from '../models/AdminUserNotification.entity';
//import { AdminUserAccess } from 'src/modules/admin/models/AdminUserAccess.entity';

export const AdminProviders = [
	{
		provide: 'AdminUserRepository',
		useValue: AdminUsers,
	},
	{
		provide: 'AdminUserCountryRepository',
		useValue: AdminUserCountries,
	},
	{
		provide: 'AdminUserChannelRepository',
		useValue: AdminUserChanneltype,
	},
	{
		provide: 'AdminUserNotificationRepository',
		useValue: AdminUserNotification,
	},
];
