import {
    IsString,
    IsEmail,
    IsNotEmpty,
    MinLength,
    MaxLength,
    IsNumber,
    Min,
    Max,
    ValidateNested,
    IsOptional
} from 'class-validator';
import { Type } from 'class-transformer';
import { ApiProperty } from '@nestjs/swagger';

export class CompanyCertificateDto {

    @IsOptional()
    @IsNumber({}, { message: "channel:companyProfile:companyCertificateIdIsNumber" })
	@ApiProperty()
    readonly channel_certificate_id: number;

    // @IsNotEmpty({ message: "channel:companyProfile:companyCertificateNameIsNotEmpty" })
	@ApiProperty()
    readonly name: string;

    @IsOptional()
    // @IsNotEmpty({ message: "channel:companyProfile:companyCertificateNoIsNotEmpty" })
	@ApiProperty()
    readonly id: string;

}