import {
    IsString,
    IsEmail,
    IsNotEmpty,
    MinLength,
    MaxLength,
    IsNumber,
    ValidateNested
} from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class TradeInformation_Customer_ProfilesDto {

    @IsNotEmpty({ message: "channel:tradeinformation:customerProfileNotEmpty" })
    @ApiProperty()
    readonly id: number;
    
    @IsNotEmpty({ message: "channel:tradeinformation:profileTypeClassificationIdIsNotEmpty" })
    @ApiProperty()
    readonly profileTypeClassificationId: number;

}