import {
    IsString,
    IsEmail,
    IsNotEmpty,
    MinLength,
    MaxLength,
    IsOptional,
    IsNumber,
    ValidateNested
} from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class TradeInformation_Product_FamiliesUpdateDto {

    @IsNumber({}, { message: "channel:tradeinformation:channelTypeIsNumber" })
    @IsOptional()
    @ApiProperty()
    readonly id: number;

}