import { Table, Column, Model, DataType } from 'sequelize-typescript';
import { ApiProperty } from '@nestjs/swagger';
import { UUIDV4 } from 'sequelize/types';

@Table({
	tableName: "tblautorenewaltrackingstatus"
})

export class AutoRenewalTrackingStatus extends Model<AutoRenewalTrackingStatus> {

	@Column({
		type: DataType.INTEGER,
		allowNull: false,
		// defaultValue:UUIDV4,//autoIncrement: true,
		unique: true,
		primaryKey: true,
	})
	@ApiProperty()
	autorenewaltrackingstatusid: number

	@Column({
		type: DataType.CHAR(150),
		allowNull: false,
	})
	@ApiProperty()
    autorenewaltrackingstatus: string

}
