import { Table, Column, PrimaryKey, Model, AutoIncrement, DataType, AllowNull } from 'sequelize-typescript';
import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';
const tableOptions: IDefineOptions = { timestamps: false,  tableName: 'tblConnectionStatusType' } as IDefineOptions;

@Table(tableOptions)

export class ConnectionStatusType extends Model<ConnectionStatusType>{

  @PrimaryKey
  @AutoIncrement
  @AllowNull(false)
  @Column(DataType.BIGINT)
  connectionStatusTypeId: number

  @AllowNull(false)
  @Column(DataType.CHAR(255))
  connectionStatusType: string

}