import { Table, Column, PrimaryKey, Model, AutoIncrement, DataType, AllowNull } from 'sequelize-typescript';
import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';

// const tableOptions: IDefineOptions = { timestamp: false, tableName: 'tblcurrency' } as IDefineOptions;

// @Table(tableOptions)
@Table({ timestamps: false, tableName: 'tblcurrency' } )
export class Currency extends Model<Currency>{

	@PrimaryKey
	@AutoIncrement
	@AllowNull(false)
	@Column(DataType.BIGINT)
	currencyid: number

	@Column(DataType.CHAR(255))
	currency: string

	@Column(DataType.CHAR(255))
	currencycode: string

	@Column
	conversion_rate: string
}
