import { Table, Column, PrimaryKey, Model, AutoIncrement, DataType, AllowNull } from 'sequelize-typescript';
import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';
  
const tableOptions: IDefineOptions = { tableName: 'tblevaluationattribute' } as IDefineOptions;
  
@Table(tableOptions)
  
export class EvaluationAttribute extends Model<EvaluationAttribute>{
  
    @PrimaryKey
    @AutoIncrement
    @AllowNull(false)
    @Column(DataType.BIGINT)
    evaluationattributeid:number
    
    @Column(DataType.CHAR(255))
    evaluationattribute:string ;
}
