import { Table, Column, PrimaryKey, Model, AutoIncrement, DataType, AllowNull } from 'sequelize-typescript';
  import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';
  
  const tableOptions: IDefineOptions = { tableName: 'tblpaymentoptiontype', timestamps:false } as IDefineOptions;
  
  @Table(tableOptions)
  
  export class PaymentOptionType extends Model<PaymentOptionType>{
  
    @PrimaryKey
    @AutoIncrement
    @AllowNull(false)
    @Column(DataType.BIGINT)
    paymentoptiontypeid:number
    
    @Column(DataType.CHAR(100))
    paymenttype:string

}
