import { Table, Column, PrimaryKey, Model, AutoIncrement, DataType, AllowNull } from 'sequelize-typescript';
import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';
  
const tableOptions: IDefineOptions = { tableName: 'tblpaymentterm', timestamps:false } as IDefineOptions;
  
@Table(tableOptions)
  
export class PaymentTerm extends Model<PaymentTerm>{
  
    @PrimaryKey
    @AutoIncrement
    @AllowNull(false)
    @Column(DataType.BIGINT)
    paymenttermid:number
    
    @Column(DataType.CHAR(100))
    paymentterm:string

}
