import { Table, Column, PrimaryKey, Model, DataType, HasMany } from 'sequelize-typescript';
import { ApiProperty } from '@nestjs/swagger';
import { UUIDV4 } from 'sequelize/types';

@Table({
	tableName: "tblsharetype",
	timestamps:false
})
export class ShareType extends Model<ShareType> {

	@Column({
		type: DataType.INTEGER,
		allowNull: false,
		// defaultValue:UUIDV4,//autoIncrement: true,
		unique: true,
		primaryKey: true,
	})
	@ApiProperty()
	sharetypeid: number

	@Column({type: DataType.CHAR(255)})
	@ApiProperty()
    sharetype: string
}
