'use strict';

import { EventBo } from '../models/EventBo.entity';
import { EventChannel } from '../models/EventChannel.entity';
import { EventPackage } from '../models/EventPackage.entity';
import { EventParticipants } from '../models/EventParticipants.entity';

export const eventProvider = [
  {
    provide: 'EventRepository',
    useValue: EventBo,
  },
  {
    provide: 'EventPackageRepository',
    useValue: EventPackage
  },
  {
    provide: 'EventParticipantRepository',
    useValue: EventParticipants
  },
  {
    provide: 'EventChannelRepository',
    useValue: EventChannel
  },
];

