import { Table, Column, Model, ForeignKey } from 'sequelize-typescript';
import { Country } from './Country.entity';
import { Zone } from './Zone.entity';
import { Region } from './Region.entity';

@Table({
	tableName: "vwLocation"
})
export class CountryView extends Model<CountryView>{

	@ForeignKey(() => Zone)
	@Column
	ZoneId: number

	@Column
	Zone: string

	@ForeignKey(() => Region)
	@Column
	regionId: number

	@Column
	region: string

	@ForeignKey(() => Country)
	@Column
	countryId: number

	@Column
	country: string

}
