import { Body, Controller, HttpStatus, Param, Post, Req, Res, UploadedFile, UploadedFiles, UseGuards, UseInterceptors, ValidationPipe } from "@nestjs/common";
import { MediaService } from "../service/media.service";

@Controller('media')
export class ErrorLogController {
  constructor(private mediaService: MediaService){}

	@Post('errorLog')
	public async updateMeeting(@Res() res, @Body(new ValidationPipe()) errorLog: any) {

		 await this.mediaService.errorLog(errorLog);
		 res.status(HttpStatus.CREATED).send({
			status:true
		});
	}
}
