//import { BaseHelper } from '../../core/helper/BaseHelper';
import { parse } from 'path';

export class Utility  {
	// constructor() {
	// 	super();
	//}

	async getNewMediaPath(instance) {
		let parsedData = parse(instance.documentPath);
		let extName = parsedData.ext;

		return (instance.dirName ? instance.dirName : 'media') + '/'  + new Date().getTime() + extName;
	}

	async getThambnailPath(instance) {
		let parsedData = parse(instance.documentPath);
		let extName = parsedData.ext;

		return (instance.dirName ? instance.dirName : 'media') + '/thambnail_'  + new Date().getTime() + extName;
	}

	async getMediaPath(instance) {
		let parsedData = parse(instance.documentPath);

		let baseName = parsedData.name.trim().replace(/\s/g, '-');
		let extName = parsedData.ext;

		return (instance.dirName ? instance.dirName : 'media') + '/' + baseName + '_' + new Date().getTime() + extName;
	}

}
