'use strict';

import { Table, Column, Model, DataType, HasMany, AutoIncrement, AllowNull, PrimaryKey } from 'sequelize-typescript';
import { Media } from './Media.entity';

@Table({
	tableName: "tblDocumentType",
	timestamps:false
})
export class MediaType extends Model<MediaType>{

	@PrimaryKey
	@AutoIncrement
	@AllowNull(false)
	@Column(DataType.INTEGER)
	// 	allowNull: false,
	// 	// defaultValue:UUIDV4,//autoIncrement: true,
	// 	unique: true,
	// 	primaryKey: true,
	// })
	documentTypeId: number

	@AllowNull(false)
	@Column(DataType.CHAR(30))
	// 	allowNull: false,
	// 	unique: { name: 'documentType', msg: 'media:documentType:shouldBeUnique' }
	// })
	
	documentType: string

	@HasMany(() => Media)
	documents: Media[];
}
