'use strict';

import { MediaType } from '../models';
import { BucketErrorLog } from '../models/bucketErrorLog.entity';

export const MediaTypeProviders = [
	{
		provide: 'MediaTypeRepository',
		useValue: MediaType,
	},
];

export const MediaErrorLogProviders = [
	{
		provide: 'BucketErrorLogRepository',
		useValue: BucketErrorLog,
	},
];
