'use strict';

//import * as crypto from 'crypto';
import { Injectable, Inject, InternalServerErrorException } from '@nestjs/common';
import { ProcessException } from '../../../middleware/exception/Process.exception';
import { BucketErrorLog } from '../models/bucketErrorLog.entity';

@Injectable()
export class MediaService {
	constructor(
        @Inject('BucketErrorLogRepository') private readonly bucketErrorLogRepository: typeof BucketErrorLog,
		@Inject('SequelizeInstance') private readonly sequelizeInstance,
	) { }
	
    async errorLog(data) {
		await this.bucketErrorLogRepository.create(data)
		.then((result)=> {
			return result;
		}).catch((e) =>{
			console.log(e);
			throw new ProcessException(e.message);
		});

		// Send email

		return true;
    }   
	}