'use strict'

import { IsUrl, IsBoolean, IsOptional, Length, IsNotEmpty, IsEmail, MinLength, MaxLength, IsString, IsAlphanumeric, IsNumber, IsInt, Matches } from 'class-validator';

export class MeetingConfirmDto {

	 
	@IsNumber({}, { message: "validate:field:shouldBeInt" })
	meetingReqId: number;	
	
	Requester_Company: string;	
    
    Requester_Username: string;      
    
    Requester_Email: string;    
    
	Receiver_Company: string	
	
    Receiver_Username: string;   
    
    Receiver_Email: string;
    
    meeting_Scheduled_At: Date;
    
	@IsNumber({}, { message: "validate:field:shouldBeInt" })
    isMeetingConfirm: number;
   
	
}
