'use strict';

// import { BaseTransformation } from "../../core/transformation/BaseTransformation";
import { ProcessException } from '../../../middleware/exception/Process.exception';
import { User } from '../../user/models/User.entity';
import { Contact } from '../../user/models/Contact.entity';
import { Channel } from '../../channel/models/Channel.entity';
import { SignUpHistory } from '../../user/models/SignUpHistory.entity';
import { MeetingReqDto } from '../dto/meetingReq.dto';
import { UserRole } from '../../user/models/UserRole.entity';
import { Role } from '../../user/models/Role.entity';
import { Media } from './../../media/models/Media.entity';

import { SocialSite } from './../../channel/models/SocialSite.entity';
import { ChannelContactSuggestion } from "../../channel/models/ChannelContactSuggestion.entity";
import { appconstant } from './../../../config/app.constant';
import { isObject } from 'lodash';
import { MeetingReq } from "../models/MeetingReq.entity";

export class MeetingInBound {
	constructor() {}
    
    async setAddMeetingObject(meet: any): Promise<MeetingReq> {
		try {

			
            let meeting = <MeetingReq>{};

            meeting.senderChannelId=meet.senderChannelId;
            meeting.senderContactId=meet.senderContactId;
            //meeting.alt_senderContactId=meet.alt_senderContactId;
            meeting.receiverChannelId=meet.receiverChannelId;
            meeting.receiverContactId=meet.receiverContactId;
         //   meeting.alt_receiverContactId=meet.alt_receiverContactId;
           // meeting.meeting_Scheduled_At=meet.meeting_Scheduled_At;
            meeting.req_Scheduled_At=new Date();
            meeting.isMeetingConfirm=0;//meet.isMeetingConfirm;
            meeting.isMeetingCompleted=0;//meet.isMeetingCompleted;
           meeting.createdAt=new Date();
            meeting.updatedAt=new Date();
            // meeting.deletedAt=new Date();

           // let returnObject = <MeetingReq>{};

            return meeting;
            
        } catch (e) {
			throw new ProcessException('account:objectCreation:MeetingReq');
        }
    }
}