import { Module } from '@nestjs/common';
import { NotificationController } from './controller/notification.controller';
import { NotificationService } from './service/notification.service';
import { databaseProviders } from '../../core/database/database.providers';



@Module({  
  controllers: [
		NotificationController
	],	
  providers: [NotificationService,...databaseProviders]  
})
export class NotificationModule {}
