import {
    IsString,
	IsEmail,
	IsNotEmpty,
	MinLength,
	MaxLength,
	Min,
	Max,
	IsNumber,
	ArrayNotEmpty,
	ValidateIf,
	ValidateNested,
    IsOptional,
    IsDate,
    IsDateString
} from 'class-validator';
import { Type } from 'class-transformer';
import { ApiProperty } from '@nestjs/swagger';
export class AddProductPositionDto {
	@IsOptional() //Adding this to optional because this field was removed in fo
    @IsNotEmpty({ message: "channel:product:productqualitylevelIsNotEmpty" })
	@IsString({ message: "channel:product:productqualitylevelIsString" })
	@ApiProperty()
    readonly productqualitylevel: string;

}