import {
    IsString,
	IsEmail,
	IsNotEmpty,
	MinLength,
	MaxLength,
	Min,
	Max,
	IsNumber,
	ArrayNotEmpty,
	ValidateIf,
	ValidateNested,
    IsOptional,
    IsDate,
    IsDateString
} from 'class-validator';
import { Type } from 'class-transformer';
import { ApiProperty } from '@nestjs/swagger';
export class ProductRelevantChannelDto {

    @IsNotEmpty({ message: "channel:product:customerProfileIdIsNotEmpty" })
    @IsNumber({},{ message: "channel:product:customerProfileIdIsNumber" })
    @ApiProperty()
    readonly customerProfileId: number;

}