'use strict';

import { IsNotEmpty, MaxLength, IsString, IsOptional, IsInt, IsBoolean } from 'class-validator';

export class UnitDto {

	@IsNotEmpty({ message: "validate:field:shouldNotEmpty" })
	@IsString({ message: "validate:field:shouldBeString" })
	@MaxLength(255, { message: "validate:field:validateMaxLength" })
    readonly unit: string;
    
}
