'use strict';

import { ProductEvaluation } from '../models/ProductEvaluation.entity';
import { ProductEvaluationRating } from '../models/ProductEvaluationRating.entity';

export const productEvaluationProvider = [
	{
		provide: 'ProductEvaluationRepository',
		useValue: ProductEvaluation
	}
];

export const productEvaluationRatingProvider = [
	{
		provide: 'ProductEvaluationRatingRepository',
		useValue: ProductEvaluationRating
	}
];