'use strict';

import { ProductGroup } from '../models/ProductGroup.entity';
import { RejectReason } from '../models/RejectReason.entity';
import { ProductReject } from './../models/ProductReject.entity';

export const productGroupProviders = [
	{
		provide: 'ProductGroupRepository',
		useValue: ProductGroup,
	},
];

export const RejectReasonProviders = [
	{
		provide: 'RejectReasonRepository',
		useValue: RejectReason
	}
];

export const ProductRejectProviders = [
	{
		provide: 'ProductRejectRepository',
		useValue: ProductReject
	}
]
