import { Module } from '@nestjs/common';
import { ReportController } from './controller/report.controller';
import { ReportService } from "./service/report.service";
import { FailureTransactionProviders, PaymentTransactionProviders } from './providers/report.provider';

@Module({
  controllers:[ReportController],
    providers:[
        ...FailureTransactionProviders,
        ...PaymentTransactionProviders,
        ReportService
    ],
   
})
export class ReportModule {

}
