import {
  Table,
  Column,
  PrimaryKey,
  Model,
  AutoIncrement,
  DataType,
  AllowNull,
} from 'sequelize-typescript';
import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';
const tableOptions: IDefineOptions = { timestamps: false, tableName: 'tblSignUpStatus' } as IDefineOptions;

@Table(tableOptions)

export class SignUpStatus extends Model<SignUpStatus>{

  @PrimaryKey
  @AutoIncrement
  @AllowNull(false)
  @Column(DataType.BIGINT)
  signUpStatusId: number;

  @Column
  signUpStatus: string

}