'use strict';
import { AccessPermission } from './../models/AccessPermission.entity';
import { UserAccessPermission } from './../models/UserAccessPermission.entity';
import { ChannelTypeAccessPermission } from '../models/ChannelTypeAccessPermission.entity';

export const PreferenceProviders = [
	{
		provide: 'PreferenceRepository',
		useValue: AccessPermission,
	},
];

export const UserAccessPermissionProviders = [
	{
		provide: 'UserAccessPermissionRepository',
		useValue: UserAccessPermission,
	}
];

export const ChannelTypeAccessPermissionProviders = [
	{
		provide: 'ChannelTypeAccessPermissionRepository',
		useValue: ChannelTypeAccessPermission,
	}
];
