var redis = require("redis");
require('dotenv').config();

var client = redis.createClient(
    process.env.REDIS_PORT || '6379',
    process.env.REDIS_HOST || 'localhost',
    {
        db: process.env.BULL_QUEUE_DB_INDEX || 0
    }
);

client.on("error", function (err) {
    console.log("Error " + err);
});

// print process.argv
let keys = process.argv.slice(2);
client.del(keys, function (error, res) {
    if(error) {
        console.log("Error:" + error);
    } else {
        console.log(res);
    }
    client.quit();
});


