"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlgorithmModule = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const algorithm_controller_1 = require("./algorithm.controller");
const algorithm_service_1 = require("./algorithm.service");
const database_providers_1 = require("../core/database/database.providers");
const channelJCT_provider_1 = require("./provider/channelJCT.provider");
let AlgorithmModule = class AlgorithmModule {
};
AlgorithmModule = __decorate([
    common_1.Module({
        imports: [config_1.ConfigModule],
        controllers: [algorithm_controller_1.AlgorithmController],
        providers: [
            algorithm_service_1.AlgorithmService, ...channelJCT_provider_1.channelJctProvider, ...channelJCT_provider_1.productJctProvider, ...channelJCT_provider_1.productMatchingProvider, ...channelJCT_provider_1.channelMatchingProvider,
            ...database_providers_1.databaseProviders
        ]
    })
], AlgorithmModule);
exports.AlgorithmModule = AlgorithmModule;
//# sourceMappingURL=algorithm.module.js.map