"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AlgmChannelJCT = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
var Sequelize = require('sequelize');
const tableOptions = { timestamps: false, tableName: 'tblChannelJCT' };
let AlgmChannelJCT = class AlgmChannelJCT extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AlgmChannelJCT.prototype, "channelJCTId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AlgmChannelJCT.prototype, "channelId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AlgmChannelJCT.prototype, "partnerChannelId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AlgmChannelJCT.prototype, "connectionStatusTypeId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AlgmChannelJCT.prototype, "rank", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AlgmChannelJCT.prototype, "matchingScore", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], AlgmChannelJCT.prototype, "suggestion_connect_flag", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], AlgmChannelJCT.prototype, "isConfidential", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], AlgmChannelJCT.prototype, "deletedat", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], AlgmChannelJCT.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AlgmChannelJCT.prototype, "requested_to", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AlgmChannelJCT.prototype, "requested_by", void 0);
AlgmChannelJCT = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], AlgmChannelJCT);
exports.AlgmChannelJCT = AlgmChannelJCT;
//# sourceMappingURL=AlgmChannelJCT.entity.js.map