"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelSuggestion = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const ChannelSubscription_entity_1 = require("./ChannelSubscription.entity");
const tableOptions = { tableName: 'tblchannelsuggestions' };
let ChannelSuggestion = class ChannelSuggestion extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelSuggestion.prototype, "channelsuggestionsid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ChannelSubscription_entity_1.ChannelSubscription),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelSuggestion.prototype, "channelsubscriptionid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ChannelSubscription_entity_1.ChannelSubscription),
    __metadata("design:type", ChannelSubscription_entity_1.ChannelSubscription)
], ChannelSuggestion.prototype, "channelSubscription", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ChannelSuggestion.prototype, "suggestionfor", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", Number)
], ChannelSuggestion.prototype, "suggestioncount", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", Number)
], ChannelSuggestion.prototype, "limit", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ChannelSuggestion.prototype, "isfulfilled", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ChannelSuggestion.prototype, "isexpired", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelSuggestion.prototype, "startedat", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelSuggestion.prototype, "endat", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelSuggestion.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelSuggestion.prototype, "updatedat", void 0);
ChannelSuggestion = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], ChannelSuggestion);
exports.ChannelSuggestion = ChannelSuggestion;
//# sourceMappingURL=ChannelSuggestion.entity.js.map