"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.productMatchingProvider = exports.channelMatchingProvider = exports.productJctProvider = exports.channelJctProvider = void 0;
const AlgmChannelJCT_entity_1 = require("../models/AlgmChannelJCT.entity");
const ChannelMatching_entity_1 = require("../models/ChannelMatching.entity");
const AlgmProductJCT_entity_1 = require("../models/AlgmProductJCT.entity");
const ProductMatching_entity_1 = require("../models/ProductMatching.entity");
exports.channelJctProvider = [
    {
        provide: 'ChannelJctRepository',
        useValue: AlgmChannelJCT_entity_1.AlgmChannelJCT
    }
];
exports.productJctProvider = [
    {
        provide: 'ProductJctRepository',
        useValue: AlgmProductJCT_entity_1.AlgmProductJCT
    }
];
exports.channelMatchingProvider = [
    {
        provide: 'ChannelMatchingRepository',
        useValue: ChannelMatching_entity_1.ChannelMatching
    }
];
exports.productMatchingProvider = [
    {
        provide: 'ProductMatchingRepository',
        useValue: ProductMatching_entity_1.ProductMatching
    }
];
//# sourceMappingURL=channelJCT.provider.js.map