'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComplaintCategory = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const tableOptions = { timestamps: false, tableName: 'tblcomplaintcategory' };
let ComplaintCategory = class ComplaintCategory extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ComplaintCategory.prototype, "complaintcategoryid", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(150)),
    __metadata("design:type", String)
], ComplaintCategory.prototype, "complaintcategory", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ComplaintCategory.prototype, "isactive", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.ENUM('ContactType', 'Complaint', 'IPR')),
    __metadata("design:type", String)
], ComplaintCategory.prototype, "complainttype", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ComplaintCategory.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ComplaintCategory.prototype, "deletedat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ComplaintCategory.prototype, "updatedat", void 0);
ComplaintCategory = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes({
        baseDetail: {
            attributes: [['complaintcategoryid', 'id'], ['complaintcategory', 'name'], 'isactive', 'complainttype', 'createdat', 'deletedat']
        }
    })
], ComplaintCategory);
exports.ComplaintCategory = ComplaintCategory;
//# sourceMappingURL=ComplaintCategory.entity.js.map