'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComplaintReplyContent = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const User_entity_1 = require("../../modules/user/models/User.entity");
const Complain_entity_1 = require("./Complain.entity");
const tableOptions = { timestamps: false, tableName: 'tblcomplaintreplycontent' };
let ComplaintReplyContent = class ComplaintReplyContent extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ComplaintReplyContent.prototype, "complaintreplycontentid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Complain_entity_1.Complain),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ComplaintReplyContent.prototype, "complaintid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Complain_entity_1.Complain),
    __metadata("design:type", Complain_entity_1.Complain)
], ComplaintReplyContent.prototype, "complain", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ComplaintReplyContent.prototype, "content", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => User_entity_1.User),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ComplaintReplyContent.prototype, "replyedby", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => User_entity_1.User),
    __metadata("design:type", User_entity_1.User)
], ComplaintReplyContent.prototype, "user", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ComplaintReplyContent.prototype, "createdat", void 0);
ComplaintReplyContent = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], ComplaintReplyContent);
exports.ComplaintReplyContent = ComplaintReplyContent;
//# sourceMappingURL=ComplaintReplyContent.entity.js.map