'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ComplaintReplyContentProvider = exports.ComplaintCategoryProvider = exports.ComplaintAttachmentProvider = exports.ComplainProvider = void 0;
const Complain_entity_1 = require("../models/Complain.entity");
const ComplaintAttachment_entity_1 = require("../models/ComplaintAttachment.entity");
const ComplaintCategory_entity_1 = require("../models/ComplaintCategory.entity");
const ComplaintReplyContent_entity_1 = require("../models/ComplaintReplyContent.entity");
exports.ComplainProvider = [
    {
        provide: 'ComplainRepository',
        useValue: Complain_entity_1.Complain
    }
];
exports.ComplaintAttachmentProvider = [
    {
        provide: 'ComplaintAttachmentRepository',
        useValue: ComplaintAttachment_entity_1.ComplaintAttachment
    }
];
exports.ComplaintCategoryProvider = [
    {
        provide: 'ComplaintCategoryRepository',
        useValue: ComplaintCategory_entity_1.ComplaintCategory
    }
];
exports.ComplaintReplyContentProvider = [
    {
        provide: 'ComplaintReplyContentRepository',
        useValue: ComplaintReplyContent_entity_1.ComplaintReplyContent
    }
];
//# sourceMappingURL=complain.providers.js.map