"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MailerserviceModule = void 0;
const common_1 = require("@nestjs/common");
const config_1 = require("@nestjs/config");
const channelJCT_provider_1 = require("./provider/channelJCT.provider");
const mailerservice_controller_1 = require("./mailerservice.controller");
const mailerservice_service_1 = require("./mailerservice.service");
const database_providers_1 = require("../core/database/database.providers");
let MailerserviceModule = class MailerserviceModule {
};
MailerserviceModule = __decorate([
    common_1.Module({
        imports: [config_1.ConfigModule],
        controllers: [mailerservice_controller_1.MailerserviceController],
        providers: [
            mailerservice_service_1.MailerService, ...channelJCT_provider_1.channelMatchingProvider, ...channelJCT_provider_1.productMatchingProvider, ...database_providers_1.databaseProviders
        ]
    })
], MailerserviceModule);
exports.MailerserviceModule = MailerserviceModule;
//# sourceMappingURL=mailerservice.module.js.map