'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.AuthException = void 0;
const common_1 = require("@nestjs/common");
const MessageCodeError_1 = require("./MessageCodeError");
class AuthException extends common_1.HttpException {
    constructor(errors) {
        super(errors, common_1.HttpStatus.UNAUTHORIZED);
        this.errors = new Array();
        this.errors.push({
            property: false,
            errors: [
                new MessageCodeError_1.MessageCodeError(errors, common_1.HttpStatus.UNAUTHORIZED)
            ]
        });
    }
}
exports.AuthException = AuthException;
//# sourceMappingURL=Auth.exception.js.map