'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpgradeException = void 0;
const common_1 = require("@nestjs/common");
const MessageCodeError_1 = require("./MessageCodeError");
class UpgradeException extends common_1.HttpException {
    constructor(errors) {
        super(errors, common_1.HttpStatus.BAD_REQUEST);
        this.errors = new Array();
        this.errors.push({
            property: 'SUBSCRIPTION',
            errors: [
                new MessageCodeError_1.MessageCodeError('channelHub:channel:upgrade', common_1.HttpStatus.BAD_REQUEST)
            ]
        });
    }
}
exports.UpgradeException = UpgradeException;
//# sourceMappingURL=Upgrade.exception.js.map