'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.channelHub = void 0;
exports.channelHub = {
    'channelHub:connectionStatusType:connectionStatusTypeNotFound': {
        code: 3000,
        message: 'ConnectionStatusType not found',
    },
    'channelHub:channleHubFilter:channelTypeIdIsNumber': {
        code: 3001,
        message: 'Channel Type should be number',
    },
    'channelHub:channleHubFilter:brandIsArray': {
        code: 3002,
        message: 'Brand should be array',
    },
    'channelHub:channleHubFilter:brandArrayNotEmpty': {
        code: 3003,
        message: 'Brand should not be empty array',
    },
    'channelHub:channleHubFilter:productGroupIsArray': {
        code: 3004,
        message: 'Product Group should be array',
    },
    'channelHub:channleHubFilter:productGroupArrayNotEmpty': {
        code: 3005,
        message: 'Product Group should not be empty array',
    },
    'channelHub:channleHubFilter:productCategoryIsArray': {
        code: 3006,
        message: 'Product Category should be array',
    },
    'channelHub:channleHubFilter:productCategoryArrayNotEmpty': {
        code: 3007,
        message: 'Product Category should not be empty array',
    },
    'channelHub:channleHubFilter:specialityIsArray': {
        code: 3008,
        message: 'Speciality should be array',
    },
    'channelHub:channleHubFilter:specialityArrayNotEmpty': {
        code: 3009,
        message: 'Speciality should not be empty array',
    },
    'channelHub:channleHubFilter:locationsIsArray': {
        code: 3010,
        message: 'Locations should be array',
    },
    'channelHub:channleHubFilter:locationsArrayNotEmpty': {
        code: 3011,
        message: 'Locations should not be empty array',
    },
    'channelHub:channleHubFilter:connectionStatusTypeIdIsNotEmpty': {
        code: 3012,
        message: 'Connection Status Type should not be empty',
    },
    'channelHub:channleHubFilter:connectionStatusTypeIdIsNumber': {
        code: 3013,
        message: 'Connection Status Type should be number',
    },
    'channelHub:updateChannel:connectionStatusTypeNotFound': {
        code: 3014,
        message: 'Connection Status Type not found',
    },
    'channelHub:updateChannel:channelHubNotFound': {
        code: 3015,
        message: 'ChannelHub not found',
    },
    'channelHub:updateChannel:invalidAction': {
        code: 3015,
        message: 'Invalid status change',
    },
    'channelHub:updateChannelDefaultContact:channelJCTIdIsNotEmpty': {
        code: 3016,
        message: 'ChannelJCT Id should not be empty',
    },
    'channelHub:updateChannelDefaultContact:channelJCTIdIsNumber': {
        code: 3017,
        message: 'ChannelJCT Id should be number',
    },
    'channelHub:updateChannelDefaultContact:contactIdIsNotEmpty': {
        code: 3018,
        message: 'Contact Id should not be empty',
    },
    'channelHub:updateChannelDefaultContact:contactIdIsNumber': {
        code: 3019,
        message: 'Contact Id should be number',
    },
    'channelHub:dimissReasons:notFound': {
        code: 3020,
        message: 'Dimiss reasons not found',
    },
    'channelHub:channleHubFilter:dismissreasonidIsNotEmpty': {
        code: 3021,
        message: 'Dismiss reason Id should not be empty',
    },
    'channelHub:channleHubFilter:dismissreasonidIsNumber': {
        code: 3022,
        message: 'Dismiss reason Id should be number',
    },
    'channelHub:channleHubFilter:otherreasonsIsNotEmpty': {
        code: 3023,
        message: 'Other reasons should not be empty',
    },
    'channelHub:contactDetails:unauthorized': {
        code: 3024,
        message: 'Unauthorized request',
    },
    'channelHub:channleHubFilter:entryTypeIsEnum': {
        code: 3025,
        message: 'Entry Type should be "IN" or "OUT" ',
    },
    'channelHub:channleHubFilter:channelTypeIdIsNotEmpty': {
        code: 3026,
        message: 'Channel type id should not be empty',
    },
    'channelHub:channleHubFilter:channelIdIsNumber': {
        code: 3027,
        message: 'Channel Id should be number',
    },
    'channelHub:detailView:unauthorized': {
        code: 3028,
        message: 'Unauthorized request',
    },
    'channelHub:channleHubFilter:leadmanagementtagtype': {
        code: 3029,
        message: 'Lead Management Tag should be High / Medium / Low',
    },
    'channelHub:channel:rejected': {
        code: 3030,
        message: 'You cannot access this company\'s profile because either you or the other party has removed the connection between your 2 companies.',
    },
    'channelHub:channel:upgrade': {
        code: 3031,
        message: 'Upgrade you plan to access this page / action'
    },
    'channelHub:channel:noproducts': {
        code: 3032,
        message: 'Create atleast on product to access this page / action'
    }
};
//# sourceMappingURL=channelHub.js.map