"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CheckEmailPipe = void 0;
const common_1 = require("@nestjs/common");
const Process_exception_1 = require("./../../../middleware/exception/Process.exception");
let CheckEmailPipe = class CheckEmailPipe {
    async transform(value, metadata) {
        var EMAIL_REGEXP = /^[a-z0-9!#$%&'*+\/=?^_`{|}~.-]+@[a-z0-9]([a-z0-9-]*[a-z0-9])?(\.[a-z0-9]([a-z0-9-]*[a-z0-9])?)*$/i;
        if (value != "" && !EMAIL_REGEXP.test(value)) {
            throw new Process_exception_1.ProcessException('account:emailCheck:notValideEmail');
        }
        return value;
    }
};
CheckEmailPipe = __decorate([
    common_1.Injectable()
], CheckEmailPipe);
exports.CheckEmailPipe = CheckEmailPipe;
//# sourceMappingURL=account.pipe.js.map