import { SignupDto } from '../../dto/signup.dto';
import { User } from '../../../user/models/User.entity';
export interface IAccountSerivceInBound {
    setPayload(user: User): Promise<IUserToken>;
    setSignUpObject(user: SignupDto, pin: string, signUpStatus: number): Promise<User>;
    setMailObject(user: string, pin: string): Promise<IMailObject>;
}
export interface IUserToken {
    id: number;
    email: string;
    channelId: number;
    contactId: number;
    tokenModifiedAt: any;
}
export interface IMailObject {
    email: string;
    pin: string;
    tokenExpires: number;
}
