'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AdminUserAccess = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const AdminMenu_entity_1 = require("./AdminMenu.entity");
var Sequelize = require('sequelize');
let AdminUserAccess = class AdminUserAccess extends sequelize_typescript_1.Model {
    static async dateUpdate(adminUserAccess, options) {
        adminUserAccess.updatedAt = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AdminUserAccess.prototype, "adminUserAccessId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AdminUserAccess.prototype, "accessId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => AdminMenu_entity_1.AdminMenu),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AdminUserAccess.prototype, "moduleId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => AdminMenu_entity_1.AdminMenu),
    __metadata("design:type", AdminMenu_entity_1.AdminMenu)
], AdminUserAccess.prototype, "moduleid", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AdminUserAccess.prototype, "allowView", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AdminUserAccess.prototype, "allowModify", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], AdminUserAccess.prototype, "allowDelete", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], AdminUserAccess.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], AdminUserAccess.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [AdminUserAccess, Object]),
    __metadata("design:returntype", Promise)
], AdminUserAccess, "dateUpdate", null);
AdminUserAccess = __decorate([
    sequelize_typescript_1.Table({
        tableName: "tblAdminUserAccess"
    })
], AdminUserAccess);
exports.AdminUserAccess = AdminUserAccess;
//# sourceMappingURL=AdminUserAccess.entity.js.map