import { Model } from 'sequelize-typescript';
import { AdminUserChanneltype } from './AdminUserChanneltype.entity';
import { AdminUserCountries } from './AdminUserCountries.entity';
import { AdminUserNotification } from './AdminUserNotification.entity';
export declare class AdminUsers extends Model<AdminUsers> {
    adminUserId: number;
    fName: string;
    lName: string;
    jobTitle: string;
    role: string;
    emailId: string;
    password: string;
    isVerified: string;
    isActive: string;
    deletedAt: Date;
    reportingTo: string;
    accessId: number;
    managedCountries: AdminUserCountries[];
    preference: AdminUserNotification[];
    managedChannelTypes: AdminUserChanneltype[];
    static hashPassword(user: AdminUsers, options: any): Promise<void>;
}
