import { AuthService } from '../../service/auth/auth.service';
import { SubscriptionService } from '../../../channel/service/subscription.service';
export declare class AuthController {
    private readonly authService;
    private readonly subscriptionService;
    constructor(authService: AuthService, subscriptionService: SubscriptionService);
    login(req: any): Promise<{
        user: any;
        token: string;
    }>;
    findAll(): Promise<import("../../models/Application.entity").Application[]>;
    valid(): Promise<boolean>;
    logout(): Promise<void>;
    webhook(signature: any, request: any, response: any): Promise<void>;
    webhookConnected(signature: any, request: any, response: any): Promise<void>;
    directLogin(id: any, res: any): Promise<void>;
    subscriptionPlanAllPeriod(channelTypeId: any, req: any, res: any): Promise<any>;
}
