'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CartModule = void 0;
const common_1 = require("@nestjs/common");
const database_module_1 = require("../../core/database/database.module");
const product_module_1 = require("./../product/product.module");
const index_controller_1 = require("./controller/index.controller");
const cart_provider_1 = require("./provider/cart.provider");
const cart_service_1 = require("./service/cart.service");
let CartModule = class CartModule {
};
CartModule = __decorate([
    common_1.Module({
        imports: [
            product_module_1.ProductModule,
            database_module_1.DatabaseModule
        ],
        controllers: [
            index_controller_1.IndexController
        ],
        providers: [
            ...cart_provider_1.cartProvider,
            ...cart_provider_1.productQuoteProvider,
            cart_service_1.CartService
        ],
        exports: [
            ...cart_provider_1.cartProvider
        ]
    })
], CartModule);
exports.CartModule = CartModule;
//# sourceMappingURL=cart.module.js.map