import { Cart } from '../models/Cart.entity';
import { ProductQuote } from './../models/ProductQuote.entity';
import { Product } from './../../product/models/Product.entity';
import { BaseService } from 'src/core/service/base.service';
export declare class CartService extends BaseService {
    private readonly repository;
    private readonly quoteRepository;
    private readonly sequelizeInstance;
    private readonly productRepository;
    constructor(repository: typeof Cart, quoteRepository: typeof ProductQuote, sequelizeInstance: any, productRepository: typeof Product);
    clearCart(userId: any, cartId?: any): Promise<void>;
    _validateProduct(productId: any): Promise<Product>;
    _getCart(sellerChannelId: any, buyerChannelId: any, userId: any, currencyId: any): Promise<Cart>;
    getAllMyCart(userId: any): Promise<Cart[]>;
    addToCart(productId: any, user: any, qty: any, action: any): Promise<void>;
    removeItemFromCart(productId: any, user: any): Promise<void>;
    returnCount(userId: any, cartId?: any): Promise<[undefined, number]>;
}
