import { ContextService } from '../../../context/context.service';
import { SettingDto } from '../dto/setting.dto';
import { UserSettingDto } from '../dto/usersetting.dto';
import { ChannelSettingService } from '../service/channel.setting.service';
import { ChannelLocationDto } from '../dto/channelLocation.dto';
import { SettingsDto } from '../dto/settings.dto';
import { SearchRegionDto } from '../dto/searchRegion.dto';
export declare class ChannelSettingController {
    private channelSettingService;
    private readonly sequelizeInstance;
    private context;
    constructor(channelSettingService: ChannelSettingService, sequelizeInstance: any, context: ContextService);
    getInitialProfile(req: any, res: any): Promise<void>;
    getVat(countryId: any, req: any, res: any): Promise<void>;
    checkVat(req: any, res: any, data: any): Promise<void>;
    getContactProduct(contactId: any, req: any, res: any): Promise<void>;
    getProductProfile(channelId: any, req: any, data: any, res: any): Promise<void>;
    getUserProfile(channelId: any, req: any, data: any, res: any): Promise<void>;
    save_Company_Profile(profileData: SettingDto, req: any, res: any): Promise<any>;
    save_User_Profile(profileData: UserSettingDto, req: any, res: any): Promise<any>;
    getProfileList(channelId: any, typeId: any, req: any, res: any): Promise<any>;
    getUserStatus(channelId: any, req: any, res: any): Promise<any>;
    getCompanyMediaLibrary(companyId: any, req: any, res: any): Promise<any>;
    getOldCompanyMediaLibrary(companyId: any, req: any, res: any): Promise<any>;
    createCompanyLogo(data: any, res: any): Promise<void>;
    existingBrandCheck(req: any, res: any, data: any): Promise<void>;
    company(req: any, res: any, data: any): Promise<void>;
    tradeinfo(req: any, res: any): Promise<void>;
    getChannelProduct(req: any, res: any): Promise<void>;
    getChannelBrand(req: any, res: any): Promise<void>;
    getAdminChannelBrand(id: any, req: any, res: any): Promise<void>;
    getUser(channelId: any): Promise<any>;
    getChannelDetail(req: any, res: any): Promise<void>;
    getChannelCertificateTags(req: any, res: any): Promise<void>;
    tradelocation(req: any, res: any): Promise<void>;
    updateChannelLocation1(channelLocationDto: ChannelLocationDto, req: any, res: any): Promise<any>;
    getUsers(req: any, res: any): Promise<void>;
    deleteUser(contactId: any, req: any, res: any): Promise<void>;
    getuserLimits(req: any, res: any): Promise<void>;
    update_Company_Profile(profileData: any, req: any, res: any): Promise<any>;
    editBasicCompanyProfile(profileData: any, req: any, res: any): Promise<any>;
    updateBannerImage(bannerImg: any, req: any, res: any): Promise<any>;
    update_Trade_Info(profileData: any, req: any, res: any): Promise<any>;
    updateFacts(profileData: any, req: any, res: any): Promise<any>;
    getFacts(req: any, res: any): Promise<any>;
    reporting(profileData: any, req: any, res: any): Promise<any>;
    generalInfo(contactId: any, req: any, res: any): Promise<any>;
    getContactLocation(contactId: any, req: any, res: any): Promise<void>;
    getPaymentOption(req: any, res: any): Promise<void>;
    getCurrency(req: any, res: any): Promise<void>;
    existingKeyRetailerCheck(req: any, res: any, KeyRetailer: any): Promise<void>;
    updateSettings(req: any, res: any, settingsDto: SettingsDto): Promise<any>;
    settings(res: any, req: any): Promise<any>;
    searchRegion(searchRegionDto: SearchRegionDto, req: any, res: any): Promise<any>;
    getProfileAndSpeciality(req: any, res: any): Promise<void>;
    editProfile(req: any, res: any, data: any): Promise<any>;
    getKeyPartnerOptions(req: any, res: any): Promise<any>;
    update_company_profile(req: any, res: any, data: any): Promise<any>;
    getChannelProfile(req: any, res: any): Promise<any>;
    update_channel_profile(req: any, res: any, data: any): Promise<any>;
    getChannelAwards(req: any, res: any): Promise<void>;
    getProductAwards(req: any, res: any): Promise<void>;
    getChannelAwardsAdmin(channelId: any, req: any, res: any): Promise<void>;
    getProductAwardsAdmin(channelId: any, req: any, res: any): Promise<void>;
    deleteChannelAwards(req: any, res: any, data: any): Promise<void>;
    deleteProductAwards(req: any, res: any, data: any): Promise<void>;
}
