import { ChannelSettingService } from '../service/channel.setting.service';
import { ProductService } from '../../product/service/product.service';
import { UserService } from '../../user/service/user.service';
export declare class GuestController {
    private channelSettingService;
    private productService;
    private userService;
    private readonly sequelizeInstance;
    constructor(channelSettingService: ChannelSettingService, productService: ProductService, userService: UserService, sequelizeInstance: any);
    BuyersHighlight(viewId: any, Req: any, res: any): Promise<any>;
    buyersaggr(viewId: any, parent: any, Req: any, res: any, data: any): Promise<any>;
    productsaggr(parent: any, Req: any, res: any, data: any): Promise<any>;
    ProductsHighlight(btype: any, Req: any, res: any): Promise<any>;
    getSearchList(req: any, res: any, viewId: number, data: any): Promise<any>;
    getCategories(req: any, res: any, data: any): Promise<any>;
    getBrands(req: any, res: any, data: any): Promise<any>;
    getCountry(req: any, res: any, data: any): Promise<any>;
    myProduct(req: any, res: any, productFilters: any): Promise<void>;
    myProductSlider(req: any, res: any, productFilters: any): Promise<void>;
    brandFilter(req: any, res: any, data: any): Promise<any>;
    categoryFilter(req: any, res: any, data: any): Promise<any>;
    categoryGuestFilter(req: any, res: any, data: any): Promise<any>;
    familyFilter(req: any, res: any, data: any): Promise<any>;
    userCountry(req: any, res: any): Promise<void>;
    categoryDetails(Req: any, res: any, groupId: any): Promise<void>;
    getProducts(req: any, data: any, res: any): Promise<void>;
    getCategorieList(req: any, data: any, res: any): Promise<void>;
    getProductByGroup(res: any, filter: any): Promise<void>;
    guestUserRequirement(res: any, data: any): Promise<void>;
    getTopCompany(req: any, res: any, keyword: any, btype: any): Promise<any>;
    getMatchingVendors(req: any, res: any, data: any): Promise<any>;
    getMatchingBrands(req: any, res: any, data: any): Promise<any>;
    getFeaturedVendors(req: any, res: any, data: any): Promise<any>;
    buyerSearchCount(req: any, res: any, data: any): Promise<any>;
}
