import { SubscriptionService } from './../service/subscription.service';
import { ContextService } from '../../../context/context.service';
import { SubscribeDto } from './../dto/subscribe.dto';
import { CouponDto } from './../dto/coupon.dto';
import { ClientProxy } from '@nestjs/microservices';
import { ProfileList } from '../models/ProfileList.entity';
import { UserService } from 'src/modules/user/service/user.service';
export declare class SubscriptionController {
    private context;
    private readonly subscriptionService;
    private userService;
    private algorithmService;
    private readonly profileRepository;
    constructor(context: ContextService, subscriptionService: SubscriptionService, userService: UserService, algorithmService: ClientProxy, profileRepository: typeof ProfileList);
    subscriptionPlanAllPeriod(channelTypeId: any, req: any, res: any): Promise<any>;
    channelAlgm(req: any): Promise<import("rxjs").Observable<any>>;
    offlineRequest(res: any, req: any): Promise<any>;
    subscribe_amt_evaluvate(req: any, res: any, subscribeDto: SubscribeDto): Promise<any>;
    coupanValidation(req: any, res: any, coupanDto: CouponDto): Promise<any>;
    subscribe(req: any, res: any, subscribeDto: SubscribeDto): Promise<any>;
    PaymentIntend(req: any, res: any): Promise<any>;
    stipeCreatecharge(req: any, res: any): Promise<any>;
    addKeyFeature(req: any, res: any): Promise<any>;
    getKeyFeatures(channelTypeId: any, subscriptionPeriodId: any, req: any, res: any): Promise<any>;
    updateKeyFeature(channelId: any, subscriptionId: any, req: any, res: any): Promise<any>;
    getPlansforAdmin(req: any, res: any): Promise<any>;
    getPlansDetailsById(req: any, res: any): Promise<any>;
    getPlansDetails(req: any, res: any): Promise<any>;
    getPlansDetailsBo(req: any, res: any, data: any): Promise<any>;
    updateSubscription(req: any, res: any, subscriptionId: any): Promise<any>;
    failedTransaction(req: any, res: any): Promise<any>;
    getFeaterList(req: any, res: any, channelId: any): Promise<any>;
    updateChannelFeatureList(req: any, res: any): Promise<any>;
}
