"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelKeyRetailerDto = void 0;
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class ChannelKeyRetailerDto {
}
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:productkeyretaileridIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:productkeyretaileridIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ChannelKeyRetailerDto.prototype, "keypartnerid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:productkeyretaileridIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:productkeyretaileridIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ChannelKeyRetailerDto.prototype, "channelkeypartnerid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:productkeyretaileridIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:productkeyretaileridIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ChannelKeyRetailerDto.prototype, "existchannelid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:productkeyretaileridIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:productkeyretaileridIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ChannelKeyRetailerDto.prototype, "oldchannelid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:retailernameIsNotEmpty" }),
    class_validator_1.MinLength(2, { message: "channel:product:retailernameMinLen" }),
    class_validator_1.MaxLength(256, { message: "channel:product:retailernameMaxLen" }),
    class_validator_1.IsString({ message: "channel:product:retailernameIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ChannelKeyRetailerDto.prototype, "partnername", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:countryidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:countryidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ChannelKeyRetailerDto.prototype, "countryid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:imageidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:imageidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ChannelKeyRetailerDto.prototype, "imageid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ValidateIf(o => o.channelkeypartnerid == undefined && o.existchannelid == undefined && o.oldchannelid == undefined),
    class_validator_1.IsNotEmpty({ message: "channel:product:imageIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:imageIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ChannelKeyRetailerDto.prototype, "image", void 0);
exports.ChannelKeyRetailerDto = ChannelKeyRetailerDto;
//# sourceMappingURL=channelkeyretailer.dto.js.map