import { CompanyCertificateDto } from './companycertificate.dto';
import { CompanyAwardsDto } from './companyawards.dto';
import { CompanyB2BDto } from './companyB2B.dto';
import { ChannelDocumentDto } from './channelDocument.dto';
import { CertificateTagDto } from './certificateTag.dto';
export declare class CompanyUpdateDto {
    readonly company_image_id: number;
    readonly company_logo_url: string;
    readonly company_name: string;
    readonly company_email: string;
    readonly company_website_url: string;
    readonly company_phone1: string;
    readonly company_phone2: string;
    readonly company_mobile_no: string;
    readonly company_about: string;
    readonly company_expectation: string;
    readonly year_of_estabilishment: number;
    readonly reg_address_id: number;
    readonly reg_address: string;
    readonly reg_city: string;
    readonly reg_country_id: number;
    readonly reg_postal_code: number;
    readonly bill_address_id: number;
    readonly bill_address: string;
    readonly bill_city: string;
    readonly bill_country_id: number;
    readonly bill_postal_code: number;
    readonly is_same_address: number;
    readonly social_linkedin_id: number;
    readonly social_linkedin_url: string;
    readonly social_googleplus_id: number;
    readonly social_googleplus_url: string;
    readonly social_instagram_id: number;
    readonly social_instagram_url: string;
    readonly social_facebook_id: number;
    readonly social_facebook_url: string;
    readonly social_twitter_id: number;
    readonly social_twitter_url: string;
    readonly contact_first_name: string;
    readonly contact_last_name: string;
    readonly contact_phone1: string;
    readonly contact_phone2: string;
    readonly contact_mobile_no: string;
    readonly contact_job_title: string;
    readonly contact_linkedin_id: number;
    readonly contact_linkedin_url: string;
    readonly contact_profile_image_id: number;
    readonly contact_profile_image_url: string;
    readonly registration_certificate: CompanyCertificateDto[];
    readonly tax_certificate: CompanyCertificateDto[];
    readonly award_details: CompanyAwardsDto[];
    readonly B2B_url: CompanyB2BDto[];
    readonly deleted_registration_certificate: number[];
    readonly deleted_tax_certificate: number[];
    readonly deleted_award_details: number[];
    readonly deleted_B2B: number[];
    readonly channel_document: ChannelDocumentDto[];
    readonly companyImages: any[];
    readonly deleted_channel_documents: number[];
    readonly deleted_companyImages: any;
    reason: string;
    company_introvideo: string;
    bannerImage: any;
    certificatesList: CertificateTagDto[];
    deletedTags: number[];
    companyDesc: string;
    isOEM: string;
    is_company_public: string;
    ratingId: number;
}
