"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CompanyB2BDto = void 0;
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class CompanyB2BDto {
}
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNumber({}, { message: "channel:companyProfile:companyB2BIdIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], CompanyB2BDto.prototype, "channel_B2B_id", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:companyProfile:companyB2BUrlIsNotEmpty" }),
    class_validator_1.MinLength(4, { message: "channel:companyProfile:companyB2BUrlMinLen" }),
    class_validator_1.MaxLength(253, { message: "channel:companyProfile:companyB2BUrlMaxLen" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], CompanyB2BDto.prototype, "B2B_url", void 0);
exports.CompanyB2BDto = CompanyB2BDto;
//# sourceMappingURL=companyB2B.dto.js.map