"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionFilterBODto = void 0;
const class_validator_1 = require("class-validator");
class SubscriptionFilterBODto {
}
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeArray" }),
    class_validator_1.IsInt({
        each: true,
        message: "validate:field:shouldBeInt"
    }),
    __metadata("design:type", Number)
], SubscriptionFilterBODto.prototype, "channelTypeId", void 0);
__decorate([
    class_validator_1.IsOptional(),
    __metadata("design:type", String)
], SubscriptionFilterBODto.prototype, "isPaid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeArray" }),
    class_validator_1.IsInt({
        each: true,
        message: "validate:field:shouldBeInt"
    }),
    __metadata("design:type", Number)
], SubscriptionFilterBODto.prototype, "planId", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeArray" }),
    class_validator_1.IsInt({
        each: true,
        message: "validate:field:shouldBeInt"
    }),
    __metadata("design:type", Number)
], SubscriptionFilterBODto.prototype, "periodId", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeArray" }),
    class_validator_1.IsBoolean({
        each: true,
        message: "validate:field:shouldBeBoolean"
    }),
    __metadata("design:type", Boolean)
], SubscriptionFilterBODto.prototype, "subscription_status", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsBoolean({ message: "validate:field:shouldBeBoolean" }),
    __metadata("design:type", Boolean)
], SubscriptionFilterBODto.prototype, "channel_status", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsString({ message: "validate:field:shouldBeString" }),
    __metadata("design:type", String)
], SubscriptionFilterBODto.prototype, "start", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsString({ message: "validate:field:shouldBeString" }),
    __metadata("design:type", String)
], SubscriptionFilterBODto.prototype, "end", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsString({ message: "validate:field:shouldBeString" }),
    __metadata("design:type", String)
], SubscriptionFilterBODto.prototype, "invoiceno", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsInt({ message: "validate:field:shouldBeInt" }),
    __metadata("design:type", Number)
], SubscriptionFilterBODto.prototype, "paymentMethodId", void 0);
exports.SubscriptionFilterBODto = SubscriptionFilterBODto;
//# sourceMappingURL=subscriptionFilter.dto.js.map