import { Model } from 'sequelize-typescript';
import { Channel } from './Channel.entity';
import { CertificateType } from './CertificateType.entity';
export declare class ChannelCertificate extends Model<ChannelCertificate> {
    channelCerificateId: number;
    channelId: number;
    channel: Channel[];
    cerificateTypeId: number;
    certificateType: CertificateType;
    cerificateName: string;
    cerificateNumber: string;
    cerificateDesc: string;
    documentId: string;
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
    static dateUpdate(channelCertificate: ChannelCertificate, options: any): Promise<void>;
    vat_verified: string;
}
