import { Model } from 'sequelize-typescript';
import { Channel } from './Channel.entity';
import { ConnectionStatusType } from './ConnectionStatusType.entity';
import { ContactJCT } from './ContactJCT.entity';
export declare class ChannelJCT extends Model<ChannelJCT> {
    channelJCTId: number;
    channelId: number;
    Channel: Channel;
    partnerChannelId: number;
    partnerChannel: Channel;
    connectionStatusTypeId: number;
    leadManagementTag: string;
    partnerLeadManagementTag: string;
    note: string;
    connectionStatusType: ConnectionStatusType;
    contactJCT: ContactJCT[];
    deletedat: Date;
    createdAt: Date;
    updatedAt: Date;
    subscription_queued: string;
    last_remainder_sent_at: Date;
    no_of_remainders_sent: number;
    requested_to: number;
    requested_by: number;
    request_sent_at: Date;
    suggestion_connect_flag: number;
    isConfidential: string;
    introVideo: number;
    transToContact: number;
    transFromContact: number;
    static dateUpdate(channelBrand: ChannelJCT, options: any): Promise<void>;
}
