"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelJCT = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Channel_entity_1 = require("./Channel.entity");
const ConnectionStatusType_entity_1 = require("./ConnectionStatusType.entity");
const ContactJCT_entity_1 = require("./ContactJCT.entity");
var Sequelize = require('sequelize');
const tableOptions = { tableName: 'tblChannelJCT' };
let ChannelJCT = class ChannelJCT extends sequelize_typescript_1.Model {
    static async dateUpdate(channelBrand, options) {
        channelBrand.updatedAt = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelJCT.prototype, "channelJCTId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channel_entity_1.Channel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelJCT.prototype, "channelId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel, 'channelId'),
    __metadata("design:type", Channel_entity_1.Channel)
], ChannelJCT.prototype, "Channel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channel_entity_1.Channel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelJCT.prototype, "partnerChannelId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel, 'partnerChannelId'),
    __metadata("design:type", Channel_entity_1.Channel)
], ChannelJCT.prototype, "partnerChannel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ConnectionStatusType_entity_1.ConnectionStatusType),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelJCT.prototype, "connectionStatusTypeId", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ChannelJCT.prototype, "leadManagementTag", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ChannelJCT.prototype, "partnerLeadManagementTag", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ChannelJCT.prototype, "note", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ConnectionStatusType_entity_1.ConnectionStatusType),
    __metadata("design:type", ConnectionStatusType_entity_1.ConnectionStatusType)
], ChannelJCT.prototype, "connectionStatusType", void 0);
__decorate([
    sequelize_typescript_1.HasOne(() => ContactJCT_entity_1.ContactJCT, 'channelJCTId'),
    __metadata("design:type", Array)
], ChannelJCT.prototype, "contactJCT", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelJCT.prototype, "deletedat", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelJCT.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelJCT.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ChannelJCT.prototype, "subscription_queued", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelJCT.prototype, "last_remainder_sent_at", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], ChannelJCT.prototype, "no_of_remainders_sent", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelJCT.prototype, "requested_to", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelJCT.prototype, "requested_by", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Date)
], ChannelJCT.prototype, "request_sent_at", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.INTEGER),
    __metadata("design:type", Number)
], ChannelJCT.prototype, "suggestion_connect_flag", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", String)
], ChannelJCT.prototype, "isConfidential", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelJCT.prototype, "introVideo", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelJCT.prototype, "transToContact", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelJCT.prototype, "transFromContact", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [ChannelJCT, Object]),
    __metadata("design:returntype", Promise)
], ChannelJCT, "dateUpdate", null);
ChannelJCT = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], ChannelJCT);
exports.ChannelJCT = ChannelJCT;
//# sourceMappingURL=ChannelJCT.entity.js.map