"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ClaimDocument = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Media_entity_1 = require("../../media/models/Media.entity");
const Claim_entity_1 = require("./Claim.entity");
const tableOptions = { tableName: 'tblClaimDocument' };
let ClaimDocument = class ClaimDocument extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ClaimDocument.prototype, "claimDocumentId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Claim_entity_1.Claim),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ClaimDocument.prototype, "claimId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Claim_entity_1.Claim),
    __metadata("design:type", Claim_entity_1.Claim)
], ClaimDocument.prototype, "claim", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Media_entity_1.Media),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ClaimDocument.prototype, "documentId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Media_entity_1.Media),
    __metadata("design:type", Media_entity_1.Media)
], ClaimDocument.prototype, "document", void 0);
ClaimDocument = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], ClaimDocument);
exports.ClaimDocument = ClaimDocument;
//# sourceMappingURL=ClaimDocument.entity.js.map