"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContactJCT = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const ChannelJCT_entity_1 = require("./ChannelJCT.entity");
const Contact_entity_1 = require("../../user/models/Contact.entity");
const tableOptions = { tableName: 'tblContactJCT' };
let ContactJCT = class ContactJCT extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ContactJCT.prototype, "contactJCTId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Contact_entity_1.Contact),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ContactJCT.prototype, "contactId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Contact_entity_1.Contact, 'contactId'),
    __metadata("design:type", Contact_entity_1.Contact)
], ContactJCT.prototype, "contact", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Contact_entity_1.Contact),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ContactJCT.prototype, "partnerContactId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Contact_entity_1.Contact, 'partnerContactId'),
    __metadata("design:type", Contact_entity_1.Contact)
], ContactJCT.prototype, "partnerContact", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ChannelJCT_entity_1.ChannelJCT),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ContactJCT.prototype, "channelJCTId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ChannelJCT_entity_1.ChannelJCT, 'channelJCTId'),
    __metadata("design:type", ChannelJCT_entity_1.ChannelJCT)
], ContactJCT.prototype, "channelJCT", void 0);
ContactJCT = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], ContactJCT);
exports.ContactJCT = ContactJCT;
//# sourceMappingURL=ContactJCT.entity.js.map