import { Model } from 'sequelize-typescript';
import { Country } from 'src/modules/common/models/Country.entity';
import { Media } from 'src/modules/media/models';
import { EventChannel } from './EventChannel.entity';
import { EventPackage } from './EventPackage.entity';
import { EventParticipants } from './EventParticipants.entity';
export declare class EventBo extends Model<EventBo> {
    id: number;
    name: string;
    description: string;
    createdAt: Date;
    updatedAt: Date;
    deletedAt: Date;
    type: number;
    fromDate: Date;
    toDate: Date;
    fromTime: Date;
    toTime: Date;
    timezone: string;
    address: string;
    city: string;
    countryId: number;
    country: Country;
    zipcode: string;
    eventLogoId: number;
    logo: Media;
    eventBannerId: number;
    banner: Media;
    packages: EventPackage[];
    participants: EventParticipants[];
    channels: EventChannel[];
    eventCatalystId: string;
}
