import { Model } from 'sequelize-typescript';
import { Media } from '../../media/models/Media.entity';
import { Currency } from './Currency.entity';
import { OldChannel } from './OldChannel.entity';
export declare class OldChannelDetail extends Model<OldChannelDetail> {
    OldChannelDetailId: number;
    oldChannelId: number;
    oldChannel: OldChannel;
    channelLogoId: number;
    channelLogo: Media;
    channelIconId: number;
    channelIcon: Media;
    phone1: string;
    phone2: string;
    mobileNo: string;
    webSiteUrl: string;
    estYear: number;
    regYear: number;
    detailDesc: string;
    empCntRange: string;
    empCnt: number;
    empCntDSale: number;
    empCntISale: number;
    empCntDMar: number;
    empCntIMar: number;
    turnoverRange: string;
    turnover: number;
    revD: number;
    revI: number;
    turnoverPhyStore: number;
    turnoverOnStore: number;
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
    stripeConnectId: string;
    paymentoptionothers: string;
    currencyid: number;
    currency: Currency[];
    ownerFirstName: string;
    ownerLastName: string;
    startup: string;
    maturitylevel: string[];
    storeCount: number;
    no_of_skus: number;
    introvideoId: number;
    channelBannerId: number;
}
