import { Model } from 'sequelize-typescript';
import { Country } from '../../common/models/Country.entity';
import { Media } from '../../media/models/Media.entity';
import { OldChannel } from './OldChannel.entity';
export declare class OldContact extends Model<OldContact> {
    oldContactId: number;
    oldChannelId: number;
    oldChannel: OldChannel;
    firstName: string;
    lastName: string;
    phone1: string;
    phone2: string;
    mobileNo: string;
    email: string;
    responsibilityId: number;
    responsibility: Media;
    workNatureId: number;
    jobTitle: string;
    linkedIn: string;
    googleplus: string;
    documentId: number;
    document: Media;
    countryId: number;
    country: Country;
    isDefaultContact: string;
    isShared: string;
    isActive: string;
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
}
