import { Model } from 'sequelize-typescript';
import { PaymentType } from './PaymentType.entity';
import { Currency } from './Currency.entity';
export declare class PaymentTransaction extends Model<PaymentTransaction> {
    static PAYMENT_TYPE_SUBSCRIPTION: number;
    static PAYMENT_TYPE_TRADESHOW: number;
    static PAYMENT_TYPE_SAMPLES: number;
    static PAYMENT_TYPE_SALESREPPAY: number;
    paymentTransactionId: number;
    paymentTypeId: number;
    paymentMethodId: number;
    payerChannelId: number;
    payeeChannelId: number;
    amount: number;
    transactionNumber: string;
    cardType: string;
    cardLastFourDigit: string;
    status: string;
    message: string;
    updatedBy: number;
    paymentTransactionAt: string;
    paymentType: PaymentType;
    currencyid: number;
    currency: Currency;
    invoiceno: string;
    entity: string;
    entityId: string;
    couponCode: string;
    paymentIntent: string;
}
