"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProfileRatings = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const swagger_1 = require("@nestjs/swagger");
const ProfileList_entity_1 = require("./ProfileList.entity");
var Sequelize = require('sequelize');
let ProfileRatings = class ProfileRatings extends sequelize_typescript_1.Model {
    static async dateUpdate(rating, options) {
        rating.updatedAt = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.Column,
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ProfileRatings.prototype, "ratingId", void 0);
__decorate([
    sequelize_typescript_1.Column({ type: sequelize_typescript_1.DataType.BIGINT }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ProfileRatings.prototype, "order", void 0);
__decorate([
    sequelize_typescript_1.Column({ type: sequelize_typescript_1.DataType.CHAR(255) }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ProfileRatings.prototype, "icon", void 0);
__decorate([
    sequelize_typescript_1.Column({ type: sequelize_typescript_1.DataType.CHAR(255) }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ProfileRatings.prototype, "heading", void 0);
__decorate([
    sequelize_typescript_1.Column({ type: sequelize_typescript_1.DataType.CHAR(500) }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ProfileRatings.prototype, "desc", void 0);
__decorate([
    sequelize_typescript_1.Column({ type: sequelize_typescript_1.DataType.BIGINT }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ProfileRatings.prototype, "value", void 0);
__decorate([
    sequelize_typescript_1.Column({ type: sequelize_typescript_1.DataType.BIGINT }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ProfileRatings.prototype, "channelType", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.DATE,
        allowNull: false,
        autoIncrement: false,
        unique: false,
        primaryKey: false,
        defaultValue: Sequelize.literal('CURRENT_TIMESTAMP')
    }),
    __metadata("design:type", String)
], ProfileRatings.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProfileRatings.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProfileRatings.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.HasMany(() => ProfileList_entity_1.ProfileList, 'ratingId'),
    __metadata("design:type", Array)
], ProfileRatings.prototype, "ProfileList", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [ProfileRatings, Object]),
    __metadata("design:returntype", Promise)
], ProfileRatings, "dateUpdate", null);
ProfileRatings = __decorate([
    sequelize_typescript_1.Table({
        tableName: "tblProfileCreationRatings"
    }),
    sequelize_typescript_1.Scopes(() => ({
        setting: {
            attributes: ['ratingId', 'order', 'icon', 'heading', 'desc', 'value']
        }
    }))
], ProfileRatings);
exports.ProfileRatings = ProfileRatings;
//# sourceMappingURL=ProfileCreationRating.entity.js.map