"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.RatingAttribute = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const EvaluationAttribute_entity_1 = require("./EvaluationAttribute.entity");
const tableOptions = { tableName: 'tblratingattribute' };
let RatingAttribute = class RatingAttribute extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], RatingAttribute.prototype, "ratingattributeid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => EvaluationAttribute_entity_1.EvaluationAttribute),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], RatingAttribute.prototype, "evaluationattributeid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => EvaluationAttribute_entity_1.EvaluationAttribute),
    __metadata("design:type", EvaluationAttribute_entity_1.EvaluationAttribute)
], RatingAttribute.prototype, "evaluationAttribute", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.ENUM('VENDOR', 'DISTRIBUTOR', 'RETAILER', 'SALESREP', 'PRODUCT')),
    __metadata("design:type", Object)
], RatingAttribute.prototype, "rating", void 0);
RatingAttribute = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], RatingAttribute);
exports.RatingAttribute = RatingAttribute;
//# sourceMappingURL=RatingAttribute.entity.js.map