import { Model } from 'sequelize-typescript';
import { Subscription } from './Subscription.entity';
import { SubscriptionFeatures } from './SubscriptionFeatures.entity';
export declare class SubscriptionDetail extends Model<SubscriptionDetail> {
    subscriptionDetailId: number;
    subscriptionId: number;
    subscription: Subscription[];
    subscriptionFeatureId: number;
    subscriptionFeatures: SubscriptionFeatures[];
    keyDesc: string;
    keyValue: string;
    isActive: boolean;
    deletedAt: Date;
    updatedAt: Date;
    updatedBy: number;
    static dateUpdate(subscriptionDetail: SubscriptionDetail, options: any): Promise<void>;
}
