"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionDetail = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Subscription_entity_1 = require("./Subscription.entity");
const SubscriptionFeatures_entity_1 = require("./SubscriptionFeatures.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamp: true, tableName: 'tblSubscriptionDetail' };
let SubscriptionDetail = class SubscriptionDetail extends sequelize_typescript_1.Model {
    static async dateUpdate(subscriptionDetail, options) {
        subscriptionDetail.updatedAt = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SubscriptionDetail.prototype, "subscriptionDetailId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Subscription_entity_1.Subscription),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SubscriptionDetail.prototype, "subscriptionId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Subscription_entity_1.Subscription),
    __metadata("design:type", Array)
], SubscriptionDetail.prototype, "subscription", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => SubscriptionFeatures_entity_1.SubscriptionFeatures),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SubscriptionDetail.prototype, "subscriptionFeatureId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => SubscriptionFeatures_entity_1.SubscriptionFeatures),
    __metadata("design:type", Array)
], SubscriptionDetail.prototype, "subscriptionFeatures", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], SubscriptionDetail.prototype, "keyDesc", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], SubscriptionDetail.prototype, "keyValue", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BOOLEAN),
    __metadata("design:type", Boolean)
], SubscriptionDetail.prototype, "isActive", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SubscriptionDetail.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SubscriptionDetail.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SubscriptionDetail.prototype, "updatedBy", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [SubscriptionDetail, Object]),
    __metadata("design:returntype", Promise)
], SubscriptionDetail, "dateUpdate", null);
SubscriptionDetail = __decorate([
    sequelize_typescript_1.Table({
        tableName: "tblSubscriptionDetail"
    })
], SubscriptionDetail);
exports.SubscriptionDetail = SubscriptionDetail;
//# sourceMappingURL=SubscriptionDetail.entity.js.map