"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionExtraFeatureCategory = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
var Sequelize = require('sequelize');
const tableOptions = { timestamp: true, tableName: 'tblSubscriptionExtraFeatureCategories' };
let SubscriptionExtraFeatureCategory = class SubscriptionExtraFeatureCategory extends sequelize_typescript_1.Model {
    static async dateUpdate(instance) {
        let options = {
            where: {
                subscriptionFeatureCategory: {
                    $ilike: instance.subscriptionExtraFeatureCategory.trim()
                }
            }
        };
        if (instance.subscriptionExtraFeatureCategoryId) {
            options['where']['subscriptionExtraFeatureCategoryId'] = {
                $not: instance.subscriptionExtraFeatureCategoryId
            };
        }
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SubscriptionExtraFeatureCategory.prototype, "subscriptionExtraFeatureCategoryId", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], SubscriptionExtraFeatureCategory.prototype, "subscriptionExtraFeatureCategory", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT()),
    __metadata("design:type", Number)
], SubscriptionExtraFeatureCategory.prototype, "order", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.STRING()),
    __metadata("design:type", String)
], SubscriptionExtraFeatureCategory.prototype, "isActive", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SubscriptionExtraFeatureCategory.prototype, "FeatureCategoryId", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [SubscriptionExtraFeatureCategory]),
    __metadata("design:returntype", Promise)
], SubscriptionExtraFeatureCategory, "dateUpdate", null);
SubscriptionExtraFeatureCategory = __decorate([
    sequelize_typescript_1.Table({
        tableName: "tblSubscriptionExtraFeatureCategories"
    })
], SubscriptionExtraFeatureCategory);
exports.SubscriptionExtraFeatureCategory = SubscriptionExtraFeatureCategory;
//# sourceMappingURL=SubscriptionExtraFeatureCategories.entity.js.map