"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var SubscriptionFeatureCategory_1;
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionFeatureCategory = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Validation_exception_1 = require("./../../../middleware/exception/Validation.exception");
var Sequelize = require('sequelize');
const tableOptions = { timestamp: true, tableName: 'tblSubscriptionFeatureCategories' };
let SubscriptionFeatureCategory = SubscriptionFeatureCategory_1 = class SubscriptionFeatureCategory extends sequelize_typescript_1.Model {
    static async dateUpdate(instance) {
        let options = {
            where: {
                subscriptionFeatureCategory: {
                    $ilike: instance.subscriptionFeatureCategory.trim()
                }
            }
        };
        if (instance.subscriptionFeatureCategoryId) {
            options['where']['subscriptionFeatureCategoryId'] = {
                $not: instance.subscriptionFeatureCategoryId
            };
        }
        if (await SubscriptionFeatureCategory_1.count(options)) {
            throw new Validation_exception_1.ValidationException([{
                    value: instance.subscriptionFeatureCategory.trim(),
                    property: 'subscriptionFeatureCategory',
                    children: [],
                    constraints: { unique: 'validate:field:shouldBeUnique' }
                }]);
        }
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SubscriptionFeatureCategory.prototype, "subscriptionFeatureCategoryId", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], SubscriptionFeatureCategory.prototype, "subscriptionFeatureCategory", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [SubscriptionFeatureCategory]),
    __metadata("design:returntype", Promise)
], SubscriptionFeatureCategory, "dateUpdate", null);
SubscriptionFeatureCategory = SubscriptionFeatureCategory_1 = __decorate([
    sequelize_typescript_1.Table({
        tableName: "tblSubscriptionFeatureCategories"
    })
], SubscriptionFeatureCategory);
exports.SubscriptionFeatureCategory = SubscriptionFeatureCategory;
//# sourceMappingURL=SubscriptionFeatureCategory.entity.js.map