import { Model } from 'sequelize-typescript';
import { SubscriptionFeatureCategory } from './SubscriptionFeatureCategory.entity';
import { Subscription } from './/Subscription.entity';
export declare class SubscriptionFeatures extends Model<SubscriptionFeatures> {
    subscriptionFeatureId: number;
    subscriptionFeature: string;
    subscriptionFeatureCategoryId: number;
    subscriptionFeatureCategory: SubscriptionFeatureCategory;
    isActive: boolean;
    deletedAt: Date;
    updatedAt: Date;
    updatedBy: number;
    subscription: Subscription[];
    static dateUpdate(subscriptionFeatures: SubscriptionFeatures, options: any): Promise<void>;
}
