'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.GuestRequirementProvider = exports.CompanyMediaImagesProvider = exports.CompanyMediaProvider = exports.buyerReqCategoryProvider = exports.buyerNeedProvider = exports.PaypalTransctionProvider = exports.KeyPartnerJCTProvider = exports.ChannelRecommendedProvider = exports.ChannelDocumentProvider = exports.ChannelUserVisibilityProvider = exports.ChannelSharePreferenceProvider = exports.ChannelSamplePreferenceTypeProvider = exports.PaymentTermProvider = exports.ChannelPaymentTermProvider = exports.PaymentOptionTypeProvider = exports.ChannelPaymentOptionTypeProvider = exports.socialSiteProvider = exports.channelSuggestionProvider = exports.channelContactSuggestionProvider = exports.sharetypeProvider = exports.workNatureProvider = exports.channelBrandProvider = exports.channelSpecialityProvider = exports.ChannelLocationProvider = exports.channelCustomerProfileProvider = exports.channelProductCatProvider = exports.channelProductGroupProvider = exports.channelProductCategorieProvider = exports.channelServiceListProvider = exports.channelAwardProvider = exports.channelB2BProvider = exports.channelSocialLinkProvider = exports.channelCertificateTypeProvider = exports.channelCertificateProvider = exports.profileTypeClassificationProvider = exports.profileTypeProvider = exports.channelDetailProvider = exports.ChannelSubscriptionProviders = exports.ChannelTypeProviders = exports.oldChannelProvider = exports.channelProvider = void 0;
const Channel_entity_1 = require("../models/Channel.entity");
const OldChannel_entity_1 = require("../models/OldChannel.entity");
const ChannelType_entity_1 = require("../models/ChannelType.entity");
const ChannelSubscription_entity_1 = require("../models/ChannelSubscription.entity");
const ChannelDetail_entity_1 = require("../models/ChannelDetail.entity");
const ProfileType_entity_1 = require("../models/ProfileType.entity");
const ProfileTypeClassification_entity_1 = require("../models/ProfileTypeClassification.entity");
const ChannelCertificate_entity_1 = require("../models/ChannelCertificate.entity");
const ChannelSocialLink_entity_1 = require("../models/ChannelSocialLink.entity");
const ChannelB2B_entity_1 = require("../models/ChannelB2B.entity");
const ChannelAward_entity_1 = require("../models/ChannelAward.entity");
const ChannelLocation_entity_1 = require("../models/ChannelLocation.entity");
const ChannelServiceList_entity_1 = require("../models/ChannelServiceList.entity");
const ChannelProductCategorie_entity_1 = require("../models/ChannelProductCategorie.entity");
const ChannelProductGroup_entity_1 = require("../models/ChannelProductGroup.entity");
const ChannelCustomerProfile_entity_1 = require("../models/ChannelCustomerProfile.entity");
const ChannelSpeciality_entity_1 = require("../models/ChannelSpeciality.entity");
const ChannelBrand_entity_1 = require("../models/ChannelBrand.entity");
const CertificateType_entity_1 = require("../models/CertificateType.entity");
const WorkNature_entity_1 = require("../models/WorkNature.entity");
const ShareType_entity_1 = require("../models/ShareType.entity");
const ChannelContactSuggestion_entity_1 = require("../models/ChannelContactSuggestion.entity");
const ChannelSuggestion_entity_1 = require("../models/ChannelSuggestion.entity");
const SocialSite_entity_1 = require("../models/SocialSite.entity");
const ChannelPaymentOptionType_entity_1 = require("../models/ChannelPaymentOptionType.entity");
const ChannelPaymentTerm_entity_1 = require("../models/ChannelPaymentTerm.entity");
const ChannelSamplePreferenceType_entity_1 = require("../models/ChannelSamplePreferenceType.entity");
const ChannelSharePreference_entity_1 = require("../models/ChannelSharePreference.entity");
const ChannelUserVisibility_entity_1 = require("../models/ChannelUserVisibility.entity");
const PaymentOptionType_entity_1 = require("../models/PaymentOptionType.entity");
const PaymentTerm_entity_1 = require("../models/PaymentTerm.entity");
const ChannelDocument_entity_1 = require("../models/ChannelDocument.entity");
const ChannelRecommended_entity_1 = require("../models/ChannelRecommended.entity");
const KeyPartnerJCT_entity_1 = require("../models/KeyPartnerJCT.entity");
const PaypalTransction_entity_1 = require("../models/PaypalTransction.entity");
const BuyerNeed_entity_1 = require("../models/BuyerNeed.entity");
const BuyerReqCategory_entity_1 = require("../models/BuyerReqCategory.entity");
const CompanyMedia_entity_1 = require("../models/CompanyMedia.entity");
const CompanyMediaImages_1 = require("../models/CompanyMediaImages");
const GuestRequirement_entity_1 = require("../models/GuestRequirement.entity");
exports.channelProvider = [
    {
        provide: 'ChannelRepository',
        useValue: Channel_entity_1.Channel
    }
];
exports.oldChannelProvider = [
    {
        provide: 'OldChannelRepository',
        useValue: OldChannel_entity_1.OldChannel
    }
];
exports.ChannelTypeProviders = [
    {
        provide: 'ChannelTypeRepository',
        useValue: ChannelType_entity_1.ChannelType
    },
];
exports.ChannelSubscriptionProviders = [
    {
        provide: 'ChannelSubscriptionRepository',
        useValue: ChannelSubscription_entity_1.ChannelSubscription
    },
];
exports.channelDetailProvider = [
    {
        provide: 'ChannelDetailRepository',
        useValue: ChannelDetail_entity_1.ChannelDetail
    }
];
exports.profileTypeProvider = [
    {
        provide: 'ProfileTypeRepository',
        useValue: ProfileType_entity_1.ProfileType
    }
];
exports.profileTypeClassificationProvider = [
    {
        provide: 'ProfileTypeClassificationRepository',
        useValue: ProfileTypeClassification_entity_1.ProfileTypeClassification
    }
];
exports.channelCertificateProvider = [
    {
        provide: 'ChannelCertificateRepository',
        useValue: ChannelCertificate_entity_1.ChannelCertificate
    }
];
exports.channelCertificateTypeProvider = [
    {
        provide: 'ChannelCertificateTypeRepository',
        useValue: CertificateType_entity_1.CertificateType,
    }
];
exports.channelSocialLinkProvider = [
    {
        provide: 'ChannelSocialLinkRepository',
        useValue: ChannelSocialLink_entity_1.ChannelSocialLink
    }
];
exports.channelB2BProvider = [
    {
        provide: 'ChannelB2BRepository',
        useValue: ChannelB2B_entity_1.ChannelB2B
    }
];
exports.channelAwardProvider = [
    {
        provide: 'ChannelAwardRepository',
        useValue: ChannelAward_entity_1.ChannelAward
    }
];
exports.channelServiceListProvider = [
    {
        provide: 'ChannelServiceListRepository',
        useValue: ChannelServiceList_entity_1.ChannelServiceList
    }
];
exports.channelProductCategorieProvider = [
    {
        provide: 'ChannelProductCategorieRepository',
        useValue: ChannelProductCategorie_entity_1.ChannelProductCategorie
    }
];
exports.channelProductGroupProvider = [
    {
        provide: 'ChannelProductGroupRepository',
        useValue: ChannelProductGroup_entity_1.ChannelProductGroup
    }
];
exports.channelProductCatProvider = [
    {
        provide: 'ChannelProductCategoryRepository',
        useValue: ChannelProductCategorie_entity_1.ChannelProductCategorie
    }
];
exports.channelCustomerProfileProvider = [
    {
        provide: 'ChannelCustomerProfileRepository',
        useValue: ChannelCustomerProfile_entity_1.ChannelCustomerProfile
    }
];
exports.ChannelLocationProvider = [
    {
        provide: 'ChannelLocationRepository',
        useValue: ChannelLocation_entity_1.ChannelLocation,
    }
];
exports.channelSpecialityProvider = [
    {
        provide: 'ChannelSpecialityRepository',
        useValue: ChannelSpeciality_entity_1.ChannelSpeciality
    }
];
exports.channelBrandProvider = [
    {
        provide: 'ChannelBrandRepository',
        useValue: ChannelBrand_entity_1.ChannelBrand
    }
];
exports.workNatureProvider = [
    {
        provide: 'WorkNatureRepository',
        useValue: WorkNature_entity_1.WorkNature
    }
];
exports.sharetypeProvider = [
    {
        provide: 'SharetypeRepository',
        useValue: ShareType_entity_1.ShareType
    }
];
exports.channelContactSuggestionProvider = [
    {
        provide: 'ChannelContactSuggestionRepository',
        useValue: ChannelContactSuggestion_entity_1.ChannelContactSuggestion
    }
];
exports.channelSuggestionProvider = [
    {
        provide: 'ChannelSuggestionRepository',
        useValue: ChannelSuggestion_entity_1.ChannelSuggestion
    }
];
exports.socialSiteProvider = [
    {
        provide: 'SocialSiteRepository',
        useValue: SocialSite_entity_1.SocialSite
    }
];
exports.ChannelPaymentOptionTypeProvider = [
    {
        provide: 'ChannelPaymentOptionTypeRepository',
        useValue: ChannelPaymentOptionType_entity_1.ChannelPaymentOptionType
    }
];
exports.PaymentOptionTypeProvider = [
    {
        provide: 'PaymentOptionTypeRepository',
        useValue: PaymentOptionType_entity_1.PaymentOptionType
    }
];
exports.ChannelPaymentTermProvider = [
    {
        provide: 'ChannelPaymentTermRepository',
        useValue: ChannelPaymentTerm_entity_1.ChannelPaymentTerm
    }
];
exports.PaymentTermProvider = [
    {
        provide: 'PaymentTermRepository',
        useValue: PaymentTerm_entity_1.PaymentTerm
    }
];
exports.ChannelSamplePreferenceTypeProvider = [
    {
        provide: 'ChannelSamplePreferenceTypeRepository',
        useValue: ChannelSamplePreferenceType_entity_1.ChannelSamplePreferenceType
    },
];
exports.ChannelSharePreferenceProvider = [
    {
        provide: 'ChannelSharePreferenceRepository',
        useValue: ChannelSharePreference_entity_1.ChannelSharePreference
    },
];
exports.ChannelUserVisibilityProvider = [
    {
        provide: 'ChannelUserVisibilityRepository',
        useValue: ChannelUserVisibility_entity_1.ChannelUserVisibility
    },
];
exports.ChannelDocumentProvider = [
    {
        provide: 'ChannelDocumentRepository',
        useValue: ChannelDocument_entity_1.ChannelDocument
    },
];
exports.ChannelRecommendedProvider = [
    {
        provide: 'ChannelRecommendedRepository',
        useValue: ChannelRecommended_entity_1.ChannelRecommended
    },
];
exports.KeyPartnerJCTProvider = [
    {
        provide: 'KeyPartnerJCTRepository',
        useValue: KeyPartnerJCT_entity_1.KeyPartnerJCT
    },
];
exports.PaypalTransctionProvider = [
    {
        provide: 'PaypalTransctionRepository',
        useValue: PaypalTransction_entity_1.PaypalTransction
    },
];
exports.buyerNeedProvider = [
    {
        provide: 'BuyerRepository',
        useValue: BuyerNeed_entity_1.BuyerNeed
    }
];
exports.buyerReqCategoryProvider = [
    {
        provide: 'BuyerCategoryRepository',
        useValue: BuyerReqCategory_entity_1.BuyerReqCategory
    }
];
exports.CompanyMediaProvider = [
    {
        provide: 'CompanyMediaRepository',
        useValue: CompanyMedia_entity_1.CompanyMedia
    },
];
exports.CompanyMediaImagesProvider = [
    {
        provide: 'CompanyMediaImagesRepository',
        useValue: CompanyMediaImages_1.CompanyMediaImages
    }
];
exports.GuestRequirementProvider = [
    {
        provide: 'GuestRequirementRepository',
        useValue: GuestRequirement_entity_1.GuestRequirement
    }
];
//# sourceMappingURL=channel.provider.js.map