'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.EndCustomersB2bProvider = exports.EndCustomersB2bTypeProvider = exports.ChannelDismissReasonProvider = exports.DismissReasonProvider = exports.ContactJCTProvider = exports.ChannelJCTProvider = exports.ConnectionStatusTypeProvider = void 0;
const ConnectionStatusType_entity_1 = require("../models/ConnectionStatusType.entity");
const ChannelJCT_entity_1 = require("../models/ChannelJCT.entity");
const ContactJCT_entity_1 = require("../models/ContactJCT.entity");
const ChannelDismissReason_entity_1 = require("../models/ChannelDismissReason.entity");
const DismissReason_entity_1 = require("../models/DismissReason.entity");
const EndCustomerB2b_1 = require("../models/EndCustomerB2b");
const EndCustomersB2bType_1 = require("../models/EndCustomersB2bType");
exports.ConnectionStatusTypeProvider = [
    {
        provide: 'ConnectionStatusTypeRepository',
        useValue: ConnectionStatusType_entity_1.ConnectionStatusType
    }
];
exports.ChannelJCTProvider = [
    {
        provide: 'ChannelJCTRepository',
        useValue: ChannelJCT_entity_1.ChannelJCT
    }
];
exports.ContactJCTProvider = [
    {
        provide: 'ContactJCTRepository',
        useValue: ContactJCT_entity_1.ContactJCT
    }
];
exports.DismissReasonProvider = [
    {
        provide: 'DismissReasonRepository',
        useValue: DismissReason_entity_1.DismissReason
    }
];
exports.ChannelDismissReasonProvider = [
    {
        provide: 'ChannelDismissReasonRepository',
        useValue: ChannelDismissReason_entity_1.ChannelDismissReason
    }
];
exports.EndCustomersB2bTypeProvider = [
    {
        provide: 'EndCustomersB2bTypeRepository',
        useValue: EndCustomersB2bType_1.EndCustomersB2bType
    }
];
exports.EndCustomersB2bProvider = [
    {
        provide: 'EndCustomersB2bRepository',
        useValue: EndCustomerB2b_1.EndCustomersB2b
    }
];
//# sourceMappingURL=channelHub.provider.js.map