import { Region } from 'src/modules/common/models/Region.entity';
import { RegionCountryJCT } from 'src/modules/common/models/RegionCountryJCT.entity';
import { ProductCategory } from 'src/modules/product/models/ProductCategory.entity';
import { ProductGroup } from 'src/modules/product/models/ProductGroup.entity';
import { Contact } from 'src/modules/user/models/Contact.entity';
import { ContactInterestedProductCategory } from 'src/modules/user/models/ContactInterestedProductCategory.entity';
import { ContactInterestedProductGroup } from 'src/modules/user/models/ContactInterestedProductGroup.entity';
import { User } from 'src/modules/user/models/User.entity';
import { ChannelBrand } from '../models/ChannelBrand.entity';
import { ChannelCertificate } from '../models/ChannelCertificate.entity';
import { ChannelCustomerProfile } from '../models/ChannelCustomerProfile.entity';
import { ChannelDetail } from '../models/ChannelDetail.entity';
import { ChannelLocation } from '../models/ChannelLocation.entity';
import { ChannelProductCategorie } from '../models/ChannelProductCategorie.entity';
import { ChannelProductGroup } from '../models/ChannelProductGroup.entity';
import { ProfileRatings } from '../models/ProfileCreationRating.entity';
import { ProfileList } from '../models/ProfileList.entity';
import { ProfileType } from '../models/ProfileType.entity';
import { ProfileTypeClassification } from '../models/ProfileTypeClassification.entity';
export declare const settingProvider: ({
    provide: string;
    useValue: typeof ProfileRatings;
} | {
    provide: string;
    useValue: typeof ProfileList;
} | {
    provide: string;
    useValue: typeof ChannelDetail;
} | {
    provide: string;
    useValue: typeof ChannelCertificate;
} | {
    provide: string;
    useValue: typeof ChannelBrand;
} | {
    provide: string;
    useValue: typeof ChannelCustomerProfile;
} | {
    provide: string;
    useValue: typeof ProductGroup;
} | {
    provide: string;
    useValue: typeof ProfileType;
} | {
    provide: string;
    useValue: typeof ProfileTypeClassification;
} | {
    provide: string;
    useValue: typeof ProductCategory;
} | {
    provide: string;
    useValue: typeof Region;
} | {
    provide: string;
    useValue: typeof RegionCountryJCT;
} | {
    provide: string;
    useValue: typeof ChannelLocation;
} | {
    provide: string;
    useValue: typeof ChannelProductGroup;
} | {
    provide: string;
    useValue: typeof ChannelProductCategorie;
} | {
    provide: string;
    useValue: typeof ContactInterestedProductGroup;
} | {
    provide: string;
    useValue: typeof ContactInterestedProductCategory;
} | {
    provide: string;
    useValue: typeof User;
} | {
    provide: string;
    useValue: typeof Contact;
})[];
