'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.SubscriptionExtraFeatureCategoryProviders = exports.SubscriptionExtraFeatureProviders = exports.AutoRenewalTrackingProviders = exports.AutoRenewalTrackingStatusProviders = exports.CouponProviders = exports.SubscriptionPeriodProviders = exports.SubscriptionPlanProviders = exports.SubscriptionFeaturesProviders = exports.SubscriptionFeatureCategoryProviders = exports.SubscriptionDetailProviders = exports.SubscriptionTypeProviders = exports.SubscriptionProviders = void 0;
const Subscription_entity_1 = require("../models/Subscription.entity");
const SubscriptionType_entity_1 = require("../models/SubscriptionType.entity");
const SubscriptionDetail_entity_1 = require("../models/SubscriptionDetail.entity");
const SubscriptionFeatures_entity_1 = require("../models/SubscriptionFeatures.entity");
const SubscriptionPlan_entity_1 = require("../models/SubscriptionPlan.entity");
const SubscriptionPeriod_entity_1 = require("../models/SubscriptionPeriod.entity");
const Coupon_entity_1 = require("../models/Coupon.entity");
const AutoRenewalTracking_entity_1 = require("../models/AutoRenewalTracking.entity");
const AutoRenewalTrackingStatus_entity_1 = require("../models/AutoRenewalTrackingStatus.entity");
const SubscriptionFeatureCategory_entity_1 = require("../models/SubscriptionFeatureCategory.entity");
const SubscriptionExtraFeature_entity_1 = require("../models/SubscriptionExtraFeature.entity");
const SubscriptionExtraFeatureCategories_entity_1 = require("../models/SubscriptionExtraFeatureCategories.entity");
exports.SubscriptionProviders = [
    {
        provide: 'SubscriptionRepository',
        useValue: Subscription_entity_1.Subscription,
    },
];
exports.SubscriptionTypeProviders = [
    {
        provide: 'SubscriptionTypeRepository',
        useValue: SubscriptionType_entity_1.SubscriptionType,
    }
];
exports.SubscriptionDetailProviders = [
    {
        provide: 'SubscriptionDetailRepository',
        useValue: SubscriptionDetail_entity_1.SubscriptionDetail,
    },
];
exports.SubscriptionFeatureCategoryProviders = [
    {
        provide: 'SubscriptionFeatureCategoryRepository',
        useValue: SubscriptionFeatureCategory_entity_1.SubscriptionFeatureCategory,
    },
];
exports.SubscriptionFeaturesProviders = [
    {
        provide: 'SubscriptionFeaturesRepository',
        useValue: SubscriptionFeatures_entity_1.SubscriptionFeatures,
    },
];
exports.SubscriptionPlanProviders = [
    {
        provide: 'SubscriptionPlanRepository',
        useValue: SubscriptionPlan_entity_1.SubscriptionPlan,
    },
];
exports.SubscriptionPeriodProviders = [
    {
        provide: 'SubscriptionPeriodRepository',
        useValue: SubscriptionPeriod_entity_1.SubscriptionPeriod,
    },
];
exports.CouponProviders = [
    {
        provide: 'CouponRepository',
        useValue: Coupon_entity_1.Coupon,
    }
];
exports.AutoRenewalTrackingStatusProviders = [
    {
        provide: 'AutoRenewalTrackingStatusRepository',
        useValue: AutoRenewalTrackingStatus_entity_1.AutoRenewalTrackingStatus,
    },
];
exports.AutoRenewalTrackingProviders = [
    {
        provide: 'AutoRenewalTrackingRepository',
        useValue: AutoRenewalTracking_entity_1.AutoRenewalTracking,
    },
];
exports.SubscriptionExtraFeatureProviders = [
    {
        provide: 'SubscriptionExtraFeatureRepository',
        useValue: SubscriptionExtraFeature_entity_1.SubscriptionExtraFeature,
    },
];
exports.SubscriptionExtraFeatureCategoryProviders = [
    {
        provide: 'SubscriptionExtraFeatureCategoryRepository',
        useValue: SubscriptionExtraFeatureCategories_entity_1.SubscriptionExtraFeatureCategory,
    },
];
//# sourceMappingURL=subscription.provider.js.map