import { Media } from '../../media/models/Media.entity';
import { ITradeInformationInBound } from './Interface/ITradeInformationInBound';
import { ChannelProductGroup } from '../models/ChannelProductGroup.entity';
import { ChannelCustomerProfile } from '../models/ChannelCustomerProfile.entity';
import { ChannelProductCategorie } from '../models/ChannelProductCategorie.entity';
import { ChannelServiceList } from '../models/ChannelServiceList.entity';
import { ChannelDetail } from '../models/ChannelDetail.entity';
import { ChannelSpeciality } from '../models/ChannelSpeciality.entity';
import { ChannelBrand } from '../models/ChannelBrand.entity';
import { ContactProductGroup } from "../../user/models/ContactProductGroup.entity";
import { ContactProductCategory } from "../../user/models/ContactProductCategory.entity";
import { OldChannelDetail } from '../models/OldChannelDetail.entity';
export declare class TradeInformationInBound implements ITradeInformationInBound {
    setProductGroup(productFamilies: any, channelId: number): Promise<ChannelProductGroup[]>;
    setProductCategories(productCategories: any, channelId: number): Promise<ChannelProductCategorie[]>;
    setContactProductGroup(productFamilies: any, contactId: number): Promise<ContactProductGroup[]>;
    setContactProductCategories(productCategories: any, contactId: number): Promise<ContactProductCategory[]>;
    setCustomerProfiles(customerProfiles: any, channelId: number): Promise<ChannelCustomerProfile[]>;
    setSpeciality(speciality: any, channelId: number): Promise<ChannelSpeciality[]>;
    setServiceList(listOfServices: any, channelId: number): Promise<ChannelServiceList[]>;
    keyRetailers(partner_type: number, retailerList: any, channelId: number, userId: any, deletedKeys?: any): Promise<any[]>;
    setChannelDetail(channelDetail: any, channelId: number, channelTypeId: any): Promise<ChannelDetail>;
    setDocumentObject(docTempPath: string, doctype: number, folderPath?: string): Promise<Media>;
    setProductGroupIds(productGroup: any): Promise<Array<any>>;
    setChannelBrand(brandId: number, channelId: number): Promise<ChannelBrand>;
    setProductCategoryIds(ProductGroupCategore: any): Promise<Array<any>>;
    setCustomerProfilesIds(customerProfiles: any): Promise<Array<any>>;
    setServiceListIds(serviceList: any): Promise<Array<any>>;
    setbrandIds(channelBrand: any): Promise<Array<any>>;
    setchannelbrandIds(channelBrand: any): Promise<Array<any>>;
    setFactsChannelDetail(channelDetail: any): Promise<ChannelDetail>;
    setFactsOldChannelDetail(channelDetail: any): Promise<OldChannelDetail>;
}
