"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.CommonController = void 0;
const common_1 = require("@nestjs/common");
const channel_provider_1 = require("../../channel/provider/channel.provider");
const common_service_1 = require("../service/common.service");
let CommonController = class CommonController {
    constructor(commonService) {
        this.commonService = commonService;
    }
    async getSignup(req, data, res) {
        let result = await this.commonService.getSignup(+data.channelTypeId);
        if (result) {
            res.status(common_1.HttpStatus.OK).json(result);
        }
        else {
        }
    }
    async getProducts(req, data, res) {
        let result = await this.commonService.getProducts(+data.businessType);
        if (result) {
            res.status(common_1.HttpStatus.OK).json(result);
        }
        else {
        }
    }
    async getOldProduct(req, res, data) {
        let result = await this.commonService.getOldChannelProductGroup(data.email);
        if (result) {
            res.status(common_1.HttpStatus.OK).json(result);
        }
        else {
        }
    }
    async findAll(request, res) {
        let result = await this.commonService.findAllCountry();
        res.status(common_1.HttpStatus.OK).json(result);
    }
};
__decorate([
    common_1.Get('getSignup/:channelTypeId'),
    __param(0, common_1.Request()), __param(1, common_1.Param()), __param(2, common_1.Response()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object, Object]),
    __metadata("design:returntype", Promise)
], CommonController.prototype, "getSignup", null);
__decorate([
    common_1.Get('getProducts/:businessType'),
    __param(0, common_1.Request()), __param(1, common_1.Param()), __param(2, common_1.Response()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object, Object]),
    __metadata("design:returntype", Promise)
], CommonController.prototype, "getProducts", null);
__decorate([
    common_1.Post('getOldProduct'),
    __param(0, common_1.Request()), __param(1, common_1.Response()), __param(2, common_1.Body()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object, Object]),
    __metadata("design:returntype", Promise)
], CommonController.prototype, "getOldProduct", null);
__decorate([
    common_1.Get('country'),
    __param(0, common_1.Request()), __param(1, common_1.Response()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", Promise)
], CommonController.prototype, "findAll", null);
CommonController = __decorate([
    common_1.Controller('common'),
    __metadata("design:paramtypes", [common_service_1.CommonService])
], CommonController);
exports.CommonController = CommonController;
//# sourceMappingURL=common.controller.js.map