"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Zone = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Region_entity_1 = require("./Region.entity");
const ZoneRegionJCT_entity_1 = require("./ZoneRegionJCT.entity");
const swagger_1 = require("@nestjs/swagger");
let Zone = class Zone extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.Column,
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], Zone.prototype, "zoneId", void 0);
__decorate([
    sequelize_typescript_1.Column({
        type: sequelize_typescript_1.DataType.CHAR(150),
        allowNull: false,
        unique: { name: 'zone', msg: 'validate:field:shouldBeUnique' }
    }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], Zone.prototype, "zone", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], Zone.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.BelongsToMany(() => Region_entity_1.Region, { through: () => ZoneRegionJCT_entity_1.ZoneRegionJCT }),
    __metadata("design:type", Array)
], Zone.prototype, "region", void 0);
Zone = __decorate([
    sequelize_typescript_1.Table({
        tableName: "tblZone"
    }),
    sequelize_typescript_1.Scopes(() => ({
        zones: {
            attributes: ['zoneId', 'zone']
        },
        noZones: {
            attributes: []
        },
    }))
], Zone);
exports.Zone = Zone;
//# sourceMappingURL=Zone.entity.js.map