import { ProductGroup } from 'src/modules/product/models/ProductGroup.entity';
import { OldChannel } from '../../channel/models/OldChannel.entity';
import { Country } from '../models/Country.entity';
export declare class CommonService {
    private readonly sequelizeInstance;
    private readonly oldChannelRepository;
    private readonly productGroupRepository;
    private readonly countryRepository;
    constructor(sequelizeInstance: any, oldChannelRepository: typeof OldChannel, productGroupRepository: typeof ProductGroup, countryRepository: typeof Country);
    getSignup(channelTypeId: any): Promise<{
        productGroup: any;
        company: any[];
        country: Country[];
    }>;
    getProducts(businessType: any): Promise<{
        productGroup: any;
    }>;
    getOldChannelProductGroup(email: any): Promise<{
        productGroup: any;
        companyAddress: any;
    }>;
    findAllCountry(): Promise<Country[]>;
}
