import { UserWalletAmount } from '../models/UserWalletAmount.entity';
import { OtherPayment } from '../../channel/models/OtherPayment.entity';
import { WalletTransaction } from '../models/WalletTransaction.entity';
import { WalletUsageType } from '../models/WalletUsageType.entity';
export declare class DigitalWalletService {
    private readonly userWalletAmountRepository;
    private readonly otherPaymentRepository;
    private readonly walletTransactionRepository;
    private readonly walletUsageTypeRepository;
    constructor(userWalletAmountRepository: typeof UserWalletAmount, otherPaymentRepository: typeof OtherPayment, walletTransactionRepository: typeof WalletTransaction, walletUsageTypeRepository: typeof WalletUsageType);
    getWalletAmount(user: any): Promise<UserWalletAmount>;
    processWalletPayment(req: any, user: any): Promise<UserWalletAmount>;
}
