"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmailerController = void 0;
const common_1 = require("@nestjs/common");
const emailer_service_1 = require("../services/emailer.service");
const TemplateData_1 = require("../TemplateData");
let EmailerController = class EmailerController {
    constructor(emailService) {
        this.emailService = emailService;
    }
    async sendMail(res, body) {
        let templateData = TemplateData_1.default.find(x => x.type == body.type);
        let subject = templateData.subject;
        let context = body.data;
        let template = templateData.template;
        let to = '';
        if (body.type == 'signup_bo')
            to = "<development@channel-hub.io>";
        else
            to = body.data.email;
        let data = await this.emailService.email(subject, to, template, context);
        console.log(body);
        console.log(body.companyName);
        return await res.status(common_1.HttpStatus.OK).json(data);
    }
};
__decorate([
    common_1.Post(),
    __param(0, common_1.Res()), __param(1, common_1.Body()),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", Promise)
], EmailerController.prototype, "sendMail", null);
EmailerController = __decorate([
    common_1.Controller('emailer'),
    __metadata("design:paramtypes", [emailer_service_1.EmailerService])
], EmailerController);
exports.EmailerController = EmailerController;
//# sourceMappingURL=emailer.controller.js.map