"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.EmailerModule = void 0;
const common_1 = require("@nestjs/common");
const emailer_service_1 = require("./services/emailer.service");
const mailer_1 = require("@nestjs-modules/mailer");
const ejs_adapter_1 = require("@nestjs-modules/mailer/dist/adapters/ejs.adapter");
const emailer_controller_1 = require("./controller/emailer.controller");
let EmailerModule = class EmailerModule {
};
EmailerModule = __decorate([
    common_1.Module({
        imports: [
            mailer_1.MailerModule.forRoot({
                transport: {
                    service: 'gmail',
                    port: 587,
                    secure: false,
                    auth: {
                        user: 'parameshkins@gmail.com',
                        pass: 'World@987!'
                    },
                    tls: {
                        rejectUnauthorized: false
                    }
                },
                defaults: {
                    from: '"nest-modules" <modules@nestjs.com>',
                },
                template: {
                    dir: __dirname + '../../../../public/templates',
                    adapter: new ejs_adapter_1.EjsAdapter(),
                    options: {
                        strict: true,
                    },
                },
            }),
        ],
        providers: [emailer_service_1.EmailerService],
        controllers: [emailer_controller_1.EmailerController],
        exports: [emailer_service_1.EmailerService]
    })
], EmailerModule);
exports.EmailerModule = EmailerModule;
//# sourceMappingURL=emailer.module.js.map