"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ErrorLogController = void 0;
const common_1 = require("@nestjs/common");
const media_service_1 = require("../service/media.service");
let ErrorLogController = class ErrorLogController {
    constructor(mediaService) {
        this.mediaService = mediaService;
    }
    async updateMeeting(res, errorLog) {
        await this.mediaService.errorLog(errorLog);
        res.status(common_1.HttpStatus.CREATED).send({
            status: true
        });
    }
};
__decorate([
    common_1.Post('errorLog'),
    __param(0, common_1.Res()), __param(1, common_1.Body(new common_1.ValidationPipe())),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object]),
    __metadata("design:returntype", Promise)
], ErrorLogController.prototype, "updateMeeting", null);
ErrorLogController = __decorate([
    common_1.Controller('media'),
    __metadata("design:paramtypes", [media_service_1.MediaService])
], ErrorLogController);
exports.ErrorLogController = ErrorLogController;
//# sourceMappingURL=errorLog.controller.js.map