"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MediaModule = void 0;
const common_1 = require("@nestjs/common");
const database_providers_1 = require("../../core/database/database.providers");
const errorLog_controller_1 = require("./controller/errorLog.controller");
const media_controller_1 = require("./controller/media.controller");
const media_provider_1 = require("./providers/media.provider");
const mediatype_provider_1 = require("./providers/mediatype.provider");
const media_service_1 = require("./service/media.service");
let MediaModule = class MediaModule {
};
MediaModule = __decorate([
    common_1.Module({
        controllers: [media_controller_1.MediaController, errorLog_controller_1.ErrorLogController],
        providers: [
            ...media_provider_1.MediaProviders,
            ...mediatype_provider_1.MediaTypeProviders,
            ...mediatype_provider_1.MediaErrorLogProviders,
            ...database_providers_1.databaseProviders,
            media_service_1.MediaService
        ],
        exports: [
            ...media_provider_1.MediaProviders,
            ...mediatype_provider_1.MediaTypeProviders,
            ...mediatype_provider_1.MediaErrorLogProviders
        ],
    })
], MediaModule);
exports.MediaModule = MediaModule;
//# sourceMappingURL=media.module.js.map