"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.MeetingReq = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Channel_entity_1 = require("../../channel/models/Channel.entity");
const Contact_entity_1 = require("../../user/models/Contact.entity");
const tableOptions = { timestamp: true, tableName: 'tblMeetingReq' };
let MeetingReq = class MeetingReq extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], MeetingReq.prototype, "mettingReqId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channel_entity_1.Channel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], MeetingReq.prototype, "senderChannelId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel, 'channelId'),
    __metadata("design:type", Channel_entity_1.Channel)
], MeetingReq.prototype, "channel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Contact_entity_1.Contact),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], MeetingReq.prototype, "senderContactId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Contact_entity_1.Contact, 'contactId'),
    __metadata("design:type", Contact_entity_1.Contact)
], MeetingReq.prototype, "contact", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], MeetingReq.prototype, "alt_senderContactId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channel_entity_1.Channel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], MeetingReq.prototype, "receiverChannelId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel, 'channelId'),
    __metadata("design:type", Channel_entity_1.Channel)
], MeetingReq.prototype, "receiveChannel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Contact_entity_1.Contact),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], MeetingReq.prototype, "receiverContactId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Contact_entity_1.Contact, 'contactId'),
    __metadata("design:type", Contact_entity_1.Contact)
], MeetingReq.prototype, "receiverContact", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], MeetingReq.prototype, "alt_receiverContactId", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], MeetingReq.prototype, "meeting_Scheduled_At", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], MeetingReq.prototype, "req_Scheduled_At", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.SMALLINT),
    __metadata("design:type", Number)
], MeetingReq.prototype, "isMeetingConfirm", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.SMALLINT),
    __metadata("design:type", Number)
], MeetingReq.prototype, "isMeetingCompleted", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], MeetingReq.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], MeetingReq.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], MeetingReq.prototype, "updatedAt", void 0);
MeetingReq = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], MeetingReq);
exports.MeetingReq = MeetingReq;
//# sourceMappingURL=MeetingReq.entity.js.map