'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.MeetingInBound = void 0;
const Process_exception_1 = require("../../../middleware/exception/Process.exception");
class MeetingInBound {
    constructor() { }
    async setAddMeetingObject(meet) {
        try {
            let meeting = {};
            meeting.senderChannelId = meet.senderChannelId;
            meeting.senderContactId = meet.senderContactId;
            meeting.receiverChannelId = meet.receiverChannelId;
            meeting.receiverContactId = meet.receiverContactId;
            meeting.req_Scheduled_At = new Date();
            meeting.isMeetingConfirm = 0;
            meeting.isMeetingCompleted = 0;
            meeting.createdAt = new Date();
            meeting.updatedAt = new Date();
            return meeting;
        }
        catch (e) {
            throw new Process_exception_1.ProcessException('account:objectCreation:MeetingReq');
        }
    }
}
exports.MeetingInBound = MeetingInBound;
//# sourceMappingURL=meetingInBound.js.map