"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.OrderShipment = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const SampleOrder_entity_1 = require("./SampleOrder.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamp: true, tableName: 'tblordershipment' };
let OrderShipment = class OrderShipment extends sequelize_typescript_1.Model {
    static async dateUpdate(orderShipment, options) {
        orderShipment.updatedat = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], OrderShipment.prototype, "ordershipmentid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => SampleOrder_entity_1.SampleOrder),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], OrderShipment.prototype, "orderid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => SampleOrder_entity_1.SampleOrder, 'orderid'),
    __metadata("design:type", SampleOrder_entity_1.SampleOrder)
], OrderShipment.prototype, "order", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], OrderShipment.prototype, "name", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], OrderShipment.prototype, "trackingno", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(255)),
    __metadata("design:type", String)
], OrderShipment.prototype, "trackingurl", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.CHAR(5000)),
    __metadata("design:type", String)
], OrderShipment.prototype, "comments", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], OrderShipment.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], OrderShipment.prototype, "updatedat", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [OrderShipment, Object]),
    __metadata("design:returntype", Promise)
], OrderShipment, "dateUpdate", null);
OrderShipment = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes(() => ({
        orderInfo: {
            attributes: ['ordershipmentid', 'name', 'trackingno', 'trackingurl', 'trackingurl', 'comments']
        }
    }))
], OrderShipment);
exports.OrderShipment = OrderShipment;
//# sourceMappingURL=OrderShipment.entity.js.map