"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SampleOrderDetail = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Product_entity_1 = require("../../product/models/Product.entity");
const SampleOrder_entity_1 = require("./SampleOrder.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamps: false, tableName: 'tblsampleorderdetail' };
let SampleOrderDetail = class SampleOrderDetail extends sequelize_typescript_1.Model {
    static async dateUpdate(sampleOrderDetail, options) {
        sampleOrderDetail.updatedat = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SampleOrderDetail.prototype, "sampleorderdetailid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => SampleOrder_entity_1.SampleOrder),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SampleOrderDetail.prototype, "sampleorderid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => SampleOrder_entity_1.SampleOrder),
    __metadata("design:type", SampleOrder_entity_1.SampleOrder)
], SampleOrderDetail.prototype, "order", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Product_entity_1.Product),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SampleOrderDetail.prototype, "productid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Product_entity_1.Product),
    __metadata("design:type", Product_entity_1.Product)
], SampleOrderDetail.prototype, "product", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SampleOrderDetail.prototype, "quantity", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SampleOrderDetail.prototype, "finalquantity", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.FLOAT(15, 2)),
    __metadata("design:type", Number)
], SampleOrderDetail.prototype, "samplepriceperquantity", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.FLOAT(15, 2)),
    __metadata("design:type", Number)
], SampleOrderDetail.prototype, "finaltotalprice", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.FLOAT(15, 2)),
    __metadata("design:type", Number)
], SampleOrderDetail.prototype, "totalprice", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SampleOrderDetail.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SampleOrderDetail.prototype, "updatedat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SampleOrderDetail.prototype, "deletedat", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [SampleOrderDetail, Object]),
    __metadata("design:returntype", Promise)
], SampleOrderDetail, "dateUpdate", null);
SampleOrderDetail = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes(() => ({
        orderInfo: {
            attributes: ['sampleorderdetailid', 'sampleorderid', 'productid', 'retailerprice', 'retailerpriceunitid', 'distributormarginpercent', 'distributormarginpercentunitid', 'retailermarginpercent', 'retailermarginpercentunitid', 'quantity', 'finalquantity', 'samplepriceperquantity', 'finaltotalprice', 'totalprice']
        }
    }))
], SampleOrderDetail);
exports.SampleOrderDetail = SampleOrderDetail;
//# sourceMappingURL=SampleOrderDetail.entity.js.map