'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
var __param = (this && this.__param) || function (paramIndex, decorator) {
    return function (target, key) { decorator(target, key, paramIndex); }
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UnitController = void 0;
const common_1 = require("@nestjs/common");
const passport_1 = require("@nestjs/passport");
const api_controller_1 = require("../../api/controllers/api.controller");
const unit_dto_1 = require("../dto/unit.dto");
const unit_services_1 = require("../service/unit.services");
let UnitController = class UnitController extends api_controller_1.ApiController {
    constructor(unitService) {
        super();
        this.unitService = unitService;
        this.assignService(unitService);
    }
    async create(req, res, dto) {
        return super.create(req, res, dto);
    }
    async update(id, req, res, dto) {
        return super.update(id, dto, req, res);
    }
};
__decorate([
    common_1.Post('/'),
    __param(0, common_1.Request()), __param(1, common_1.Response()), __param(2, common_1.Body(new common_1.ValidationPipe())),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object, unit_dto_1.UnitDto]),
    __metadata("design:returntype", Promise)
], UnitController.prototype, "create", null);
__decorate([
    common_1.Put('/:id'),
    __param(0, common_1.Param('id')), __param(1, common_1.Request()), __param(2, common_1.Response()), __param(3, common_1.Body(new common_1.ValidationPipe())),
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [Object, Object, Object, unit_dto_1.UnitDto]),
    __metadata("design:returntype", Promise)
], UnitController.prototype, "update", null);
UnitController = __decorate([
    common_1.UseGuards(passport_1.AuthGuard('jwt')),
    common_1.Controller('unit'),
    __metadata("design:paramtypes", [unit_services_1.UnitService])
], UnitController);
exports.UnitController = UnitController;
//# sourceMappingURL=unit.controller.js.map