"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddProductArticleReviewDto = void 0;
const class_validator_1 = require("class-validator");
const class_transformer_1 = require("class-transformer");
const swagger_1 = require("@nestjs/swagger");
const articleReview_dto_1 = require("./articleReview.dto");
const productExistingRatings_dto_1 = require("./productExistingRatings.dto");
class AddProductArticleReviewDto {
}
__decorate([
    class_validator_1.IsOptional({ groups: ["import"] }),
    swagger_1.ApiProperty({ type: articleReview_dto_1.ArticleReviewDto, isArray: true }),
    class_validator_1.ArrayNotEmpty({ message: "channel:product:reviewArrayNotEmpty" }),
    class_validator_1.ArrayMaxSize(4, { message: "channel:product:reviewArrayMaxSize" }),
    class_validator_1.IsNotEmpty({ message: "channel:product:reviewIsNotEmpty" }),
    class_validator_1.ValidateNested({ groups: ["import"] }),
    class_transformer_1.Type(() => articleReview_dto_1.ArticleReviewDto),
    __metadata("design:type", Array)
], AddProductArticleReviewDto.prototype, "review", void 0);
__decorate([
    class_validator_1.IsOptional(),
    swagger_1.ApiProperty({ type: productExistingRatings_dto_1.ProductExistingRatingDto, isArray: true }),
    class_validator_1.ArrayNotEmpty({ message: "channel:product:productRatingsArrayNotEmpty" }),
    class_validator_1.ArrayMaxSize(4, { message: "channel:product:productexistingratingArrayMaxSize" }),
    class_validator_1.IsNotEmpty({ message: "channel:product:productRatingsIsNotEmpty" }),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => productExistingRatings_dto_1.ProductExistingRatingDto),
    __metadata("design:type", Array)
], AddProductArticleReviewDto.prototype, "productexistingrating", void 0);
exports.AddProductArticleReviewDto = AddProductArticleReviewDto;
//# sourceMappingURL=addProductArticleReview.dto.js.map