"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddProductAvailabilityDto = void 0;
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class AddProductAvailabilityDto {
}
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ValidateIf(o => o.isavaialbleimmediate !== ""),
    class_validator_1.IsNotEmpty({ message: "channel:product:isavaialbleimmediateIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:isavaialbleimmediateIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], AddProductAvailabilityDto.prototype, "isavaialbleimmediate", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ValidateIf(o => o.avaialblefrom !== ""),
    class_validator_1.IsNotEmpty({ message: "channel:product:avaialblefromIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:avaialblefromIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], AddProductAvailabilityDto.prototype, "avaialblefrom", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ValidateIf(o => o.avaialbilitycomment !== ""),
    class_validator_1.IsNotEmpty({ message: "channel:product:avaialbilitycommentIsNotEmpty" }),
    class_validator_1.MaxLength(1000, { message: "channel:product:avaialbilitycommentMaxLen" }),
    class_validator_1.IsString({ message: "channel:product:avaialbilitycommentIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], AddProductAvailabilityDto.prototype, "avaialbilitycomment", void 0);
exports.AddProductAvailabilityDto = AddProductAvailabilityDto;
//# sourceMappingURL=addProductAvailability.dto.js.map