"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AddProductCodeDto = void 0;
const class_validator_1 = require("class-validator");
const class_transformer_1 = require("class-transformer");
const swagger_1 = require("@nestjs/swagger");
const productCode_dto_1 = require("./productCode.dto");
class AddProductCodeDto {
}
__decorate([
    class_validator_1.IsOptional(),
    swagger_1.ApiProperty({ type: productCode_dto_1.ProductCodeDto, isArray: true }),
    class_validator_1.IsNotEmpty({ message: "channel:product:productCodeTypesIsNotEmpty" }),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => productCode_dto_1.ProductCodeDto),
    __metadata("design:type", Array)
], AddProductCodeDto.prototype, "productCodeTypes", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:product:hasanyvariantIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:hasanyvariantIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], AddProductCodeDto.prototype, "hasanyvariant", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ValidateIf(o => o.variantdetails !== ""),
    class_validator_1.IsNotEmpty({ message: "channel:product:variantdetailsIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:variantdetailsIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], AddProductCodeDto.prototype, "variantdetails", void 0);
exports.AddProductCodeDto = AddProductCodeDto;
//# sourceMappingURL=addProductCode.dto.js.map