"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ArticleReviewDto = void 0;
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class ArticleReviewDto {
}
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:productarticlereviewidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:productarticlereviewidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ArticleReviewDto.prototype, "productarticlereviewid", void 0);
__decorate([
    class_validator_1.IsNotEmpty({
        message: "channel:product:reviewerNameIsNotEmpty",
        groups: ["import"]
    }),
    class_validator_1.MaxLength(255, {
        message: "text must be shorter than or equal to 255 characters",
        groups: ["import"]
    }),
    class_validator_1.IsString({ message: "channel:product:reviewerNameIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ArticleReviewDto.prototype, "reviewername", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:imageidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:imageidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ArticleReviewDto.prototype, "imageid", void 0);
__decorate([
    class_validator_1.IsOptional({ groups: ["import"] }),
    class_validator_1.IsNotEmpty({
        message: "channel:product:logoIsNotEmpty",
        groups: ["import"]
    }),
    class_validator_1.IsString({ message: "channel:product:logoIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ArticleReviewDto.prototype, "logo", void 0);
__decorate([
    class_validator_1.MaxLength(255, {
        message: "text must be shorter than or equal to 255 characters",
        groups: ["import"]
    }),
    class_validator_1.IsNotEmpty({
        message: "channel:product:articleUrlIsNotEmpty",
        groups: ["import"]
    }),
    class_validator_1.IsString({ message: "channel:product:articleUrlIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ArticleReviewDto.prototype, "articleurl", void 0);
exports.ArticleReviewDto = ArticleReviewDto;
//# sourceMappingURL=articleReview.dto.js.map