"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductCompetingDto = void 0;
const class_validator_1 = require("class-validator");
const swagger_1 = require("@nestjs/swagger");
class ProductCompetingDto {
}
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:productcompetingidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:productcompetingidIsNumber" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", Number)
], ProductCompetingDto.prototype, "productcompetingid", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:product:competingproductIsNotEmpty" }),
    class_validator_1.MinLength(3, { message: "channel:product:competingproductMinLen" }),
    class_validator_1.MaxLength(256, { message: "channel:product:competingproductMaxLen" }),
    class_validator_1.IsString({ message: "channel:product:competingproductIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ProductCompetingDto.prototype, "competingproduct", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:product:competitorIsNotEmpty" }),
    class_validator_1.MinLength(3, { message: "channel:product:competitorMinLen" }),
    class_validator_1.MaxLength(256, { message: "channel:product:competitorMaxLen" }),
    class_validator_1.IsString({ message: "channel:product:competitorIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ProductCompetingDto.prototype, "competitor", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:product:competitorproducturlIsNotEmpty" }),
    class_validator_1.MinLength(3, { message: "channel:product:competitorproducturlMinLen" }),
    class_validator_1.MaxLength(256, { message: "channel:product:competitorproducturlMaxLen" }),
    class_validator_1.IsString({ message: "channel:product:competitorproducturlIsString" }),
    swagger_1.ApiProperty(),
    __metadata("design:type", String)
], ProductCompetingDto.prototype, "competitorproducturl", void 0);
exports.ProductCompetingDto = ProductCompetingDto;
//# sourceMappingURL=productCompeting.dto.js.map