"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductImageDto = void 0;
const class_validator_1 = require("class-validator");
class ProductImageDto {
}
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:productimageidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:productimageidIsNumber" }),
    __metadata("design:type", Number)
], ProductImageDto.prototype, "productimageid", void 0);
__decorate([
    class_validator_1.IsNotEmpty({ message: "channel:product:imageidIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:imageidIsNumber" }),
    __metadata("design:type", Number)
], ProductImageDto.prototype, "imageid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:imageIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:imageIsString" }),
    __metadata("design:type", String)
], ProductImageDto.prototype, "image", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:isdefaultIsNotEmpty" }),
    class_validator_1.IsString({ message: "channel:product:isdefaultIsString" }),
    __metadata("design:type", String)
], ProductImageDto.prototype, "isdefault", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "channel:product:sortorderIsNotEmpty" }),
    class_validator_1.IsNumber({}, { message: "channel:product:sortorderIsNumber" }),
    __metadata("design:type", Number)
], ProductImageDto.prototype, "sortorder", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsString({ message: "validate:field:shouldBeString" }),
    class_validator_1.MaxLength(255, { message: "validate:field:validateMaxLength" }),
    __metadata("design:type", String)
], ProductImageDto.prototype, "documentName", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsString({ message: "validate:field:shouldBeString" }),
    class_validator_1.MaxLength(255, { message: "validate:field:validateMaxLength" }),
    __metadata("design:type", String)
], ProductImageDto.prototype, "documentDescription", void 0);
exports.ProductImageDto = ProductImageDto;
//# sourceMappingURL=productImage.dto.js.map