import { AddProductBasicInfoDto } from './AddProduct/addProductBasicInfo.dto';
import { AddProductArticleReviewDto } from './AddProduct/addProductArticleReview.dto';
import { UpdateProductImageDto } from './UpdateProduct/updateProductImage.dto';
import { AddProductPreferencesDto } from './AddProduct/addProductPreferences.dto';
import { AddProductCodeDto } from './AddProduct/addProductCode.dto';
import { AddProductPriceDto } from './AddProduct/addProductPrice.dto';
import { AddProductPackageInfoDto } from './AddProduct/addProductPackageInfo.dto';
import { AddProductCompetingDto } from './AddProduct/addProductCompeting.dto';
import { AddProductPositionDto } from './AddProduct/addProductPosition.dto';
import { AddProductRelevantChannelDto } from './AddProduct/addProductRelevantChannel.dto';
import { AddProductSellingLocationDto } from './AddProduct/addProductSellingLocation.dto';
import { AddProductTargetLocationDto } from './AddProduct/addProductTargetLocation.dto';
import { AddProductAvailabilityDto } from './AddProduct/addProductAvailability.dto';
import { UpdateProductBrochureDto } from './UpdateProduct/updateProductBrochure.dto';
import { ProductAwardsDto } from './productAwards.dto';
import { ChannelKeyRetailerDto } from '../../channel/dto/channelkeyretailer.dto';
export declare class UpdateProductDto {
    readonly productBasicInfo: AddProductBasicInfoDto;
    readonly ProductInfo: any;
    readonly productArticleReview: AddProductArticleReviewDto;
    readonly productImages: UpdateProductImageDto;
    readonly productBrochure: UpdateProductBrochureDto;
    readonly productPreferences: AddProductPreferencesDto;
    readonly productCode: AddProductCodeDto;
    readonly productPrice: AddProductPriceDto;
    readonly productPackageInfo: AddProductPackageInfoDto;
    readonly productCompeting: AddProductCompetingDto;
    readonly productPosition: AddProductPositionDto;
    readonly productRelevantChannel: AddProductRelevantChannelDto;
    readonly productSellingLocation: AddProductSellingLocationDto;
    readonly productTargetLocation: AddProductTargetLocationDto;
    readonly productAvailability: AddProductAvailabilityDto;
    readonly deletedproducttag: number[];
    readonly deletedarticlereview: number[];
    readonly deletedexistingrating: number[];
    readonly deletedproductimage: number[];
    readonly deletedproductdisplayimage: number[];
    readonly deletedproductpackageimage: number[];
    readonly deletedproductbrochure: number[];
    readonly deletedcompetingproduct: number[];
    readonly deletedkeyretailer: number[];
    readonly deletedkeydistributor: number[];
    readonly deletedkeyreseller: number[];
    readonly award_details: ProductAwardsDto[];
    readonly deleted_award_details: number[];
    readonly keyRetailers: ChannelKeyRetailerDto[];
    readonly keyDistributors: ChannelKeyRetailerDto[];
    readonly keyResellers: ChannelKeyRetailerDto[];
}
