import { Model } from 'sequelize-typescript';
import { Media } from '../../media/models/Media.entity';
import { ChannelBrand } from "../../channel/models/ChannelBrand.entity";
export declare class Brand extends Model<Brand> {
    id: number;
    brandName: string;
    documentId: number;
    document: Media;
    isAssigned: string;
    isVerified: string;
    isActive: string;
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
    channelBrand: ChannelBrand;
    static dateUpdate(brand: Brand, options: any): Promise<void>;
}
