import { Model } from 'sequelize-typescript';
import { Product } from './Product.entity';
import { Media } from './../../media/models/Media.entity';
export declare class ProductAward extends Model<ProductAward> {
    productAwardId: number;
    productId: number;
    product: Product[];
    awardDetail: string;
    issuedBy: string;
    validUpto: Date;
    documentId: number;
    document: Media;
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
    isLifeTime: string;
    static dateUpdate(productAward: ProductAward, options: any): Promise<void>;
}
