"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductChannelCustomerProfile = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Product_entity_1 = require("./Product.entity");
const Channel_entity_1 = require("../../channel/models/Channel.entity");
const ChannelCustomerProfile_entity_1 = require("../../channel/models/ChannelCustomerProfile.entity");
const tableOptions = { timestamps: false, tableName: 'tblproductchannelcustomerprofile' };
let ProductChannelCustomerProfile = class ProductChannelCustomerProfile extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductChannelCustomerProfile.prototype, "productchannelcustomerprofileid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Product_entity_1.Product),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductChannelCustomerProfile.prototype, "productId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Product_entity_1.Product),
    __metadata("design:type", Array)
], ProductChannelCustomerProfile.prototype, "product", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channel_entity_1.Channel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductChannelCustomerProfile.prototype, "channelId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel),
    __metadata("design:type", Array)
], ProductChannelCustomerProfile.prototype, "channel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ChannelCustomerProfile_entity_1.ChannelCustomerProfile),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductChannelCustomerProfile.prototype, "customerProfileId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ChannelCustomerProfile_entity_1.ChannelCustomerProfile),
    __metadata("design:type", Array)
], ProductChannelCustomerProfile.prototype, "profile", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductChannelCustomerProfile.prototype, "updatedby", void 0);
__decorate([
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProductChannelCustomerProfile.prototype, "createdat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProductChannelCustomerProfile.prototype, "updatedat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ProductChannelCustomerProfile.prototype, "deletedat", void 0);
ProductChannelCustomerProfile = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes(() => ({
        productInfo: {
            attributes: ['productchannelcustomerprofileid', 'productId', 'channelId', 'customerProfileId', 'updatedby', 'deletedat']
        }
    }))
], ProductChannelCustomerProfile);
exports.ProductChannelCustomerProfile = ProductChannelCustomerProfile;
//# sourceMappingURL=ProductChannelCustomerProfile.entity.js.map