import { Model } from 'sequelize-typescript';
import { SampleOrderDetail } from '../../order/models/SampleOrderDetail.entity';
import { Product } from './Product.entity';
import { Contact } from '../../user/models/Contact.entity';
import { ProductEvaluationRating } from './ProductEvaluationRating.entity';
import { Channel } from '../../channel/models/Channel.entity';
export declare class ProductEvaluation extends Model<ProductEvaluation> {
    productevaluationid: number;
    sampleorderdetailid: number;
    sampleOrderDetail: SampleOrderDetail;
    productid: number;
    product: Product;
    evaluatedby: number;
    contact: Contact;
    review: string;
    createdat: Date;
    updatedat: Date;
    deletedat: Date;
    channelid: number;
    channel: Channel;
    productEvaluationRating: ProductEvaluationRating[];
}
