"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductEvaluationRating = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const ProductEvaluation_entity_1 = require("./ProductEvaluation.entity");
const RatingAttribute_entity_1 = require("../../channel/models/RatingAttribute.entity");
const tableOptions = { tableName: 'tblproductevaluationrating' };
let ProductEvaluationRating = class ProductEvaluationRating extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ProductEvaluationRating.prototype, "productevaluationratingid", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    sequelize_typescript_1.ForeignKey(() => ProductEvaluation_entity_1.ProductEvaluation),
    __metadata("design:type", Number)
], ProductEvaluationRating.prototype, "productevaluationid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ProductEvaluation_entity_1.ProductEvaluation),
    __metadata("design:type", ProductEvaluation_entity_1.ProductEvaluation)
], ProductEvaluationRating.prototype, "productEvaluation", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    sequelize_typescript_1.ForeignKey(() => RatingAttribute_entity_1.RatingAttribute),
    __metadata("design:type", Number)
], ProductEvaluationRating.prototype, "ratingattributeid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => RatingAttribute_entity_1.RatingAttribute),
    __metadata("design:type", RatingAttribute_entity_1.RatingAttribute)
], ProductEvaluationRating.prototype, "ratingAttribute", void 0);
__decorate([
    sequelize_typescript_1.Column,
    __metadata("design:type", Number)
], ProductEvaluationRating.prototype, "rating", void 0);
ProductEvaluationRating = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], ProductEvaluationRating);
exports.ProductEvaluationRating = ProductEvaluationRating;
//# sourceMappingURL=ProductEvaluationRating.entity.js.map