"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.SpotDealBrand = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Brand_entity_1 = require("../../product/models/Brand.entity");
const SpotDeals_entity_1 = require("./SpotDeals.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamp: true, tableName: 'tblSpotDealBrand' };
let SpotDealBrand = class SpotDealBrand extends sequelize_typescript_1.Model {
    static async dateUpdate(SpotDealBrand, options) {
        SpotDealBrand.updatedAt = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SpotDealBrand.prototype, "id", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => SpotDeals_entity_1.SpotDeals),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SpotDealBrand.prototype, "spotId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => SpotDeals_entity_1.SpotDeals),
    __metadata("design:type", Array)
], SpotDealBrand.prototype, "SpotDeals", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Brand_entity_1.Brand),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], SpotDealBrand.prototype, "brandId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Brand_entity_1.Brand),
    __metadata("design:type", Brand_entity_1.Brand)
], SpotDealBrand.prototype, "brand", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SpotDealBrand.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SpotDealBrand.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], SpotDealBrand.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [SpotDealBrand, Object]),
    __metadata("design:returntype", Promise)
], SpotDealBrand, "dateUpdate", null);
SpotDealBrand = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], SpotDealBrand);
exports.SpotDealBrand = SpotDealBrand;
//# sourceMappingURL=SpotDealBrand.entity.js.map