'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductMediaLibraryProvider = exports.ProfileProgressProvider = exports.spotDealImageProvider = exports.spotDealBrandProvider = exports.spotDealsProvider = exports.productAwardProvider = exports.channelCustomerProfileProvider = exports.channelTypeProvider = exports.profileTypeClassificationProvider = exports.profileTypeProvider = exports.unitProvider = exports.productUniversalCodeProvider = exports.productSharePreferenceProvider = exports.productPriceDetailProvider = exports.productPackageInfoProvider = exports.productLocationProvider = exports.productKeyPartnerJCTProvider = exports.productImageProvider = exports.productCompetingProvider = exports.productChannelCustomerProfileProvider = exports.discountUnitProvider = exports.productExistRatingProvider = exports.productArticleReviewProvider = exports.productTagProvider = exports.productDetailProvider = exports.awardResultProvider = exports.productJctProvider = exports.productProvider = void 0;
const Product_entity_1 = require("../models/Product.entity");
const ProductDetail_entity_1 = require("../models/ProductDetail.entity");
const ProductTag_entity_1 = require("../models/ProductTag.entity");
const ProductArticleReview_entity_1 = require("../models/ProductArticleReview.entity");
const ProductExistRating_entity_1 = require("../models/ProductExistRating.entity");
const DiscountUnit_entity_1 = require("../models/DiscountUnit.entity");
const ProductChannelCustomerProfile_entity_1 = require("../models/ProductChannelCustomerProfile.entity");
const ProductCompeting_entity_1 = require("../models/ProductCompeting.entity");
const ProductImage_entity_1 = require("../models/ProductImage.entity");
const ProductKeyPartnerJCT_entity_1 = require("../models/ProductKeyPartnerJCT.entity");
const ProductLocation_entity_1 = require("../models/ProductLocation.entity");
const ProductPackageInfo_entity_1 = require("../models/ProductPackageInfo.entity");
const ProductPriceDetail_entity_1 = require("../models/ProductPriceDetail.entity");
const ProductSharePreference_entity_1 = require("../models/ProductSharePreference.entity");
const ProductUniversalCode_entity_1 = require("../models/ProductUniversalCode.entity");
const Unit_entity_1 = require("../models/Unit.entity");
const ProfileType_entity_1 = require("../../channel/models/ProfileType.entity");
const ProfileTypeClassification_entity_1 = require("../../channel/models/ProfileTypeClassification.entity");
const ChannelType_entity_1 = require("../../channel/models/ChannelType.entity");
const ChannelCustomerProfile_entity_1 = require("../../channel/models/ChannelCustomerProfile.entity");
const ProductAward_entity_1 = require("./../models/ProductAward.entity");
const AwardResult_entity_1 = require("./../models/AwardResult.entity");
const SpotDeals_entity_1 = require("./../models/SpotDeals.entity");
const SpotDealBrand_entity_1 = require("./../models/SpotDealBrand.entity");
const SpotDealImages_entity_1 = require("./../models/SpotDealImages.entity");
const ProfileList_entity_1 = require("../../channel/models/ProfileList.entity");
const ProductMediaLibrary_entity_1 = require("../models/ProductMediaLibrary.entity");
const ProductJCT_entity_1 = require("../models/ProductJCT.entity");
exports.productProvider = [
    {
        provide: 'ProductRepository',
        useValue: Product_entity_1.Product
    }
];
exports.productJctProvider = [
    {
        provide: 'ProductJctRepository',
        useValue: ProductJCT_entity_1.ProductJCT
    }
];
exports.awardResultProvider = [
    {
        provide: 'AwardRepository',
        useValue: AwardResult_entity_1.AwardResult
    }
];
exports.productDetailProvider = [
    {
        provide: 'ProductDetailRepository',
        useValue: ProductDetail_entity_1.ProductDetail
    }
];
exports.productTagProvider = [
    {
        provide: 'ProductTagRepository',
        useValue: ProductTag_entity_1.ProductTag
    }
];
exports.productArticleReviewProvider = [
    {
        provide: 'ProductArticleReviewRepository',
        useValue: ProductArticleReview_entity_1.ProductArticleReview
    }
];
exports.productExistRatingProvider = [
    {
        provide: 'ProductExistRatingRepository',
        useValue: ProductExistRating_entity_1.ProductExistRating
    }
];
exports.discountUnitProvider = [
    {
        provide: 'DiscountUnitRepository',
        useValue: DiscountUnit_entity_1.DiscountUnit
    }
];
exports.productChannelCustomerProfileProvider = [
    {
        provide: 'ProductChannelCustomerProfileRepository',
        useValue: ProductChannelCustomerProfile_entity_1.ProductChannelCustomerProfile
    }
];
exports.productCompetingProvider = [
    {
        provide: 'ProductCompetingRepository',
        useValue: ProductCompeting_entity_1.ProductCompeting
    }
];
exports.productImageProvider = [
    {
        provide: 'ProductImageRepository',
        useValue: ProductImage_entity_1.ProductImage
    }
];
exports.productKeyPartnerJCTProvider = [
    {
        provide: 'ProductKeyPartnerJCTRepository',
        useValue: ProductKeyPartnerJCT_entity_1.ProductKeyPartnerJCT
    }
];
exports.productLocationProvider = [
    {
        provide: 'ProductLocationRepository',
        useValue: ProductLocation_entity_1.ProductLocation
    }
];
exports.productPackageInfoProvider = [
    {
        provide: 'ProductPackageInfoRepository',
        useValue: ProductPackageInfo_entity_1.ProductPackageInfo
    }
];
exports.productPriceDetailProvider = [
    {
        provide: 'ProductPriceDetailRepository',
        useValue: ProductPriceDetail_entity_1.ProductPriceDetail
    }
];
exports.productSharePreferenceProvider = [
    {
        provide: 'ProductSharePreferenceRepository',
        useValue: ProductSharePreference_entity_1.ProductSharePreference
    }
];
exports.productUniversalCodeProvider = [
    {
        provide: 'ProductUniversalCodeRepository',
        useValue: ProductUniversalCode_entity_1.ProductUniversalCode
    }
];
exports.unitProvider = [
    {
        provide: 'UnitRepository',
        useValue: Unit_entity_1.Unit
    }
];
exports.profileTypeProvider = [
    {
        provide: 'ProfileTypeRepository',
        useValue: ProfileType_entity_1.ProfileType
    }
];
exports.profileTypeClassificationProvider = [
    {
        provide: 'ProfileTypeClassificationRepository',
        useValue: ProfileTypeClassification_entity_1.ProfileTypeClassification
    }
];
exports.channelTypeProvider = [
    {
        provide: 'ChannelTypeRepository',
        useValue: ChannelType_entity_1.ChannelType
    },
];
exports.channelCustomerProfileProvider = [
    {
        provide: 'ChannelCustomerProfileRepository',
        useValue: ChannelCustomerProfile_entity_1.ChannelCustomerProfile
    }
];
exports.productAwardProvider = [
    {
        provide: 'ProductAwardRepository',
        useValue: ProductAward_entity_1.ProductAward
    }
];
exports.spotDealsProvider = [
    {
        provide: 'SpotDealsRepository',
        useValue: SpotDeals_entity_1.SpotDeals
    }
];
exports.spotDealBrandProvider = [
    {
        provide: 'SpotDealBrandRepository',
        useValue: SpotDealBrand_entity_1.SpotDealBrand
    }
];
exports.spotDealImageProvider = [
    {
        provide: 'SpotDealImageRepository',
        useValue: SpotDealImages_entity_1.SpotDealImages
    }
];
exports.ProfileProgressProvider = [
    {
        provide: 'ProfileRepository',
        useValue: ProfileList_entity_1.ProfileList,
    }
];
exports.ProductMediaLibraryProvider = [
    {
        provide: 'ProductMediaLibraryRepository',
        useValue: ProductMediaLibrary_entity_1.ProductMediaLibrary,
    }
];
//# sourceMappingURL=product.providers.js.map