'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductRejectProviders = exports.RejectReasonProviders = exports.productGroupProviders = void 0;
const ProductGroup_entity_1 = require("../models/ProductGroup.entity");
const RejectReason_entity_1 = require("../models/RejectReason.entity");
const ProductReject_entity_1 = require("./../models/ProductReject.entity");
exports.productGroupProviders = [
    {
        provide: 'ProductGroupRepository',
        useValue: ProductGroup_entity_1.ProductGroup,
    },
];
exports.RejectReasonProviders = [
    {
        provide: 'RejectReasonRepository',
        useValue: RejectReason_entity_1.RejectReason
    }
];
exports.ProductRejectProviders = [
    {
        provide: 'ProductRejectRepository',
        useValue: ProductReject_entity_1.ProductReject
    }
];
//# sourceMappingURL=productGroup.providers.js.map