import { ProductGroup } from '../models/ProductGroup.entity';
import { ProductCategory } from '../models/ProductCategory.entity';
import { CreateBrandDto } from './../dto/createBrand.dto';
import { Brand } from '../../product/models/Brand.entity';
import { UpdateBrandDto } from '../dto/UpdateBrand.dto';
import { BaseService } from 'src/core/service/base.service';
export declare class ProductAdminService extends BaseService {
    private readonly productGroupRepository;
    private readonly productCategoryRepository;
    private readonly brandRepository;
    private readonly sequelizeInstance;
    constructor(productGroupRepository: typeof ProductGroup, productCategoryRepository: typeof ProductCategory, brandRepository: typeof Brand, sequelizeInstance: any);
    createBrand(createBrandDto: CreateBrandDto): Promise<any>;
    getBrands(pagination: any): Promise<Array<any>>;
    getBrand(id: number): Promise<any | null>;
    updateBrand(id: number, updateBrandDto: UpdateBrandDto): Promise<any | null>;
}
