import { Unit } from '../models/Unit.entity';
import { UnitDto } from '../dto/unit.dto';
export declare class UnitService {
    private readonly repository;
    private readonly sequelizeInstance;
    constructor(repository: typeof Unit, sequelizeInstance: any);
    create(data: UnitDto): Promise<any>;
    findAll(pagination: any): Promise<Array<Unit>>;
    findOne(options: Object): Promise<Unit | null>;
    findByPk(id: number): Promise<Unit | null>;
    update(id: number, newValue: any): Promise<Unit | null>;
    delete(id: number): Promise<void>;
    getCount(): Promise<number>;
    private _buildObject;
}
