import { Media } from '../../media/models/Media.entity';
import { AddProductDto } from "../dto/addProduct.dto";
import { Product } from "../models/Product.entity";
import { ProductSharePreference } from "../models/ProductSharePreference.entity";
import { ProductChannelCustomerProfile } from "../models/ProductChannelCustomerProfile.entity";
import { ProductLocation } from "../models/ProductLocation.entity";
import { UpdateProductDto } from '../dto/updateProduct.dto';
export declare class ProductSerivceInBound {
    constructor();
    setDocumentObject(docTempPath: string, doctype: number, folderPath?: string): Promise<Media>;
    setProductObject(product: AddProductDto, user: any): Promise<Product>;
    setProductUpdateObject(product: AddProductDto, productData: any): Promise<Product>;
    setUpdateProductObject(product: AddProductDto, user: any, productData: any): Promise<any>;
    setProductSellingLocation(product: AddProductDto, productData: any, user: any, activeIds: number[]): Promise<ProductLocation[]>;
    setProductTargetLocation(product: AddProductDto, productData: any, user: any, activeIds: number[]): Promise<ProductLocation[]>;
    setProductImportObject(product: any, masters: any, imageFolder: any): Promise<any>;
    setReviewArticles(imageFolder: any, name: any, logo: any, url: any): Promise<{
        reviewername: any;
        articleurl: any;
    }>;
    setProductChannelCustomerProfile(product: UpdateProductDto, productData: any, user: any, activeIds: number[]): Promise<ProductChannelCustomerProfile[]>;
    setUpdateProductRelationObject(product: UpdateProductDto, user: any, productData: any): Promise<Product>;
    setProductSharePreference(product: UpdateProductDto, productData: any, user: any, activeIds: number[]): Promise<ProductSharePreference[]>;
}
