import { ContextService } from '../../../context/context.service';
import { UserService } from '../service/user.service';
import { AddUserDto } from '../dto/addUser.dto';
import { UpdateUserDto } from '../dto/updateUser.dto';
export declare class UserController {
    private userService;
    private readonly sequelizeInstance;
    private context;
    constructor(userService: UserService, sequelizeInstance: any, context: ContextService);
    addNewUser(res: any, req: any, addUserDto: AddUserDto): Promise<void>;
    userProfileUpdate(id: any, userDto: UpdateUserDto, res: any, req: any): Promise<void>;
    getPreference(res: any, req: any): Promise<any>;
    getMailPreference(res: any, req: any): Promise<any>;
    getUserPreference(contactId: any, res: any, req: any): Promise<any>;
    getUserPrevilege(contactId: any, res: any, req: any): Promise<any>;
    getDefaultContact(res: any, req: any): Promise<any>;
    getAllContacts(res: any, req: any): Promise<any>;
    setDefaultContact(contactId: any, res: any, req: any): Promise<any>;
    userCountry(req: any, res: any): Promise<void>;
    getContact(id: any, res: any): Promise<void>;
    getLogedUserFeatreList(req: any, res: any): Promise<void>;
    isAlgorithm(id: any, res: any): Promise<void>;
    checkmail(email: any, data: any, res: any): Promise<void>;
}
