"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UpdateMyProfileDto = void 0;
const class_validator_1 = require("class-validator");
const profile_dto_1 = require("./UpdateUser/profile.dto");
const class_transformer_1 = require("class-transformer");
const tradeInformation_Product_Families_dto_1 = require("./../../channel/dto/tradeInformation_Product_Families.dto");
const tradeInformation_Product_Categories_dto_1 = require("./../../channel/dto/tradeInformation_Product_Categories.dto");
const channelLocation_dto_1 = require("./../../channel/dto/channelLocation.dto");
const channelContactSuggestion_dto_1 = require("./channelContactSuggestion.dto");
class UpdateMyProfileDto {
}
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => profile_dto_1.UpdateProfileDto),
    __metadata("design:type", profile_dto_1.UpdateProfileDto)
], UpdateMyProfileDto.prototype, "contact", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "channel:tradeinformation:productFamiliesArray" }),
    class_validator_1.IsNotEmpty({ message: "channel:tradeinformation:productFamiliesArrayNotEmpty" }),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => tradeInformation_Product_Families_dto_1.TradeInformation_Product_FamiliesDto),
    __metadata("design:type", Array)
], UpdateMyProfileDto.prototype, "productFamilies", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "channel:tradeinformation:productCategoriesArray" }),
    class_validator_1.IsNotEmpty({ message: "channel:tradeinformation:productCategoriesNotEmpty" }),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => tradeInformation_Product_Categories_dto_1.TradeInformation_Product_CategoriesDto),
    __metadata("design:type", Array)
], UpdateMyProfileDto.prototype, "productCategories", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "channel:tradeinformation:productFamiliesArray" }),
    class_validator_1.IsNotEmpty({ message: "channel:tradeinformation:productFamiliesArrayNotEmpty" }),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => tradeInformation_Product_Families_dto_1.TradeInformation_Product_FamiliesDto),
    __metadata("design:type", Array)
], UpdateMyProfileDto.prototype, "interestedProductFamilies", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "channel:tradeinformation:productCategoriesArray" }),
    class_validator_1.IsNotEmpty({ message: "channel:tradeinformation:productCategoriesNotEmpty" }),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => tradeInformation_Product_Categories_dto_1.TradeInformation_Product_CategoriesDto),
    __metadata("design:type", Array)
], UpdateMyProfileDto.prototype, "interestedProductCategories", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "validate:field:shouldBeArray" }),
    class_validator_1.IsNotEmpty({ message: "validate:field:shouldNotEmpty" }),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => channelLocation_dto_1.ChannelLocationDto),
    __metadata("design:type", Array)
], UpdateMyProfileDto.prototype, "locations", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.ArrayNotEmpty({ message: "channel:channelcontactcuggestion:sharetypeidArray" }),
    class_validator_1.IsNotEmpty({ message: "channel:channelcontactcuggestion:sharetypeidArrayNotEmpty" }),
    class_validator_1.ValidateNested(),
    class_transformer_1.Type(() => channelContactSuggestion_dto_1.channelContactSuggestionDto),
    __metadata("design:type", Array)
], UpdateMyProfileDto.prototype, "channelContactSuggestion", void 0);
exports.UpdateMyProfileDto = UpdateMyProfileDto;
//# sourceMappingURL=updateMyProfile.dto.js.map