'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelTypeAccessPermission = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const AccessPermission_entity_1 = require("./AccessPermission.entity");
const ChannelType_entity_1 = require("./../../channel/models/ChannelType.entity");
const tableOptions = { timestamp: true, tableName: 'tblchanneltypeaccesspermission' };
let ChannelTypeAccessPermission = class ChannelTypeAccessPermission extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelTypeAccessPermission.prototype, "channeltypeaccesspermissionid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => AccessPermission_entity_1.AccessPermission),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelTypeAccessPermission.prototype, "accesspermissionid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => AccessPermission_entity_1.AccessPermission),
    __metadata("design:type", AccessPermission_entity_1.AccessPermission)
], ChannelTypeAccessPermission.prototype, "AccessPermission", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ChannelType_entity_1.ChannelType),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ChannelTypeAccessPermission.prototype, "channeltypeid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ChannelType_entity_1.ChannelType),
    __metadata("design:type", ChannelType_entity_1.ChannelType)
], ChannelTypeAccessPermission.prototype, "channelType", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelTypeAccessPermission.prototype, "deletedat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ChannelTypeAccessPermission.prototype, "createdat", void 0);
ChannelTypeAccessPermission = __decorate([
    sequelize_typescript_1.Scopes({
        getChannelTypeAccessPermission: {
            attributes: ['channeltypeaccesspermissionid', 'accesspermissionid', 'channeltypeid']
        }
    }),
    sequelize_typescript_1.Table(tableOptions)
], ChannelTypeAccessPermission);
exports.ChannelTypeAccessPermission = ChannelTypeAccessPermission;
//# sourceMappingURL=ChannelTypeAccessPermission.entity.js.map