"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContactInterestedProductCategory = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Contact_entity_1 = require("./../../user/models/Contact.entity");
const ProductCategory_entity_1 = require("../../product/models/ProductCategory.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamp: true, tableName: 'tblContactInterestedProductCategory' };
let ContactInterestedProductCategory = class ContactInterestedProductCategory extends sequelize_typescript_1.Model {
    static async dateUpdate(contactInterestedProductCategory, options) {
        contactInterestedProductCategory.updatedAt = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ContactInterestedProductCategory.prototype, "contactInterestedProductCategoryId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Contact_entity_1.Contact),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ContactInterestedProductCategory.prototype, "contactId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Contact_entity_1.Contact),
    __metadata("design:type", Array)
], ContactInterestedProductCategory.prototype, "contact", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ProductCategory_entity_1.ProductCategory),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], ContactInterestedProductCategory.prototype, "productCategorieId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ProductCategory_entity_1.ProductCategory),
    __metadata("design:type", ProductCategory_entity_1.ProductCategory)
], ContactInterestedProductCategory.prototype, "productCategorie", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ContactInterestedProductCategory.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ContactInterestedProductCategory.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], ContactInterestedProductCategory.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [ContactInterestedProductCategory, Object]),
    __metadata("design:returntype", Promise)
], ContactInterestedProductCategory, "dateUpdate", null);
ContactInterestedProductCategory = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes({
        contactProductInfom: {
            attributes: ['contactInterestedProductCategoryId', 'contactId', 'productCategorieId']
        }
    })
], ContactInterestedProductCategory);
exports.ContactInterestedProductCategory = ContactInterestedProductCategory;
//# sourceMappingURL=ContactInterestedProductCategory.entity.js.map