import { Model } from 'sequelize-typescript';
import { Channel } from './../../channel/models/Channel.entity';
import { Contact } from './Contact.entity';
import { RegionCountryJCT } from './../../common/models/RegionCountryJCT.entity';
import { User } from './../../user/models/User.entity';
export declare class ContactLocation extends Model<ContactLocation> {
    contactLocationId: number;
    channelId: number;
    Channel: Channel[];
    contactId: number;
    Contact: Contact[];
    locationType: string;
    regionCountryJCTId: number;
    RegionCountryJCT: RegionCountryJCT[];
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
    updatedBy: number;
    User: User;
    static dateUpdate(contactLocation: ContactLocation, options: any): Promise<void>;
}
