import { Model } from 'sequelize-typescript';
import { Contact } from './../../user/models/Contact.entity';
import { ProductGroup } from '../../product/models/ProductGroup.entity';
export declare class ContactProductGroup extends Model<ContactProductGroup> {
    contactProductGroupId: number;
    contactId: number;
    contact: Contact[];
    productGroupId: number;
    productGroup: ProductGroup;
    deletedAt: Date;
    createdAt: Date;
    updatedAt: Date;
    static dateUpdate(contactProductGroup: ContactProductGroup, options: any): Promise<void>;
}
