"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.InterestedProductGroup = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const Contact_entity_1 = require("./../../user/models/Contact.entity");
const ProductGroup_entity_1 = require("../../product/models/ProductGroup.entity");
const Channel_entity_1 = require("../../channel/models/Channel.entity");
var Sequelize = require('sequelize');
const tableOptions = { timestamp: true, tableName: 'tblInterestedProductGroup' };
let InterestedProductGroup = class InterestedProductGroup extends sequelize_typescript_1.Model {
    static async dateUpdate(InterestedProductGroup, options) {
        InterestedProductGroup.updatedAt = Sequelize.fn('NOW');
    }
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], InterestedProductGroup.prototype, "InterestedProductGroupId", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Contact_entity_1.Contact),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], InterestedProductGroup.prototype, "contactId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Contact_entity_1.Contact),
    __metadata("design:type", Array)
], InterestedProductGroup.prototype, "contact", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => Channel_entity_1.Channel),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], InterestedProductGroup.prototype, "channelId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => Channel_entity_1.Channel),
    __metadata("design:type", Array)
], InterestedProductGroup.prototype, "channel", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => ProductGroup_entity_1.ProductGroup),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], InterestedProductGroup.prototype, "productGroupId", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => ProductGroup_entity_1.ProductGroup),
    __metadata("design:type", ProductGroup_entity_1.ProductGroup)
], InterestedProductGroup.prototype, "productGroup", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], InterestedProductGroup.prototype, "deletedAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], InterestedProductGroup.prototype, "createdAt", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], InterestedProductGroup.prototype, "updatedAt", void 0);
__decorate([
    sequelize_typescript_1.BeforeCreate,
    sequelize_typescript_1.BeforeUpdate,
    __metadata("design:type", Function),
    __metadata("design:paramtypes", [InterestedProductGroup, Object]),
    __metadata("design:returntype", Promise)
], InterestedProductGroup, "dateUpdate", null);
InterestedProductGroup = __decorate([
    sequelize_typescript_1.Table(tableOptions),
    sequelize_typescript_1.Scopes({
        contactProductInfom: {
            attributes: ['InterestedProductGroupId', 'contactId', 'channelId', 'productGroupId']
        }
    })
], InterestedProductGroup);
exports.InterestedProductGroup = InterestedProductGroup;
//# sourceMappingURL=InterestedProductGroup.entity.js.map