import { Model } from 'sequelize-typescript';
import { Channel } from '../../channel/models/Channel.entity';
import { ChannelType } from '../../channel/models/ChannelType.entity';
import { Media } from '../../media/models/Media.entity';
export declare class ReferenceContact extends Model<ReferenceContact> {
    referencecontactid: number;
    channelid: number;
    channel: Channel;
    companyname: string;
    companytypeid: number;
    channeltype: ChannelType;
    firstname: string;
    lastname: string;
    phone1: string;
    phone2: string;
    mobileno: string;
    email: string;
    jobtitle: string;
    linkedin: string;
    avatarid: number;
    avatar: Media;
    createdat: Date;
    updatedat: Date;
}
