'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserAccessPermission = void 0;
const sequelize_typescript_1 = require("sequelize-typescript");
const tableOptions = { timestamps: false, tableName: 'tbluseraccesspermission' };
const User_entity_1 = require("./User.entity");
const AccessPermission_entity_1 = require("./AccessPermission.entity");
let UserAccessPermission = class UserAccessPermission extends sequelize_typescript_1.Model {
};
__decorate([
    sequelize_typescript_1.PrimaryKey,
    sequelize_typescript_1.AutoIncrement,
    sequelize_typescript_1.AllowNull(false),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], UserAccessPermission.prototype, "useraccesspermissionid", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => User_entity_1.User),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], UserAccessPermission.prototype, "userid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => User_entity_1.User),
    __metadata("design:type", User_entity_1.User)
], UserAccessPermission.prototype, "user", void 0);
__decorate([
    sequelize_typescript_1.ForeignKey(() => AccessPermission_entity_1.AccessPermission),
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.BIGINT),
    __metadata("design:type", Number)
], UserAccessPermission.prototype, "accesspermissionid", void 0);
__decorate([
    sequelize_typescript_1.BelongsTo(() => AccessPermission_entity_1.AccessPermission),
    __metadata("design:type", AccessPermission_entity_1.AccessPermission)
], UserAccessPermission.prototype, "AccessPermission", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], UserAccessPermission.prototype, "deletedat", void 0);
__decorate([
    sequelize_typescript_1.Column(sequelize_typescript_1.DataType.DATE),
    __metadata("design:type", Date)
], UserAccessPermission.prototype, "createdat", void 0);
UserAccessPermission = __decorate([
    sequelize_typescript_1.Table(tableOptions)
], UserAccessPermission);
exports.UserAccessPermission = UserAccessPermission;
//# sourceMappingURL=UserAccessPermission.entity.js.map