import { Contact } from '../models/Contact.entity';
import { ContactProductCategory } from './../models/ContactProductCategory.entity';
import { ContactProductGroup } from './../models/ContactProductGroup.entity';
import { ContactInterestedProductCategory } from './../models/ContactInterestedProductCategory.entity';
import { ContactInterestedProductGroup } from './../models/ContactInterestedProductGroup.entity';
import { ContactSocialLink } from './../models/ContactSocialLink.entity';
import { ChannelContactSuggestion } from '../../channel/models/ChannelContactSuggestion.entity';
import { ReferenceContact } from './../models/ReferenceContact.entity';
import { InterestedProductGroup } from '../models/InterestedProductGroup.entity';
import { InterestedProductCategory } from '../models/InterestedProductCategory.entity';
export declare const ContactProviders: {
    provide: string;
    useValue: typeof Contact;
}[];
export declare const ReferenceContactProviders: {
    provide: string;
    useValue: typeof ReferenceContact;
}[];
export declare const ContactProductCategoryProvider: {
    provide: string;
    useValue: typeof ContactProductCategory;
}[];
export declare const ContactProductGroupProvider: {
    provide: string;
    useValue: typeof ContactProductGroup;
}[];
export declare const ContactInterestedProductCategoryProvider: {
    provide: string;
    useValue: typeof ContactInterestedProductCategory;
}[];
export declare const InterestedProductCategoryProvider: {
    provide: string;
    useValue: typeof InterestedProductCategory;
}[];
export declare const ContactInterestedProductGroupProvider: {
    provide: string;
    useValue: typeof ContactInterestedProductGroup;
}[];
export declare const InterestedProductGroupProvider: {
    provide: string;
    useValue: typeof InterestedProductGroup;
}[];
export declare const ContactSocialLinkProvider: {
    provide: string;
    useValue: typeof ContactSocialLink;
}[];
export declare const ContactSuggestionProvider: {
    provide: string;
    useValue: typeof ChannelContactSuggestion;
}[];
