'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContactSuggestionProvider = exports.ContactSocialLinkProvider = exports.InterestedProductGroupProvider = exports.ContactInterestedProductGroupProvider = exports.InterestedProductCategoryProvider = exports.ContactInterestedProductCategoryProvider = exports.ContactProductGroupProvider = exports.ContactProductCategoryProvider = exports.ReferenceContactProviders = exports.ContactProviders = void 0;
const Contact_entity_1 = require("../models/Contact.entity");
const ContactProductCategory_entity_1 = require("./../models/ContactProductCategory.entity");
const ContactProductGroup_entity_1 = require("./../models/ContactProductGroup.entity");
const ContactInterestedProductCategory_entity_1 = require("./../models/ContactInterestedProductCategory.entity");
const ContactInterestedProductGroup_entity_1 = require("./../models/ContactInterestedProductGroup.entity");
const ContactSocialLink_entity_1 = require("./../models/ContactSocialLink.entity");
const ChannelContactSuggestion_entity_1 = require("../../channel/models/ChannelContactSuggestion.entity");
const ReferenceContact_entity_1 = require("./../models/ReferenceContact.entity");
const InterestedProductGroup_entity_1 = require("../models/InterestedProductGroup.entity");
const InterestedProductCategory_entity_1 = require("../models/InterestedProductCategory.entity");
exports.ContactProviders = [
    {
        provide: 'ContactRepository',
        useValue: Contact_entity_1.Contact,
    },
];
exports.ReferenceContactProviders = [
    {
        provide: 'ReferenceContactRepository',
        useValue: ReferenceContact_entity_1.ReferenceContact,
    },
];
exports.ContactProductCategoryProvider = [
    {
        provide: 'ContactProductCategoryRepository',
        useValue: ContactProductCategory_entity_1.ContactProductCategory
    }
];
exports.ContactProductGroupProvider = [
    {
        provide: 'ContactProductGroupRepository',
        useValue: ContactProductGroup_entity_1.ContactProductGroup
    }
];
exports.ContactInterestedProductCategoryProvider = [
    {
        provide: 'ContactInterestedProductCategoryRepository',
        useValue: ContactInterestedProductCategory_entity_1.ContactInterestedProductCategory
    }
];
exports.InterestedProductCategoryProvider = [
    {
        provide: 'InterestedProductCategoryRepository',
        useValue: InterestedProductCategory_entity_1.InterestedProductCategory
    }
];
exports.ContactInterestedProductGroupProvider = [
    {
        provide: 'ContactInterestedProductGroupRepository',
        useValue: ContactInterestedProductGroup_entity_1.ContactInterestedProductGroup
    }
];
exports.InterestedProductGroupProvider = [
    {
        provide: 'InterestedProductGroupRepository',
        useValue: InterestedProductGroup_entity_1.InterestedProductGroup
    }
];
exports.ContactSocialLinkProvider = [
    {
        provide: 'ContactSocialLinkRepository',
        useValue: ContactSocialLink_entity_1.ContactSocialLink
    }
];
exports.ContactSuggestionProvider = [
    {
        provide: 'ContactSuggestionRepository',
        useValue: ChannelContactSuggestion_entity_1.ChannelContactSuggestion
    }
];
//# sourceMappingURL=contact.providers.js.map