'use strict';
Object.defineProperty(exports, "__esModule", { value: true });
exports.ChannelTypeAccessPermissionProviders = exports.UserAccessPermissionProviders = exports.PreferenceProviders = void 0;
const AccessPermission_entity_1 = require("./../models/AccessPermission.entity");
const UserAccessPermission_entity_1 = require("./../models/UserAccessPermission.entity");
const ChannelTypeAccessPermission_entity_1 = require("../models/ChannelTypeAccessPermission.entity");
exports.PreferenceProviders = [
    {
        provide: 'PreferenceRepository',
        useValue: AccessPermission_entity_1.AccessPermission,
    },
];
exports.UserAccessPermissionProviders = [
    {
        provide: 'UserAccessPermissionRepository',
        useValue: UserAccessPermission_entity_1.UserAccessPermission,
    }
];
exports.ChannelTypeAccessPermissionProviders = [
    {
        provide: 'ChannelTypeAccessPermissionRepository',
        useValue: ChannelTypeAccessPermission_entity_1.ChannelTypeAccessPermission,
    }
];
//# sourceMappingURL=preference.providers.js.map