import { MyAddressBookDto } from './../dto/myAddressBook.dto';
import { MyAddressBook } from '../models/MyAddressBook.entity';
export declare class MyAddressBookService {
    private readonly repository;
    private readonly sequelizeInstance;
    constructor(repository: typeof MyAddressBook, sequelizeInstance: any);
    create(data: MyAddressBookDto, user: any): Promise<any>;
    getCount(user: any, type?: any): Promise<number>;
    findAll(user: any, type?: any): Promise<Array<MyAddressBook>>;
    findOne(options: Object): Promise<MyAddressBook | null>;
    findById(id: number, user: any): Promise<MyAddressBook | null>;
    update(id: number, newValue: any, user: any): Promise<MyAddressBook | null>;
    delete(id: number, user: any): Promise<void>;
    private _buildObject;
}
