"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UserServiceOutBound = void 0;
class UserServiceOutBound {
    async getContactList(newlist, pagination, total, defaultContact = 0, aggregations, active) {
        let base = {
            pagination: {
                total: +total,
                offset: pagination.offset,
                limit: pagination.limit,
                page: pagination.page,
            },
            records: newlist,
            defaultContact: defaultContact
        };
        if (active) {
            base = Object.assign(base, { active: active });
        }
        if (aggregations) {
            base = Object.assign(base, { aggregations: aggregations });
        }
        return base;
    }
    async getContactList1(newlist, conlist) {
        let base = [];
        newlist.map(data => {
            let array = {};
            console.log("data", data.documentPath);
            if (conlist.includes(data.contactId)) {
                array = Object.assign(data, { contact_status: 1 });
            }
            else {
                array = Object.assign(data, { contact_status: 0 });
            }
            base.push(array);
        });
        return base;
    }
}
exports.UserServiceOutBound = UserServiceOutBound;
//# sourceMappingURL=userServiceOutBound.js.map