import { UserWalletAmount } from '../models/UserWalletAmount.entity';
import { OtherPayment } from '../../channel/models/OtherPayment.entity';
import { WalletTransaction } from '../models/WalletTransaction.entity';
import { WalletUsageType } from '../models/WalletUsageType.entity';
import { BaseService } from 'src/core/service/base.service';
export declare class walletRechargeService extends BaseService {
    private readonly otherPaymentRepository;
    private readonly userWalletAmountRepository;
    private readonly walletTransactionRepository;
    private readonly walletUsageTypeRepository;
    constructor(otherPaymentRepository: typeof OtherPayment, userWalletAmountRepository: typeof UserWalletAmount, walletTransactionRepository: typeof WalletTransaction, walletUsageTypeRepository: typeof WalletUsageType);
    getTransactionIdForWalletRecharge(amount: any, payeeChannelId: any, payerChannelId: any, userId: any, secretKey: any, paymentIntentId?: any, entity?: string): Promise<OtherPayment>;
    completeWalletRecharge(req: any, user: any): Promise<OtherPayment | [number, OtherPayment[]]>;
    getWalletRecharge(user: any): Promise<UserWalletAmount>;
    processWalletPayment(req: any, user: any): Promise<UserWalletAmount>;
}
