"use strict";
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.WalletRechargeModule = void 0;
const common_1 = require("@nestjs/common");
const walletRecharge_controller_1 = require("./controller/walletRecharge.controller");
const walletRecharge_providers_1 = require("./provider/walletRecharge.providers");
const walletRecharge_service_1 = require("./service/walletRecharge.service");
let WalletRechargeModule = class WalletRechargeModule {
};
WalletRechargeModule = __decorate([
    common_1.Module({
        controllers: [walletRecharge_controller_1.walletRechargeController],
        providers: [
            ...walletRecharge_providers_1.OtherPaymentProviders,
            ...walletRecharge_providers_1.UserWalletAmountProviders,
            ...walletRecharge_providers_1.WalletTransactionProviders,
            ...walletRecharge_providers_1.WalletUsageTypeProviders,
            walletRecharge_service_1.walletRechargeService
        ],
        exports: [
            ...walletRecharge_providers_1.OtherPaymentProviders,
            ...walletRecharge_providers_1.UserWalletAmountProviders,
            ...walletRecharge_providers_1.WalletTransactionProviders,
            ...walletRecharge_providers_1.WalletUsageTypeProviders
        ]
    })
], WalletRechargeModule);
exports.WalletRechargeModule = WalletRechargeModule;
//# sourceMappingURL=walletRecharge.module.js.map