import { ProductDto } from './../dto/product.dto';
import { ProductMoveDto } from './../dto/productMove.dto';
import { WishlistService } from './../service/wishlist.service';
import { GroupDto } from '../dto/group.dto';
import { BaseController } from 'src/core/controller/base.controller';
export declare class IndexController extends BaseController {
    private wishlistService;
    constructor(wishlistService: WishlistService);
    _validateWishlistModule(user: any): Promise<void>;
    getMywishlist(req: any, res: any, productFilters: any): Promise<void>;
    addToMywishlist(req: any, res: any, product: ProductDto): Promise<void>;
    removeFromMywishlist(req: any, res: any, id: any): Promise<void>;
    getItemCount(req: any, res: any): Promise<void>;
    getProductCount(productId: any, req: any, res: any): Promise<void>;
    MoveToOtherType(req: any, res: any, product: ProductMoveDto): Promise<void>;
    addChannelGroup(req: any, res: any, group: GroupDto): Promise<void>;
    getChannelCount(req: any, res: any): Promise<void>;
    channelGroupList(req: any, res: any): Promise<void>;
    addFavoriteChannel(req: any, res: any, product: ProductDto): Promise<void>;
    removeFavoriteChannel(req: any, res: any, product: ProductDto): Promise<void>;
    removeChannelGroup(req: any, res: any, product: ProductDto): Promise<void>;
}
