'use strict';
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.ProductDto = void 0;
const class_validator_1 = require("class-validator");
class ProductDto {
}
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "validate:field:shouldNotEmpty" }),
    class_validator_1.IsInt({ message: "validate:field:shouldBeInt" }),
    __metadata("design:type", Number)
], ProductDto.prototype, "id", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "validate:field:shouldNotEmpty" }),
    class_validator_1.IsEnum([
        'WISHLIST',
        'BUSINESS',
        'EVALVATED',
        'CHANNEL'
    ], { message: "Field 'type' should be any one from this list(WISHLIST)" }),
    __metadata("design:type", String)
], ProductDto.prototype, "type", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "validate:field:shouldNotEmpty" }),
    class_validator_1.IsInt({ message: "validate:field:shouldBeInt" }),
    __metadata("design:type", Number)
], ProductDto.prototype, "channelgroupid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "validate:field:shouldNotEmpty" }),
    class_validator_1.IsInt({ message: "validate:field:shouldBeInt" }),
    __metadata("design:type", Number)
], ProductDto.prototype, "channelid", void 0);
__decorate([
    class_validator_1.IsOptional(),
    class_validator_1.IsNotEmpty({ message: "validate:field:shouldNotEmpty" }),
    class_validator_1.IsBoolean({ message: "validate:field:shouldBeBoolean" }),
    __metadata("design:type", Boolean)
], ProductDto.prototype, "list_type", void 0);
exports.ProductDto = ProductDto;
//# sourceMappingURL=product.dto.js.map