import { AlgmChannelJCT } from '../models/AlgmChannelJCT.entity';
import { ChannelMatching } from '../models/ChannelMatching.entity';
import { AlgmProductJCT } from '../models/AlgmProductJCT.entity';
import { ProductMatching } from '../models/ProductMatching.entity';

export const channelJctProvider = [
    {
        provide: 'ChannelJctRepository',
        useValue: AlgmChannelJCT
    }
];

export const productJctProvider = [
    {
        provide: 'ProductJctRepository',
        useValue: AlgmProductJCT
    }
];

export const channelMatchingProvider = [
    {
        provide: 'ChannelMatchingRepository',
        useValue: ChannelMatching
    }
];

export const productMatchingProvider = [
    {
        provide: 'ProductMatchingRepository',
        useValue: ProductMatching
    }
];