'use strict';

import { Complain } from '../models/Complain.entity';
import { ComplaintAttachment } from '../models/ComplaintAttachment.entity';
import { ComplaintCategory } from '../models/ComplaintCategory.entity';
import { ComplaintReplyContent } from '../models/ComplaintReplyContent.entity';

export const ComplainProvider = [
	{
		provide: 'ComplainRepository',
		useValue: Complain
	}
];

export const ComplaintAttachmentProvider = [
	{
		provide: 'ComplaintAttachmentRepository',
		useValue: ComplaintAttachment
	}
];

export const ComplaintCategoryProvider = [
	{
		provide: 'ComplaintCategoryRepository',
		useValue: ComplaintCategory
	}
];


export const ComplaintReplyContentProvider = [
	{
		provide: 'ComplaintReplyContentRepository',
		useValue: ComplaintReplyContent
	}
];


