import { Injectable, Global, Module } from '@nestjs/common'
// var contextService = require('request-context');

var contextService = require('node-global-storage');

@Injectable()
export class ContextService {

	public get<T = any>(path): T {
		return contextService.get(path);
	}

	public set(path, value: any): void {
		return contextService.set(path, value)
	}

	public has(path): boolean {
		return (contextService.get(path));
	}
}
