import { Module } from '@nestjs/common';
import { ErrorController } from './error.controller';
import { ErrorService } from './error.service';
import { errorProvider } from './provider/error.provider';

@Module({
  controllers: [ErrorController],
  providers: [ErrorService,
    ...errorProvider]
})
export class ErrorModule {}
