'use strict';

import { HttpStatus } from '@nestjs/common';
import { IErrorMessages } from './interface/IErrorMessages';

export const subscription: { [messageCode: string]: IErrorMessages } = {
	'subscription:subscription:alreadyExits': {
		code: 8001,
		message: 'Subscription already exits',
	}
};
