import { PipeTransform, Injectable, ArgumentMetadata, HttpStatus, BadRequestException } from '@nestjs/common';
import { ProcessException } from '../exception/Process.exception';

@Injectable()
export class QueryPipe implements PipeTransform<string> {
  async transform(value: string, metadata: ArgumentMetadata) {
    
    if (value === undefined || value === null) {
        throw new ProcessException('common:query:searchnamenotfount');
    }
    return value;
  }
}