//import { BaseTransformation } from "../../../core/transformation/BaseTransformation";
import { ProcessException } from '../../../../middleware/exception/Process.exception';
import { User } from '../../../user/models/User.entity';

export interface IAccountOutBound {

    /**
    * @description: user Login responce obejct return .
    * @param {user:User}
    * @return {Promise<ILoginResponse>}
    */
	setLoginResponse(user: User, token: string): Promise<ILoginResponse>;

}

export interface ILoginResponse {
	token: string,
	channelId: number,
	contactId: number,
	channelStatusId: number
	profile: object
	role: object,
	permissions: object
	currency: number,
	oldChannel: boolean,
	sourcingProfile: any,
	sellingProfile: any,
	otherProfile: any,
	isAnyInbound: boolean,
	productCount: number
}

export interface ICheckMailResponse {
	isavialble: boolean
}
