import {Table, Column, PrimaryKey, Model, AutoIncrement, DataType, AllowNull, ForeignKey, HasOne, HasMany, Scopes, BelongsTo, BelongsToMany, AfterUpdate, AfterBulkUpdate } from 'sequelize-typescript';
import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';
import { RegionCountryJCT } from './../../common/models/RegionCountryJCT.entity';

const tableOptions: IDefineOptions = { tableName: 'tblAdminMenu' } as IDefineOptions;

@Table(tableOptions)

@Scopes(() => ({
	//Used

}))

export class AdminMenu extends Model<AdminMenu>{
	
	@PrimaryKey
	@AutoIncrement
	@AllowNull(false)
	@Column(DataType.BIGINT)
	moduleId: number

	@Column(DataType.BIGINT)
	menuId: number
	
	@Column(DataType.BIGINT)
	asmId: number;
	
	@Column(DataType.BIGINT)
	assmId: number;
	
	@Column(DataType.CHAR(255))
	menuName: string

	}
