import {Table, Column, PrimaryKey, Model, AutoIncrement, DataType, AllowNull, Scopes } from 'sequelize-typescript';
import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';


const tableOptions: IDefineOptions = { tableName: 'tblAdminUserChanneltype', timestamps:false } as IDefineOptions;

@Table(tableOptions)

@Scopes(() => ({
	//Used

}))

export class AdminUserChanneltype extends Model<AdminUserChanneltype>{
	
	@PrimaryKey
	@AutoIncrement
	@AllowNull(false)
	@Column(DataType.BIGINT)
	managedChannelTypeId: number
	
	@Column(DataType.BIGINT)
	adminUserId: number;
    
	@Column(DataType.BIGINT)
    typeId: number
    
    @Column(DataType.CHAR(255))
    channelType: string

	

	}
