import { Table, Column, Model, HasOne, AutoIncrement, PrimaryKey, ForeignKey, DefaultScope, AllowNull, Scopes } from 'sequelize-typescript';
// import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';

// const tableOptions: IDefineOptions = { timestamp: false, tableName: 'tblApplication' } as IDefineOptions;
@Table({ timestamps: false, tableName: 'tblApplication' } )
export class Application extends Model<Application> {

	@AutoIncrement
	@PrimaryKey
	@AllowNull(false)
	@Column
	id: number;

	@Column
	secretKey: string;

	@Column
	clientKey: string;

	@Column
	isAdmin: boolean;
}
