import { IsNotEmpty, IsEmail, MinLength, MaxLength, IsString, IsAlphanumeric, IsNumber, Matches, IsOptional, ArrayNotEmpty } from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';


export class ChannelProfileDto {
	
    @IsNumber({}, {
		each: true,
		message: "validate:field:shouldBeInt"
	})
	@ApiProperty()
    profileTypeId: number;
    
    @IsNumber({}, {
		each: true,
		message: "validate:field:shouldBeInt"
	})
	@ApiProperty()	
	profileTypeClassificationId: number;
    

}
