import {
    IsString,
    IsEmail,
    IsNotEmpty,
    MinLength,
    MaxLength,
    IsNumber,
    IsOptional,
    ValidateNested
} from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class TradeInformation_Distributor_SpecialityUpdateDto {

    @IsNumber({}, { message: "channel:tradeinformation:channelTypeIsNumber" })
    @IsOptional()
    @ApiProperty()
    readonly specialityId: number;
}