import {
    IsString,
    IsEmail,
    IsNotEmpty,
    MinLength,
    MaxLength,
    IsNumber,
    ValidateNested
} from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class TradeInformation_List_of_ServicesDto {

    @IsNotEmpty({ message: "channel:tradeinformation:ListServicesNotEmpty" })
    @ApiProperty()
    readonly id: number;

}