import {
    IsNotEmpty,
    IsOptional
} from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class TradeInformation_Product_CategoriesDto {

    @IsOptional()
    @IsNotEmpty({ message: "channel:tradeinformation:productFamilIdNotEmpty" })
    @ApiProperty()
    readonly productFamilId: number;

    @IsNotEmpty({ message: "channel:tradeinformation:productCategoriesIdNotEmpty" })
    @ApiProperty()
    readonly productCategoriesId: number;

}