import {
    IsString,
    IsEmail,
    IsNotEmpty,
    MinLength,
    MaxLength,
    IsNumber,
    ValidateNested
} from 'class-validator';
import { ApiProperty } from '@nestjs/swagger';

export class TradeInformation_Product_FamiliesDto {

    @IsNotEmpty({ message: "channel:tradeinformation:productFamiliesNotEmpty" })
    @ApiProperty()
    readonly id: number;

}