import { Table, Column, PrimaryKey, Model, AutoIncrement, DataType, AllowNull, Scopes } from 'sequelize-typescript';

@Table({ tableName: "tblChannelType", timestamps:false })

@Scopes(() => ({
  channelTypeInfom: {
    attributes: [['channelTypeId', 'id'], ['channelType', 'name']]
  }
}))


export class ChannelType extends Model<ChannelType>{

  @PrimaryKey
  @AutoIncrement
  @AllowNull(false)
  @Column(DataType.BIGINT)
  channelTypeId: number

  @AllowNull(false)
  @Column(DataType.CHAR(255))
  channelType: string

}