import { Table, Column, PrimaryKey, Model, AutoIncrement, DataType, AllowNull } from 'sequelize-typescript';
import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';

const tableOptions: IDefineOptions = { tableName: 'tblEndCustomersB2bType', timestamps: false, } as IDefineOptions;

@Table(tableOptions)

export class EndCustomersB2bType extends Model<EndCustomersB2bType>{

	@PrimaryKey
	@AutoIncrement
	@AllowNull(false)
	@Column(DataType.BIGINT)
	customerTypeId: number

	@Column(DataType.CHAR(255))
	name: string

}
