import { Table, Column, PrimaryKey, Model, AutoIncrement, DataType, AllowNull } from 'sequelize-typescript';
  import { IDefineOptions } from 'sequelize-typescript/node_modules/glob';
  
  const tableOptions: IDefineOptions = { tableName: 'tblpreferencetype' } as IDefineOptions;
  
  @Table(tableOptions)
  
  export class PreferenceType extends Model<PreferenceType>{
  
    @PrimaryKey
    @AutoIncrement
    @AllowNull(false)
    @Column(DataType.BIGINT)
    preferencetypeid:number
    
    @Column(DataType.CHAR(255))
    preferencetype:string

}
