'use strict';

import { ConnectionStatusType } from '../models/ConnectionStatusType.entity';
import { ChannelJCT } from '../models/ChannelJCT.entity';
import { ContactJCT } from '../models/ContactJCT.entity';
import { ChannelDismissReason } from '../models/ChannelDismissReason.entity';
import { DismissReason } from '../models/DismissReason.entity';
import { EndCustomersB2b } from '../models/EndCustomerB2b';
import { EndCustomersB2bType } from '../models/EndCustomersB2bType';

export const ConnectionStatusTypeProvider = [
	{
		provide: 'ConnectionStatusTypeRepository',
		useValue: ConnectionStatusType
	}
];

export const ChannelJCTProvider = [
	{
		provide: 'ChannelJCTRepository',
		useValue: ChannelJCT
	}
];

export const ContactJCTProvider = [
	{
		provide: 'ContactJCTRepository',
		useValue: ContactJCT
	}
];

export const DismissReasonProvider = [
	{
		provide: 'DismissReasonRepository',
		useValue: DismissReason
	}
];

export const ChannelDismissReasonProvider = [
	{
		provide: 'ChannelDismissReasonRepository',
		useValue: ChannelDismissReason
	}
];

export const EndCustomersB2bTypeProvider = [
	{
		provide: 'EndCustomersB2bTypeRepository',
		useValue: EndCustomersB2bType
	}
];

export const EndCustomersB2bProvider = [
	{
		provide: 'EndCustomersB2bRepository',
		useValue: EndCustomersB2b
	}
];