'use strict';

import { Currency } from '../models/Currency.entity';
import { PaymentTransaction } from './../models/PaymentTransaction.entity';

export const PaymentTransactionProviders = [
	{
		provide: 'PaymentTransactionRepository',
		useValue: PaymentTransaction,
	}
];

export const CurrencyProviders = [
	{
		provide: 'CurrencyRepository',
		useValue: Currency,
	}
];
