//import { BaseTransformation } from "../../../core/transformation/BaseTransformation";
import { ProcessException } from '../../../../middleware/exception/Process.exception';
import { Channel } from "../../models/Channel.entity";

export interface IChannelAdminServiceOutBound {

    /**
    * @description: Document model obejct return .
    * @param {docTempPath:string}
    * @return {Promise<any>}
    */
	getUserList(userList: any, pagination: any, total: number): Promise<any>;

}

export interface IUserList {
	total: number,
	limit: number,
	page: number,
	offset: number,
	Users: Array<object>
}

export interface IUserListUserObject {
	channelId: number,
	channelLabel: string,
	channelTypeId: number,
	companyMail: string,
	companyName: string,
	signUpStatusId: number,
	detail: Object,
	subscription: Object,
	createdAt: string,
	oldChannelId: number,
	isExisting: boolean,
	users: Array<object>
	speciality: Array<object>,
	productCategorie: Array<object>,
	product: Array<object>,

}

export interface IProduct {
	productId: number,
	product: string,
}

export interface IProductCategory {
	productId: number,
	product: string,
	categoryId: number,
	category: string

}
