'use strict';

import { Zone } from '../models/Zone.entity';
import { Region } from '../models/Region.entity';
import { RegionCountryJCT } from '../models/RegionCountryJCT.entity';
import { ZoneRegionJCT } from '../models/ZoneRegionJCT.entity';

export const ZoneProvider = [
	{
		provide: 'ZoneRepository',
		useValue: Zone,
	}
];

// export const RegionProvider = [
// 	{
// 		provide: 'RegionRepository',
// 		useValue: Region,
// 	}
// ];

export const RegionCountryJCTProvider = [
	{
		provide: 'RegionCountryJCTRepository',
		useValue: RegionCountryJCT,
	}
];

// export const ZoneRegionJCTProvider = [
// 	{
// 		provide: 'ZoneRegionJCTRepository',
// 		useValue: ZoneRegionJCT,
// 	}
// ];
