'use strict';

import { IsNotEmpty, MaxLength, IsString, IsOptional, IsInt, IsBoolean } from 'class-validator';
//import { ApiModelProperty } from '@nestjs/swagger';

export class CheckoutDto {

	@IsNotEmpty({ message: "validate:field:shouldNotEmpty" })
	@IsInt({ message: "validate:field:shouldBeInt" })
	//@ApiModelProperty()
	readonly billingAddressId: number;

	@IsNotEmpty({ message: "validate:field:shouldNotEmpty" })
	@IsInt({ message: "validate:field:shouldBeInt" })
	//@ApiModelProperty()
	readonly shippingAddressId: number;

	@IsNotEmpty({ message: "validate:field:shouldNotEmpty" })
	@IsInt({ message: "validate:field:shouldBeInt" })
	//@ApiModelProperty()
	readonly cartId: number;

	@IsNotEmpty({ message: "validate:field:shouldNotEmpty" })
	@IsBoolean({ message: "validate:field:shouldBeBoolean" })
	//@ApiModelProperty()
	readonly requestFreeSample: boolean;
}
