'use strict';

import { OrderStatus } from "../models/OrderStatus.entity";
import { SampleOrder } from "../models/SampleOrder.entity";
import { SampleOrderDetail } from "../models/SampleOrderDetail.entity";
import { OrderShipment } from "../models/OrderShipment.entity";
import { OrderAddress } from './../models/OrderAddress.entity'

export const orderStatusProvider = [
	{
		provide: 'OrderStatusRepository',
		useValue: OrderStatus,
	},
];

export const orderProvider = [
	{
		provide: 'OrderRepository',
		useValue: SampleOrder,
	},
];

export const orderDetailProvider = [
	{
		provide: 'OrderDetailRepository',
		useValue: SampleOrderDetail,
	},
];

export const orderShipmentProvider = [
	{
		provide: 'OrderShipmentRepository',
		useValue: OrderShipment,
	},
];

export const orderAddressProvider = [
	{
		provide: 'orderAddressRepository',
		useValue: OrderAddress,
	},
];
