import { 
    IsNotEmpty, 
    IsString, 
    ArrayNotEmpty, 
    IsOptional, 
    IsArray
} from 'class-validator'; 
import { Type } from 'class-transformer'; 
 
export class ImportProductDto { 

    @IsOptional()
	@IsString({ message: "validate:field:shouldBeString" })
	readonly fileName: string;

	@IsOptional()
	@IsString({ message: "validate:field:shouldBeString" })
	readonly filePath: string;

	@IsOptional()
	@IsString({ message: "validate:field:shouldBeString" })
	readonly newImageFolder: string;
	
}