//import { BaseTransformation } from "../../../core/transformation/BaseTransformation";
import { Media } from '../../../media/models/Media.entity';



export interface IProductSerivceInBound {

    /**
    * @description: Document model obejct return .
    * @param {docTempPath:string}
    * @param {doctype:number}
    * @param {folderPath?:folderPath}
    * @return {Promise<Media>}
    */
	setDocumentObject(docTempPath: string, doctype: number, folderPath?: string): Promise<Media>;

    /**
    * @description:Product save.
    * @param {requestObject:AddProductDto}
    * @return {Promise<any>}
    */
	setProductObject(AddProductDto, user: any): Promise<any>;

	/**
	 * @description:Product sku, slug save.
	 * @param {requestObject:AddProductDto}
	 * @return {Promise<any>}
	 */
	setProductUpdateObject(AddProductDto, product: any): Promise<any>;


}
