//import { BaseTransformation } from "../../../core/transformation/BaseTransformation";
import { Media } from '../../../media/models/Media.entity';



export interface IProductSerivceOutBound {

    /**
    * @description: Document model obejct return .
    * @return {Promise<any>}
    */
	getProductList(productList: any, pagination: any, total: number): Promise<any>;

}

export interface IProductList {
	total: number,
	activeTotal: number,
	inActiveTotal: number,
	limit: number,
	page: number,
	offset: number,
	Products: Array<object>
}

export interface IProductMaster {
	productGroup: Array<object>
	productCategory: Array<object>
	brand: Array<object>
	locations: ILocation,
	shareType: Array<object>
}

export interface ILocation {
	TARGET: Array<object>
	SELLING: Array<object>
	RETAIL: Array<object>
}

//Customer Profile web service responce inner Object
export interface ICustomerProfileAssaingObject {
	Channel_Profile_ID: number,
	Channel_Profile_Name: string,
	Channel_Type_ID: number,
	Channel_Type_Name: string,
	Channel_Profile_Type_Classification_ID: number,
	Channel_Customer_Profile_ID: number,
	Default:any,
	name:string
}
