'use strict';
import { User } from "../../models/User.entity";
//import { SendMailDto } from '../../dto/sendMail.dto';

export interface IUserService {

    /**
    * @description: Sign the user, To check the UserId is already used or not.
    * @param {userid:number} 
    * @return {Promise<any>}
    */
    checkUserById(userId: number): Promise<any>;


    /**
    * @description: sendingmail to contact and save mail send information in data base.
    * @param {reqObject:SendMailDto} 
    * @return {Promise<boolean>}
    */
  //  contactMail(reqObject: SendMailDto, messagetype: number , message_formate_contactId: number): Promise<boolean>;
}
