'use strict'

//import { BaseTransformation } from "../../core/transformation/BaseTransformation";
import { Contact } from "./../models/Contact.entity";
import { ChannelTypeAccessPermission } from "../models/ChannelTypeAccessPermission.entity";
import { appconstant } from "src/config/app.constant";


export class PreferenceOutBound {
	// constructor() {
	// 	super();
	// }

	async getChanneltypeaccesspermission(channeltypeaccesspermission): Promise<any> {
		try {
			if(channeltypeaccesspermission){
				let returnObj = { 'vendor' : [], 'distributor': [], 'retailer': []  };
				for(var i = 0; i < channeltypeaccesspermission.length; i++){
					let accesspermission = {
						'accessPermissionId': channeltypeaccesspermission[i].accesspermissionid,
						'accessPermission': channeltypeaccesspermission[i].AccessPermission.name,
					}
					if(channeltypeaccesspermission[i].channeltypeid == appconstant.CHANNEL_TYPE_VENDOR){
						returnObj.vendor.push(accesspermission);
					}
					if(channeltypeaccesspermission[i].channeltypeid == appconstant.CHANNEL_TYPE_DISTRIBUTOR){
						returnObj.distributor.push(accesspermission);
					}
					if(channeltypeaccesspermission[i].channeltypeid == appconstant.CHANNEL_TYPE_DISTRIBUTOR){
						returnObj.retailer.push(accesspermission);
					}
				}
				return returnObj;
			}
			return false;
		} catch (e) {
			console.log("Error+", e);
		}
	}
}
