import { IsString, IsNumber, IsEmail, IsNotEmpty, MinLength, IsOptional, IsEnum } from 'class-validator';
import { appconstant } from '../../../config';

export class walletRechargeDto {

	

	@IsNumber()
	@IsNotEmpty()
	amount: number;

	@IsNumber()
	@IsNotEmpty()
	paymentId: number;

	@IsOptional()
	readonly captureid: number;
	
}