'use strict';
import { UserWalletAmount } from '../models/UserWalletAmount.entity';
import { OtherPayment } from '../../channel/models/OtherPayment.entity';
import { WalletTransaction } from '../models/WalletTransaction.entity';
import { WalletUsageType } from '../models/WalletUsageType.entity';

export const OtherPaymentProviders = [
	{
		provide: 'OtherPaymentRepository',
		useValue: OtherPayment,
	},
];

export const UserWalletAmountProviders = [
	{
		provide: 'UserWalletAmountRepository',
		useValue: UserWalletAmount,
	},
];

export const WalletTransactionProviders = [
	{
		provide: 'WalletTransactionRepository',
		useValue: WalletTransaction,
	},
];

export const WalletUsageTypeProviders = [
	{
		provide: 'WalletUsageTypeRepository',
		useValue: WalletUsageType,
	},
];
